<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Alarms.AlarmHistory03_dets" EnableViewState="false" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/AlarmHistory.ascx" TagName="AlarmHistory" TagPrefix="ucAlarmHistory" %>
<style media="print">
    .noPrint {
        display: none;
    }
</style>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolBar:ToolBar ID="ToolBar1" PrintVisible="true" SaveAlarmNote="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="server">
    <ucAlarmHistory:AlarmHistory id="AlarmHistory1" runat="server" />
    <script language="JavaScript" type="text/JavaScript">
	//<![CDATA[
		window.addEvent('domready',function()
		{
		    $('WkaToolbarArea').addClass('noprint');
            $('ToolBar1$ilbPrint').onclick = function () { window.print(); };

            // Autosize of note's textarea (for printing purposes)
            init();
        });

        var observe;
        if (window.attachEvent) {
            observe = function (element, event, handler) {
                element.attachEvent('on' + event, handler);
            };
        }
        else {
            observe = function (element, event, handler) {
                element.addEventListener(event, handler, false);
            };
        }
        function init() {
            var text = document.getElementById('alarmnote');
            function resize() {
                text.style.height = 'auto';
                text.style.height = text.scrollHeight + 'px';
            }
            /* 0-timeout to get the already changed text */
            function delayedResize() {
                window.setTimeout(resize, 0);
            }
            observe(text, 'change', resize);
            observe(text, 'cut', delayedResize);
            observe(text, 'paste', delayedResize);
            observe(text, 'drop', delayedResize);
            observe(text, 'keydown', delayedResize);

            text.focus();
            text.select();
            resize();
        }
	//]]>
    </script>
</asp:Content>