<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="ComputerUpgrade_Algorithms.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Computer.ComputerUpgrade_Algorithms" %>

<%@ Register Src="~/UC/SubtabMenuComputerUpgrade.ascx" TagName="SubtabMenuComputerUpgrade" TagPrefix="ucSubtabMenuComputerUpgrade" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>
<%@ Register Src="~/UC/UpgradeFileUpload.ascx" TagName="UpgradeFileUpload" TagPrefix="ucUpgradeFileUpload" %>
<%@ Register Src="~/UC/ParameterMapFileSlot.ascx" TagName="ParameterMapFileSlot" TagPrefix="ucParameterMapFileSlot" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolbar" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolbar:ToolBar ID="ToolBar1" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
     
    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA["

        var uploadButtonId = "uploadAlgorithmDrivers$btnUpdate";
        var upgradeButtonId = "upgradeAlgorithmDrivers$btnUpdate";
        var uploadButtonTwinId = uploadButtonId + "NoPostbackTwinButtonUpdate";
        var upgradeButtonTwinId = upgradeButtonId + "NoPostbackTwinButtonUpdate";
         
        var buttonToClickOnPopupClosed = null;

        window.addEvent('domready', function () {
     
            // networkExt.gridExt.initialize();     
             
            document.getElements('span.spanLinkClass').each(function(spn) {
                if (spn.innerHTML.length < 1) {
                    var myTr = spn.getParent().getParent('tr');
                    myTr.setStyle('display', 'none');
                }
            });
             
            $(uploadButtonTwinId).addEvent('click', function (e) {
                buttonToClickOnPopupClosed = $(uploadButtonId);
                openPopupDisclaimer();
            });

            $(upgradeButtonTwinId).addEvent('click', function (e) {
                buttonToClickOnPopupClosed = $(upgradeButtonId);
                openPopupDisclaimer();
            });

        });

        function openPopupDisclaimer() {
            var fileName = '';
            var value1 = $('uploadAlgorithmDrivers$fileUploadContent').value.replace('C:\\fakepath\\', '');
            if (value1 !== '') {
                fileName = value1;
            } else {
                var value2 = $('upgradeAlgorithmDrivers$fileUploadContent').value.replace('C:\\fakepath\\', '');
                if (value2 !== '') {
                    fileName = value2;
                }
            }

            if (fileName !== '') {
                networkExt.genericPopup.openPopup(
                    "ComputerUpgrade_Algorithms_PopupDisclaimer.aspx?fileName=" + encodeURI(fileName),
                    700,
                    550,
                    true,
                    false);
            }
        }

        function afterPopupClosedCallback() {
            if (buttonToClickOnPopupClosed)
                buttonToClickOnPopupClosed.click();
        }

        //]]>
    </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessageRestartNeeded" ExtraCssClass="actionfeedback" runat="server" />

    <!-- ### WAIT-UPLOADING ### -->
    <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
        </p>
    </div>
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <tr>
                                <td id="tdCancel" colspan="4">
                                    <a href="ComputerUpgrade_Algorithms.aspx?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                        <asp:Literal ID="litCancelUpgrade" runat="server" />
                                    </a>
                                </td>
                            </tr>
                            <ucUpdateFileUpload:UpdateFileUpload id="uploadAlgorithmDrivers" ShowNoPostbackTwinButtonUpdate="True" runat="server" />
                            <ucUpdateFileUpload:UpdateFileUpload id="upgradeAlgorithmDrivers" ShowNoPostbackTwinButtonUpdate="True" runat="server" />
                        </table>
                        <table class="computerUpgradeSlotTable">
                            <asp:Literal ID="litAlgorithmDrivers" runat="server" />
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuComputerUpgrade:SubtabMenuComputerUpgrade ID="SubtabComputerUpgrade1" runat="server" />
</asp:Content>