<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Information_Networking.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Computer.Information_Networking" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuComputerInfo.ascx" TagName="SubtabComputerInfo"
    TagPrefix="ucSubtabComputerInfo" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolbar" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/SettingsNumber.ascx" TagName="SettingsNumber" TagPrefix="ucSettingsNumber" %>
<%@ Register Src="~/UC/SettingsBoolean.ascx" TagName="SettingsBoolean" TagPrefix="ucSettingsBoolean" %>
<%@ Register Src="~/UC/SettingsText.ascx" TagName="SettingsText" TagPrefix="ucSettingsText" %>
<%@ Register Src="~/UC/SettingsAutoText.ascx" TagName="SettingsAutoText" TagPrefix="ucSettingsAutoText" %>
<%@ Register Src="~/UC/SettingsDropDownList.ascx" TagName="SettingsDropDownList"
    TagPrefix="ucSettingsDropDownList" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolbar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript">
		window.addEvent('domready',function() {
				var myClientDataEntry = new clientDataEntry('single');

//				var tdiv = document.getElement('div#WkaToolbarArea');
//				var asave = document.getElements('a.watGenericSave', tdiv);
//
//				asave.each(function(aobj) {
//				    aobj.addEvent('click', function() {
//				        setTimeout('location.replace = "http://10.39.4.103/Login.aspx";', 6000);
//				    });
//				});
//

	            document.getElements('input[type=text]', 'tableAddressTriad').each(function(tip) {
	                tip.addEvent('click', function() {
	                    $('IPSpecific').checked = true;
	                    //alert('IP');
	                    //document.getElements('input[type=text]', 'tblDns').each(function(tds) {
	                    //    tds.disabled = true;
	                    //});
	                });
	            });

	            document.getElements('input[type=text]', 'tblDns').each(function(tds) {
	                tds.addEvent('click', function() {
	                    $('DNSSpecific').checked = true;
	                    //alert('DNS');
	                });
	            });

	            // click on radio button IPDHCP
	            $$('input#IPDHCP').each(function(rid) {
	                rid.addEvent('click', function() {
	                    document.getElements('input[type=text]', 'tableAddressTriad').each(function(tad) {
	                        tad.disabled = true;
	                    });
	                    $('DNSDHCP').disabled = false;
	                });
	            });
	            // click on radio button IPSpecific
	            $$('input#IPSpecific').each(function(rid) {
	                rid.addEvent('click', function() {
	                    document.getElements('input[type=text]', 'tableAddressTriad').each(function(tad) {
	                        tad.disabled = false;
	                    });
	                    document.getElements('input[type=text]', 'tblDns').each(function(tdn) {
	                        tdn.disabled = false;
	                    });
	                    $('DNSSpecific').checked = true;
	                    $('DNSDHCP').disabled = true;
	                });
	            });
	            // click on radio button DNSDHCP
	            $$('input#DNSDHCP').each(function(idd) {
	                idd.addEvent('click', function() {
	                    document.getElements('input[type=text]', 'tblDns').each(function(tdn) {
	                        tdn.disabled = true;
	                    });
	                });
	            });
	            // click on radio button DNSSpecific
	            $$('input#DNSSpecific').each(function(ids) {
	                ids.addEvent('click', function() {
	                    document.getElements('input[type=text]', 'tblDns').each(function(tdn) {
	                        tdn.disabled = false;
	                    });
	                });
	            });

	            // click on edit toolbar link
	            $('ToolBar1$ilbEdit').addEvent('click',
	                function() {
	                        $('DNSDHCP').disabled = $('IPSpecific').checked;
	                });
			});
    </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1"
                        runat="server" />
                    <p></p>
                    <blockquote id="Blockquote1" class="detail" style="width: 50%; float: left; display: none;">
                        <h5>
                            <asp:Literal ID="IPTitle" runat="server"></asp:Literal></h5>
                        <table>
                            <tr>
                                <th>
                                    <asp:Literal ID="litIPDHCP" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:RadioButton ID="IPDHCP" GroupName="IP" runat="server" /></td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Literal ID="litIPSpecific" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:RadioButton ID="IPSpecific" GroupName="IP" runat="Server" /></td>
                            </tr>
                            <tr>
                                <td>
                                    <table id="tableAddressTriad">
                                        <tr>
                                            <th>
                                                <asp:Literal ID="litIP" runat="server"></asp:Literal></th>
                                            <td>
                                                <asp:TextBox ID="IP1" CssClass="IPs" runat="server" />.<asp:TextBox ID="IP2" CssClass="IPs" runat="server" />.<asp:TextBox
                                                    ID="IP3" CssClass="IPs" runat="server" />.<asp:TextBox ID="IP4" CssClass="IPs" runat="server" /></td>
                                        </tr>
                                        <tr>
                                            <th>
                                                <asp:Literal ID="litMask" runat="server"></asp:Literal></th>
                                            <td>
                                                <asp:TextBox ID="IPMask1" CssClass="IPs" runat="server" />.<asp:TextBox ID="IPMask2"
                                                    CssClass="IPs" runat="server" />.<asp:TextBox ID="IPMask3" CssClass="IPs" runat="server" />.<asp:TextBox
                                                        ID="IPMask4" CssClass="IPs" runat="server" /></td>
                                        </tr>
                                        <tr>
                                            <th>
                                                <asp:Literal ID="litGateway" runat="server"></asp:Literal></th>
                                            <td>
                                                <asp:TextBox ID="IPGateway1" CssClass="IPs" runat="server" />.<asp:TextBox ID="IPGateway2"
                                                    CssClass="IPs" runat="server" />.<asp:TextBox ID="IPGateway3" CssClass="IPs" runat="server" />.<asp:TextBox
                                                        ID="IPGateway4" CssClass="IPs" runat="server" /></td>
                                        </tr>
                                    </table>
                                </td>
                                <td></td>
                            </tr>
                        </table>
                    </blockquote>
                    <blockquote id="Blockquote2" class="detail" style="width: 48%; float: right; display: none;">
                        <h5>
                            <asp:Literal ID="DNSTitle" runat="server"></asp:Literal></h5>
                        <table>
                            <tr>
                                <th>
                                    <asp:Literal ID="litDNSDHCP" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:RadioButton ID="DNSDHCP" GroupName="DNS" runat="server" /></td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Literal ID="litDNSSpecific" runat="server"></asp:Literal></th>
                                <td>
                                    <asp:RadioButton ID="DNSSpecific" GroupName="DNS" runat="Server" /></td>
                            </tr>
                            <tr>
                                <td>
                                    <table id="tblDns">
                                        <tr>
                                            <th>
                                                <asp:Literal ID="litDNS1" runat="server" /></th>
                                            <td>
                                                <asp:TextBox ID="DNS1IP1" CssClass="IPs" runat="server" />.<asp:TextBox ID="DNS1IP2"
                                                    CssClass="IPs" runat="server" />.<asp:TextBox ID="DNS1IP3" CssClass="IPs" runat="server" />.<asp:TextBox
                                                        ID="DNS1IP4" CssClass="IPs" runat="server" /></td>
                                        </tr>
                                        <tr>
                                            <th>
                                                <asp:Literal ID="litDNS2" runat="server" /></th>
                                            <td>
                                                <asp:TextBox ID="DNS2IP1" CssClass="IPs" runat="server" />.<asp:TextBox ID="DNS2IP2"
                                                    CssClass="IPs" runat="server" />.<asp:TextBox ID="DNS2IP3" CssClass="IPs" runat="server" />.<asp:TextBox
                                                        ID="DNS2IP4" CssClass="IPs" runat="server" /></td>
                                        </tr>
                                    </table>
                                </td>
                                <td></td>
                            </tr>
                        </table>
                    </blockquote>
                    <p></p>
                    <blockquote class="detail" style="width: 100%; clear: both;">
                        <h5>
                            <asp:Literal ID="litSocksTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsDropDownList:SettingsDropDownList id="setDomainResolutionPolicy" runat="server" />
                            <ucSettingsBoolean:SettingsBoolean id="setIgnoreProxyOnLocalAddresses" runat="server" />
                            <ucSettingsBoolean:SettingsBoolean id="setSocksAuthEnabled" runat="server" />
                            <ucSettingsDropDownList:SettingsDropDownList id="setSocksProtVersion" runat="server" />
                            <ucSettingsText:SettingsText id="setSocksAddress" runat="server" />
                            <ucSettingsNumber:SettingsNumber id="setSocksPort" MaxLength="5" runat="server" />
                            <ucSettingsText:SettingsText id="setSocksUser" runat="server" />
                            <ucSettingsText:SettingsText id="setSocksPassword" IsPasswordTypeText="true" runat="server" />
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabComputerInfo:SubtabMenuComputerInfo ID="SubtabComputerInfo1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>