<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="UpdateLicense.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Computer.UpdateLicense" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolbar" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolbar:ToolBar ID="ToolBar1" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
</asp:Content> 
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessageRestartNeeded" ExtraCssClass="actionfeedback" runat="server" />
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxTitle" runat="server"></asp:Literal></h5>
                        <table>
                            <tr>
                                <th>
                                    <asp:Literal ID="litCurrentLicTitle" runat="server"></asp:Literal>
                                </th>
                                <td>
                                    <asp:Literal ID="litCurrentLicText" runat="server"></asp:Literal>
                                </td>
                                <td></td>
                            </tr>
                            <tr id="uploadSystem">
                                <th>
                                    <asp:Literal ID="litNewLicenseTitle" runat="server"></asp:Literal>
                                </th>
                                <td>
                                    <asp:TextBox ID="textBoxNewLicense" runat="server" Style="width: 370px" MaxLength="29"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <th />
                                <td>
                                    <asp:Button ID="btnUpgradeLicense" OnClick="btnUpgradeLicense_Click" runat="server" />
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>