<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" Inherits="Eliwell.Go.Presentation.Web.Data.Historical" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="uc1" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/HistoricalRefinementControl.ascx" TagName="RefinementControl" TagPrefix="ucRefinementControl" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/moorainbow/mootools-more-moorainbow.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/moorainbow/moorainbow.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/amchartsjs/amcharts.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/amchartsjs/serial.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/amchartsjs/amstock.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/QTYBox/qtybox.js"></script>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/chartmanager.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/historicaldatatable.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/historicalmanager.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/liteGrid.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/datepicker.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/jxlib.js"></script>


    <asp:Literal ID="literalLanguageJavascript" runat="server"></asp:Literal>
    <asp:Literal ID="jsDateTimePickerDictionaries" runat="server" />
    <asp:Literal ID="jsDateTimePickerFromDate" runat="server" />
    <asp:Literal ID="jsDateTimePickerToDate" runat="server" />
</asp:Content>

<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <link rel="stylesheet" href="/media/css/mooRainbow.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="/media/css/chartsPrint.css" type="text/css" media="print" />
    <link rel="stylesheet" href="/media/css/charts.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="/media/css/historical.css" type="text/css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/media/css/datepicker_vista.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/jxt/jxtheme.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/ModalPopUp.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/QTYBox.css" />
</asp:Content>

<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <div class="modalPopup" id="modalPopUpContainerResources">
        <div class="overlay-decorator">
            <!--&nbsp;-->
        </div>
        <div class="overlay-wrap">
            <div class="overlay">
                <div class="dialog-decorator">
                    <!--&nbsp;-->
                </div>
                <div class="dialog-wrap">
                    <div id="modalPopUpInnerContainerResources" class="content_div" style="width: 780px; height: 580px; padding: 10px; overflow: hidden">
                        <div style="height: 100%">
                            <div class="inner_div resouce-selector-inner-div">
                                <div id="resource-selector-toolbar">
                                    <table style="width: 100%">
                                        <tr>
                                            <td id="resource-selector-toolbar-buttons">
                                                <a class="resource-selector-toolbar-button" id="resource-selector-expand-all-button" href="#">
                                                    <asp:Label runat="server" ID="labelGridExpandAll"></asp:Label>
                                                </a>
                                                <a class="resource-selector-toolbar-button" id="resource-selector-collapse-all-button" href="#">
                                                    <asp:Label runat="server" ID="labelGridCollapseAll"></asp:Label>
                                                </a>
                                                <a class="resource-selector-toolbar-button" id="resource-selector-select-all-button" href="#">
                                                    <asp:Label runat="server" ID="labelSelectAll"></asp:Label>
                                                </a>
                                                <a class="resource-selector-toolbar-button" id="resource-selector-unselect-all-button" href="#">
                                                    <asp:Label runat="server" ID="labelUnselectAll"></asp:Label>
                                                </a>
                                                <a class="resource-selector-toolbar-button" id="resource-selector-confirm-button" href="#">
                                                    <asp:Label runat="server" ID="labelConfirmResources"></asp:Label>
                                                </a>
                                                <a class="resource-selector-toolbar-button" id="resource-selector-close-button" href="#">
                                                    <asp:Label runat="server" ID="labelCloseResources"></asp:Label>
                                                </a>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <div id="selectAtLeastOneDevice" style="display: none" class='generalmessage actionfeedback'>
                                    <p>
                                        <asp:Literal ID="literalSelectAtLeastOneDeviceMessage" runat="server"></asp:Literal>
                                    </p>
                                </div>
                                <div id="resources-table-main">
                                    <div class="wkaFilterArea" id="resources-table-filters">
                                        <h6><span>
                                            <asp:Label runat="server" ID="labelFilterTitle"></asp:Label></span></h6>
                                        <div>
                                            <input type="checkbox" id="resource-selector-filter-onlyslected" />
                                            <label class="archive-cb-label" for="resource-selector-filter-onlyslected">
                                                <asp:Label runat="server" ID="labelFilterShowSelectedOnly"></asp:Label></label>
                                        </div>
                                        <h6><span>
                                            <asp:Label runat="server" ID="labelFilterDevice"></asp:Label></span></h6>
                                        <p>
                                            <asp:Label runat="server" ID="labelFilterDeviceDescription"></asp:Label>
                                        </p>
                                        <div>
                                            <input id="resource-selector-filter-device-input" type="text" />
                                        </div>
                                        <h6><span>
                                            <asp:Label runat="server" ID="labelFilterResources"></asp:Label></span></h6>
                                        <p>
                                            <asp:Label runat="server" ID="labelFilterResourcesDescription"></asp:Label>
                                        </p>
                                        <div>
                                            <input id="resource-selector-filter-resource-input" type="text" />
                                        </div>
                                        <a id="resource-selector-filter-clear" href="#">
                                            <asp:Label runat="server" ID="labelFilterClear"></asp:Label>

                                        </a>
                                        <h6><span>
                                            <asp:Label runat="server" ID="labelResourceSelectorHaccpTitle"></asp:Label></span></h6>
                                        <div>
                                            <input type="checkbox" id="resource-selector-haccp" />
                                            <label class="archive-cb-label" for="resource-selector-haccp">
                                                <asp:Label runat="server" ID="labelResourceSelectorAsHaccp"></asp:Label></label>

                                            <p>
                                                <asp:Label runat="server" ID="labelResourceSelectorHaccpHint"></asp:Label>
                                            </p>
                                        </div>
                                    </div>
                                    <div id="resources-table-container">
                                        <!--&nbsp;-->
                                    </div>
                                    <div style="clear: both">
                                        <!--&nbsp;-->
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modalPopup" id="modalPopUpContainerWait">
        <div class="overlay-decorator">
            <!--&nbsp;-->
        </div>
        <div class="overlay-wrap">
            <div class="overlay">
                <div class="dialog-decorator">
                    <!--&nbsp;-->
                </div>
                <div class="dialog-wrap">
                    <div id="modalPopUpInnerContainerWait" class="content_div" style="width: 300px; height: 300px; padding: 10px; overflow: hidden">
                        <div style="height: 100%">
                            <div class="inner_div" style="height: 100%; overflow: auto">
                                <img id="load-waiter" src="/media/img/DataToolbar/load_waiter.gif" alt="Waiter Image" />
                                <asp:Label ID="labelLoadingMessage" runat="server" />
                                <asp:Label ID="labelCancelingMessage" runat="server"></asp:Label>
                                <a href="#" id="cancelLink">
                                    <asp:Label ID="labelCancelInvocation" runat="server"></asp:Label>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="left-horizontal-toolbar">
        <a class="left-toolbar-button" id="refresh-data-button" href="#">
            <!--&nbsp;-->
        </a>
        <div class="seprator">
            <!--&nbsp;-->
        </div>
        <a class="left-toolbar-button panel-activator" data-button-target="archive-button" data-panel-target="archive-panel" id="archive-button" href="#">
            <!--&nbsp;-->
        </a>
        <a class="left-toolbar-button panel-activator" data-button-target="profiles-button" data-panel-target="profiles-panel" id="profiles-button" href="#">
            <!--&nbsp;-->
        </a>
        <a class="left-toolbar-button panel-activator" data-button-target="time-button" data-panel-target="time-panel" id="time-button" href="#">
            <!--&nbsp;-->
        </a>
        <a class="left-toolbar-button panel-activator" data-button-target="resources-button" data-panel-target="resources-panel" id="resources-button" href="#">
            <!--&nbsp;-->
        </a>
        <a class="left-toolbar-button panel-activator" data-button-target="legend-button" data-panel-target="legend-panel" id="legend-button" href="#">
            <!--&nbsp;-->
        </a>
        <a class="left-toolbar-button panel-activator" data-button-target="printexport-button" data-panel-target="print-panel" id="printexport-button" href="#">
            <!--&nbsp;-->
        </a>
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" runat="server">

    <asp:Literal ID="LiteralJsUrlFragmentForSelectingMenuLink" runat="server" />

    <script language="JavaScript" type="text/JavaScript">
        window.addEvent('domready', function () {
            mySmartMenu.setActiveFromPage(urlFragmentForSelectingMenuLink);

        });

    </script>
    <asp:Literal ID="javascriptArrays" runat="server"></asp:Literal>

    <input id="hiddenRepresentationType" type="hidden" value="table" name="hiddenRepresentationType" runat="server" />
    <input id="hiddenProfileId" type="hidden" value="new" name="hiddenProfileId" runat="server" />
    <input id="hiddenRunAtStart" type="hidden" value="0" name="hiddenRunAtStart" runat="server" />
    <input id="hiddenDeleteConfirm" type="hidden" value="" name="hiddenDeleteConfirm" runat="server" />
    <input id="hiddenTimeIntervalFrom" type="hidden" value="" name="hiddenTimeIntervalFrom" runat="server" />
    <input id="hiddenTimeIntervalTo" type="hidden" value="" name="hiddenTimeIntervalTo" runat="server" />

    <div id="data-main-content">
        <div id="left-toolbar-panels">
            <div class="left-toolbar-panel" id="archive-panel"  style="display: none" >
                <div class="left-toolbar-panel-header" >
                    <div class="panel-icon" id="archive-icon">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-title"><asp:Label ID="labelPanelArchive" runat="server"/></div>
                    <a href="#" class="panel-close-button" data-panel-target="archive-panel" data-button-target="archive-button">
                        <!--&nbsp;-->
                    </a>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-hr">
                        <!--&nbsp;-->
                    </div>
                </div>
                <div class="left-toolbar-panel-body">
                    <table class="selectors">
                        <tr>
                            <td class="radio-container-td">
                                <asp:RadioButton data-label="None" ID="radioButtonArchiveUseHistoricalData" GroupName="ArchiveDataSelectionRadio" CssClass="cursor-pointer" runat="server"></asp:RadioButton>
                            </td>
                            <td>
                                <label for="radioButtonArchiveUseHistoricalData" class="archive-cb-label">
                                    <asp:Label ID="labelArchiveUseHistoricalData" CssClass="archive-title" runat="server" /><br/>
                                    <asp:Label ID="labelArchiveUseHistoricalDataSub" CssClass="archive-subtitle" runat="server" />
                                </label>
                            </td>
                        </tr>
                        <tr>
                            <td class="radio-container-td">
                                <asp:RadioButton data-label="None" ID="radioButtonArchiveUseHistoricalDataWithUndersampling" GroupName="ArchiveDataSelectionRadio" CssClass="cursor-pointer" runat="server"></asp:RadioButton>
                            </td>
                            <td>
                                <label for="radioButtonArchiveUseHistoricalDataWithUndersampling" class="archive-cb-label">
                                    <asp:Label ID="labelArchiveUseHistoricalDataWithUndersampling" CssClass="archive-title" runat="server" /><br/>
                                    <asp:Label ID="labelArchiveUseHistoricalDataWithUndersamplingSub" CssClass="archive-subtitle" runat="server" />
                                </label>
                            </td>
                        </tr>
                        <tr id="boxArchiveHistoricalAprxSamples">
                            <td></td>
                            <td>
                                <div class="QTYBox">
                                    <asp:Label CssClass="spinner-label" ID="labelArchiveHistoricalAprxSamples" runat="server" />                                    
                                    <asp:TextBox ID="tbArchiveHistoricalAprxSamples" runat="server" AutoPostBack="false"></asp:TextBox>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="radio-container-td">
                                <asp:RadioButton data-label="Quick" ID="radioButtonArchiveUseTemporary" GroupName="ArchiveDataSelectionRadio" CssClass="cursor-pointer" runat="server"></asp:RadioButton>
                            </td>
                            <td>
                                <label for="radioButtonArchiveUseTemporary" class="archive-cb-label">
                                    <asp:Label ID="labelArchiveUseHistoricalTemporary" CssClass="archive-title" runat="server" /><br/>
                                    <asp:Label ID="labelArchiveUseHistoricalTemporarySub" CssClass="archive-subtitle" runat="server" />
                                </label>
                            </td>
                        </tr>
                        <tr>
                            <td class="radio-container-td">
                                <asp:RadioButton data-label="Energy" ID="radioButtonArchiveUseEnergy" GroupName="ArchiveDataSelectionRadio" CssClass="cursor-pointer" runat="server"></asp:RadioButton>
                            </td>
                            <td>
                                <label for="radioButtonArchiveUseEnergy" class="archive-cb-label">
                                      <asp:Label ID="labelArchiveUseEnergy" CssClass="archive-title" runat="server" /><br/>
                                      <asp:Label ID="labelArchiveUseEnergySub" CssClass="archive-subtitle" runat="server" />
                                </label>
                            </td>
                        </tr>
                        <tr id="boxArchiveEnergyDifferentialMultiplier">
                            <td></td>
                            <td>
                                <div class="QTYBox">                               
                                    <asp:Label CssClass="spinner-label" ID="labelArchiveEnergyDifferentialMultiplier" runat="server" />                                    
                                    <asp:TextBox ID="tbArchiveEnergyDifferentialMultiplier" Text="1" runat="server" AutoPostBack="false"></asp:TextBox>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="left-toolbar-panel" id="profiles-panel" style="display: none" >
                <div class="left-toolbar-panel-header">
                    <div class="panel-icon" id="profiles-icon">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-title">
                        <asp:Label ID="labelPanelProfile" runat="server"/>
                    </div>
                    <a href="#" class="panel-close-button" data-panel-target="profiles-panel" data-button-target="profiles-button">
                        <!--&nbsp;-->
                    </a>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-hr">
                        <!--&nbsp;-->
                    </div>
                </div>
                <div class="left-toolbar-panel-body">
                    <asp:DropDownList ID="dropDownListProfiles" runat="server" AutoPostBack="False" />

                    <a class="panel-generic-button" id="profile-load-button" href="#"><asp:Label ID="labelLoadQueryAndRetrieveData" runat="server"/></a>
                    <a class="panel-generic-button" id="profile-delete-button" href="#"><asp:Label ID="labelDeleteSelectedProfile" runat="server"/></a>
                    <a class="panel-generic-button" id="profile-save-button" href="#"><asp:Label ID="labelSaveCurrentSelectionAs" runat="server"/></a>

                    <div id="profile-saveas-container" style="display: none">
                        <input type="text" id="profile-input-name" />
                        <a id="profile-saveas-button" href="#">
                            <!--&nbsp;-->
                        </a>
                        <div style="clear: both">
                            <!--&nbsp;-->
                        </div>
                    </div>
                </div>
            </div>
            <div class="left-toolbar-panel" id="time-panel" style="display: none">
                <div class="left-toolbar-panel-header">
                    <div class="panel-icon" id="time-icon">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-title">
                        <asp:Label ID="labelPanelTimeIntervals" runat="server" />
                    </div>
                    <a href="#" class="panel-close-button" data-panel-target="time-panel"  data-button-target="time-button">
                        <!--&nbsp;-->
                    </a>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-hr">
                        <!--&nbsp;-->
                    </div>
                </div>
                <div class="left-toolbar-panel-body">
                    <asp:DropDownList ID="dropDownListIntervalTypes" runat="server" AutoPostBack="False" />
                    <div>
                        <div id="time-interval-controls">
                            <asp:Label ID="labelDateTimeFrom" runat="server" />
                            <asp:TextBox ID="textBoxFromDate" AutoPostBack="False" runat="server" />
                            <asp:Label ID="labelDateTimeTo" runat="server" />
                            <asp:TextBox ID="textBoxToDate" AutoPostBack="False" runat="server" />
                        </div>
                        <div id="time-interval-quick-jump">
                            <div style="float: left">
                                <a class="time-interval-button" id="time-interval-button-move-prev" href="#">
                                    <!--&nbsp;-->
                                </a>
                            </div>
                            <asp:Label ID="labelTimeIntervalSpan" runat="server" />
                            <div style="float: left">
                                <a class="time-interval-button" id="time-interval-button-move-next" href="#">
                                    <!--&nbsp;-->
                                </a>
                            </div>
                            <div style="clear: both">
                                <!--&nbsp;-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="left-toolbar-panel" id="resources-panel" style="display: none">
                <div class="left-toolbar-panel-header">
                    <div class="panel-icon" id="resources-icon">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-title"><asp:Label ID="labelPanelResources" runat="server"/></div>
                    <a href="#" class="panel-close-button" data-panel-target="resources-panel" data-button-target="resources-button">
                        <!--&nbsp;-->
                    </a>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-hr">
                        <!--&nbsp;-->
                    </div>
                </div>
                <div class="left-toolbar-panel-body">
                    <p id="resources-display-conf-count-box">
                        <strong><span id="resources-display-conf-count"></span></strong>
                        <!--&nbsp;-->
                        <asp:Label ID="labelConfigurations" runat="server" />
                    </p>
                    <a class="panel-generic-button" id="select-resources-button" href="#"><asp:Label ID="labelSelectResources" runat="server"/></a>
                    <div id="resources-display-conf-tree">
                        <!--&nbsp;-->
                    </div>
                    <p id="resources-display-conf-haccp">
                        <asp:Label ID="labelNoHaccpMessage" runat="server" />
                    </p>
                </div>
            </div>
            <div class="left-toolbar-panel" id="legend-panel" style="display: none">
                <div class="left-toolbar-panel-header">
                    <div class="panel-icon" id="legend-icon">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-title"><asp:Label ID="labelPanelLegend" runat="server"/></div>
                    <a href="#" class="panel-close-button" data-panel-target="legend-panel" data-button-target="legend-button">
                        <!--&nbsp;-->
                    </a>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-hr">
                        <!--&nbsp;-->
                    </div>
                </div>
                <div class="left-toolbar-panel-body">
                    <div id="legendContainer">
                        <!--&nbsp;-->
                    </div>
                </div>
            </div>
            <div class="left-toolbar-panel" id="print-panel" style="display: none">
                <div class="left-toolbar-panel-header">
                    <div class="panel-icon" id="print-icon">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-title"><asp:Label ID="labelPanelPrintExport" runat="server"/></div>
                    <a href="#" class="panel-close-button" data-panel-target="print-panel" data-button-target="printexport-button">
                        <!--&nbsp;-->
                    </a>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                    <div class="panel-hr">
                        <!--&nbsp;-->
                    </div>
                </div>
                <div class="left-toolbar-panel-body">
                    <div id="print-chart-settings">
                        <div class="archive-cb-box">
                            <input type="checkbox" id="print-include-statistics" />
                            <label class="archive-cb-label" for="print-include-statistics"><asp:Label ID="labelShowStatistics" runat="server"/></label>
                        </div>
                        <div class="archive-cb-box">
                            <input type="checkbox" id="print-include-legend" />
                            <label class="archive-cb-label" for="print-include-legend"><asp:Label ID="labelShowLegend" runat="server"/></label>
                        </div>
                        <div class="archive-cb-box">
                            <input type="checkbox" id="print-include-header" />
                            <label class="archive-cb-label" for="print-include-header"><asp:Label ID="labelShowHeader" runat="server"/></label>
                        </div>

                        <div class="archive-cb-box">
                            <input type="radio" id="print-layout-landscape" name="rb-print-layout" checked="checked" />
                            <label class="archive-cb-label" for="print-layout-landscape"><asp:Label ID="labelLandscape" runat="server"/></label>
                        </div>
                        <div class="archive-cb-box">
                            <input type="radio" id="print-layout-portrait" name="rb-print-layout" />
                            <label class="archive-cb-label" for="print-layout-portrait"><asp:Label ID="labelPortrait" runat="server"/></label>
                        </div>
                    </div>
                    <a class="panel-generic-button" id="print-button" href="#">
                        <asp:Label ID="labelPrint" runat="server"></asp:Label></a>
                    <a class="panel-generic-button" id="export-button" href="#">
                        <asp:Label ID="labelExport" runat="server"></asp:Label></a>
                </div>
            </div>
        </div>
        <div id="data-container">
            <div id="resourcesThresholdMessage" style="display: none" class='generalmessage actionfeedback'>
                <p>
                    <asp:Literal ID="literalResourcesThresholdWarning" runat="server"></asp:Literal>
                </p>
            </div>
            <div id="noDataMessage" style="display: none" class='generalmessage actionfeedback'>
                <p>
                    <asp:Literal ID="literalNoData" runat="server"></asp:Literal>
                </p>
            </div>
            <input id="hiddenStartingRowCount" type="hidden" value="100" name="hiddenStartingRowCount"
                runat="server" />
            <div id="table-container" style="display: none">
                <div id="toolHistoricalFiller0">
                    <!--&nbsp;-->
                </div>
            </div>
            <div id="chart-container" style="display: none; height: 100%; width: 100%">
                <div id="chart-print-header" style="display: none">
                    <asp:Label ID="labelPlantName" runat="server"></asp:Label><!--&nbsp;--><span id="print-date"></span>
                </div>
                <div id="chartdiv" style="position: relative; width: 100%;">
                    <!--&nbsp;-->
                </div>
                <div style="clear: both">
                    <!--&nbsp;-->
                </div>
                <div id="stat-box">
                    <div style="float: left">
                        <table class="stat-table" id="stat-tab-an-table">
                            <caption id="stat-tab-an-caption">
                                <asp:Literal ID="labelStatTableAnalogCaption" runat="server"></asp:Literal>
                                <small id="dateRangeAnalog">
                                    <!--&nbsp;-->
                                </small>
                            </caption>
                            <thead>
                                <tr>
                                    <th>
                                        <asp:Literal ID="labelStatTableAnalogLegend" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableAnalogLabel" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableAnalogAverage" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableAnalogMin" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableAnalogMax" runat="server"></asp:Literal></th>
                                    <th>
                                        <!--&nbsp;-->
                                    </th>
                                </tr>
                            </thead>
                            <tbody id="stat-tab-an-tbody">
                                <!--&nbsp;-->
                            </tbody>
                        </table>
                    </div>
                    <div style="float: left; margin-left: 10px">
                        <table class="stat-table" id="stat-tab-di-table">
                            <caption id="stat-tab-di-caption">
                                <asp:Literal ID="labelStatTableDigitalCaption" runat="server"></asp:Literal>
                                <small id="dateRangeDigital">
                                    <!--&nbsp;-->
                                </small>
                            </caption>
                            <thead>
                                <tr>
                                    <th>
                                        <asp:Literal ID="labelStatTableDigitLegend" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableDigitLabel" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableDigitSwitchCount" runat="server"></asp:Literal></th>
                                    <th>
                                        <asp:Literal ID="labelStatTableDigitUpPerc" runat="server"></asp:Literal></th>
                                </tr>
                            </thead>
                            <tbody id="stat-tab-di-tbody">
                                <!--&nbsp;-->
                            </tbody>
                        </table>
                    </div>
                    <div style="clear: both">
                        <!--&nbsp;-->
                    </div>
                </div>
            </div>
        </div>
        <div style="clear: both">
            <!--&nbsp;-->
        </div>
    </div>
    <div id="legendContainerOnPrint">
        <!--&nbsp;-->
    </div>
    <div class="context-menu" id="axis-context-menu">
        <ul class="menu">
            <li id="actual-menuitem"><a id="change-axis-actual-button" href="#">
                <p>
                    <asp:Literal ID="labelAxisSetDefault" runat="server"></asp:Literal>
                </p>
            </a></li>
            <li><a id="change-axis-color-button" href="#">
                <p>
                    <asp:Literal ID="labelAxisChangeColor" runat="server"></asp:Literal>
                </p>
            </a></li>
            <li><a id="change-axis-minmax-button" href="#">
                <p>
                    <asp:Literal ID="labelAxisChangeMinMax" runat="server"></asp:Literal>
                </p>
            </a></li>
            <li><a id="change-axis-bands-button" href="#">
                <p>
                    <asp:Literal ID="labelAxisChangeBands" runat="server"></asp:Literal>
                </p>
            </a></li>
        </ul>
    </div>
    <div class="context-menu" id="analog-context-menu">
        <h3 id="analog-context-title">
            <!--&nbsp;-->
        </h3>
        <ul class="menu">
            <li><a id="change-color-button" href="#">
                <asp:Literal ID="labelLegendChangeColor" runat="server"></asp:Literal></a></li>
            <li id="hide-show-marker-menuitem"><a id="hide-show-marker-button">
                <asp:Literal ID="labelLegendMarker" runat="server"></asp:Literal></a></li>
        </ul>
    </div>
    <div class="context-menu" id="axis-bands-control">
        <div>
            <span class="lbDescription">
                <asp:Literal ID="labelAxisBandsPaint" runat="server"></asp:Literal></span>
            <select id="bandsSelect" name="bandsSelect">
                <option value="true" selected="selected">
                    <asp:Literal ID="labelAxisBandsPaintInside" runat="server"></asp:Literal></option>
                <option value="false">
                    <asp:Literal ID="labelAxisBandsPaintOutside" runat="server"></asp:Literal></option>
            </select>
        </div>
        <div>
            <span class="lbDescription">
                <asp:Literal ID="labelAxisBandsValueA" runat="server"></asp:Literal></span>
            <input type="text" id="bands-tb-min" />
            <span id="minBandsRequisite" style="display: none; color: red">*</span>
        </div>
        <div>
            <span class="lbDescription">
                <asp:Literal ID="labelAxisBandsValueB" runat="server"></asp:Literal></span><input type="text" id="bands-tb-max" />
            <span id="maxBandsRequisite" style="display: none; color: red">*</span>
        </div>
        <a class="amChartsButton" id="assign-axis-bands-button">
            <asp:Literal ID="labelAxisBandsOkButton" runat="server"></asp:Literal></a>
        <a class="amChartsButton" id="clear-axis-bands-button">
            <asp:Literal ID="labelAxisBandsClearButton" runat="server"></asp:Literal></a>
    </div>
    <div class="context-menu" id="axis-min-max-control">
        <div>
            <p>
                <span class="lbDescription">
                    <asp:Literal ID="labelAxisMinMaxSteps1" runat="server"></asp:Literal></span>
                <span id="axis-lb-step" class="lbDescription">
                    <!--&nbsp;-->
                </span>
                <span class="lbDescription">
                    <asp:Literal ID="labelAxisMinMaxSteps2" runat="server"></asp:Literal></span>
            </p>
        </div>
        <div>
            <span class="lbDescription">
                <asp:Literal ID="labelAxisMin" runat="server"></asp:Literal></span><input type="text" id="axis-tb-min" />
            <span id="minRequisite" style="display: none; color: red">*</span>
        </div>
        <div>
            <span class="lbDescription">
                <asp:Literal ID="labelAxisMax" runat="server"></asp:Literal></span><input type="text" id="axis-tb-max" />
            <span id="maxRequisite" style="display: none; color: red">*</span>
        </div>
        <a class="amChartsButton" id="assign-axis-minmax-button">
            <asp:Literal ID="labelAxisMinMaxOkButton" runat="server"></asp:Literal></a>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
