<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Alarms_View.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Alarms_View" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuSettingsAlarms.ascx" TagName="SubtabMenuSettingsAlarms" TagPrefix="ucSubtabMenuSettingsAlarms" %>
<%@ Register Src="~/UC/LiteralPageJsonStartupData.ascx" TagName="jsonLiteral" TagPrefix="ucStartUpData" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/offlinenetworks.js"></script> 
    <script language="JavaScript" type="text/JavaScript" src="/script/js/visualCalendar.js"></script> 
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="CssArea" ID="ContentCSS">
    <style media="screen" type="text/css">
        .disabled {
            color: Gray;
        }
    </style>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <ucStartUpData:jsonLiteral runat="server" ID="LiteralJsStartupData"></ucStartUpData:jsonLiteral>
     <script language="JavaScript" type="text/JavaScript">
            //<![CDATA[

               window.addEvent('domready', function () {
                   offlineNetworkExt.Helpers.initialize(startUpData.isOffline);

                    // Tooltips
                    var myTips = new Tips($$('.calendarTipped'), {
                        text: "tip",
                        title: "tipTitlea",
                        showDelay: 500
                    });

                   myTips.removeEvents('show').addEvent('show', function (tip, el) {
                       var alarmCategoryId = $(el).get('data-id');

                       var isDebugView = false; // display clalendar in a div, useful for css debug
                       if (isDebugView) {
                            visualCalendar.Cal.getAndRenderTooltip(alarmCategoryId, this, 'calendarViewerDebug'); 
                       }

                       visualCalendar.Cal.getAndRenderTooltip(alarmCategoryId, this);
                       tip.fade('in');
                   });

                   myTips.removeEvents('hide').addEvent('hide', function (tip, el) {
                        tip.fade('hide');
                    });

               });

            //]]>
    </script>


    <div id="boxSettingsAccountsOverview">
        <table width="100%" class="wkaDataOverview">
            <tr>
                <td>
                    <blockquote id="boxAccountsOverview">
                        <h5 id="listTitle" runat="server"></h5>
                        <asp:Literal ID="Literal1" runat="server"></asp:Literal>
                    </blockquote>
                </td>
            </tr>
        </table>
        <div id="calendarViewerDebug"></div>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuSettingsAlarms:SubtabMenuSettingsAlarms ID="SubtabMenuSettingsAlarms1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>