<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Generic_Alarms.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Generic_Alarms" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GeneralMessageServiceNeedRestart.ascx" TagName="GeneralMessageServiceNeedRestart" TagPrefix="ucGeneralMessageServiceNeedRestart" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SettingsTimeSpan.ascx" TagName="SettingsTimeSpan" TagPrefix="ucSettingsTimeSpan" %>
<%@ Register Src="~/UC/SettingsNumber.ascx" TagName="SettingsNumber" TagPrefix="ucSettingsNumber" %>
<%@ Register Src="~/UC/SettingsBoolean.ascx" TagName="SettingsBoolean" TagPrefix="ucSettingsBoolean" %>
<%@ Register Src="~/UC/SettingsText.ascx" TagName="SettingsText" TagPrefix="ucSettingsText" %>
<%@ Register Src="~/UC/SettingsAutoText.ascx" TagName="SettingsAutoText" TagPrefix="ucSettingsAutoText" %>
<%@ Register Src="~/UC/SettingsDropDownList.ascx" TagName="SettingsDropDownList"
    TagPrefix="ucSettingsDropDownList" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/SubtabMenuGenericSettings.ascx" TagName="SubtabMenuGenericSettings"
    TagPrefix="ucSubtabMenuGenericSettings" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/SettingsNeedRestartLegend.ascx" TagName="SettingsNeedRestartLegend"
    TagPrefix="ucSettingsNeedRestartLegend" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/recipientsValidation.js"></script>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuGenericSettings:SubtabMenuGenericSettings ID="SubtabMenuGenericSettings1"
        runat="server" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
    <asp:Literal ID="javascriptConstants" runat="server"></asp:Literal>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/routerTestAction.js"></script>
    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[

        var recipientsValidator = null;

        window.addEvent('domready', function () {
            
            recipientsValidator = new recipientsValidation.Validator('mixed', true);
            recipientsValidator.initialize('settingsEmergencyAlarmRecipient$textBox', 'ValidateMailRecipientsButton');
            recipientsValidator.forceRefresh(); // field has already a value to validate

            var myClientDataEntry = new clientDataEntry('single');

            $('settingsEmailSender$textBox').addEvent('change', replicateSender);

            function replicateSender() {
                var replicaBox = document.getElementById('settingsEmailAccountName$textBox');
                var sendexBox = document.getElementById('settingsEmailSender$textBox');
                var enableReplica = $('settingsEmailAccountName$cbAutoComplete');
                if (enableReplica.checked) {
                    replicaBox.value = sendexBox.value;
                }
            }

            var emailPanel = new testPanel('PanelTestEmailMessage',
                'PanelTestEmailImage',
                'PanelTestEmailProgress',
                ['btnTestEmail'],
                'txtAddEmail',
                'txtMsgEmail',
                'sendEmail',
                60000,
                TIMEOUT_MESSAGE);

            var smsPanel = new testPanel('PanelTestPhoneMessage',
                'PanelTestPhoneImage',
                'PanelTestPhoneProgress',
                ['btnTestSms', 'btnTestCall'],
                'txtNumSms',
                'txtMsgSms',
                'sendSms',
                20000,
                TIMEOUT_MESSAGE);

            var phonePanel = new testPanel('PanelTestPhoneMessage',
                'PanelTestPhoneImage',
                'PanelTestPhoneProgress',
                ['btnTestSms', 'btnTestCall'],
                'txtNumSms',
                null,
                'sendCall',
                60000,
                TIMEOUT_MESSAGE);

            function send_TestEmail() { emailPanel.onClick(); }
            function send_TestSms() { smsPanel.onClick(); }
            function send_TestPhone() { phonePanel.onClick(); }

            $('btnTestEmail').addEvent('click', send_TestEmail);
            $('btnTestSms').addEvent('click', send_TestSms);
            $('btnTestCall').addEvent('click', send_TestPhone);

        });

        function afterPopupClosedCallback() {
            recipientsValidator.forceRefresh();
        }
        //]]>
    </script>

    <ucGeneralMessageServiceNeedRestart:GeneralMessageServiceNeedRestart ID="GeneralMessageSystemNeedRestart" ExtraCssClass="actionfeedback"
        runat="server" />

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />

    <div id="box">
        <ucSettingsNeedRestartLegend:SettingsNeedRestartLegend ID="SettingsNeedRestartLegend1"
            runat="server" />
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="litGeneralGroupTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="11" runat="server" id="settingsTimeSpanSendingAlarmRetryTimeout" />
                            <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="11" runat="server" id="settingsTimeSpanSendingAlarmRetryDuration" />
                            <ucSettingsText:SettingsText id="settingsEmergencyAlarmRecipient" runat="server" />
                            <tr>
                                 <td>
                                      <asp:Literal ID="LiteralMailValidator" runat="server"></asp:Literal>
                                 </td>
                            </tr>
                        </table>
                    </blockquote>
                    <p />
                    <blockquote class="detail" style="width: 60%; float: left;">
                        <h5>
                            <asp:Literal ID="litSmsAlphabetGroupTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsDropDownList:SettingsDropDownList id="settingsSmsAlphabet" runat="server" />
                            <ucSettingsNumber:SettingsNumber MaxLength="3" id="settingsMinimumModemThreshold"
                                runat="server" />
                        </table>
                    </blockquote>
                    <blockquote id="boxTestUtility" style="width: 38%; float: right;">
                        <h5>
                            <asp:Literal ID="testTitleSms" runat="server" /></h5>
                        <table>
                            <tr>
                                <td>
                                    <asp:Literal ID="lblMsgSms" runat="server" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMsgSms" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Literal ID="lblNumSms" runat="server" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtNumSms" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <span id="testSpanSms">
                                        <asp:Literal ID="testResultSms" runat="server" />
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                    <p />
                    <blockquote class="detail" style="width: 60%; float: left; clear: both;">
                        <h5>
                            <asp:Literal ID="litEmailDetailsGroupTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="settingsEmailServerAddress" />
                            <ucSettingsNumber:SettingsNumber MaxLength="5" runat="server" id="settingsEmailServerPort" />
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="settingsEmailSender" />
                            <ucSettingsBoolean:SettingsBoolean id="settingsAccountAuthRequired" runat="server" />
                            <ucSettingsAutoText:SettingsAutoText MaxLength="128" runat="server" id="settingsEmailAccountName" />
                            <ucSettingsText:SettingsText MaxLength="128" IsPasswordTypeText="true" runat="server"
                                id="settingsEmailAccountPassword" />

                            <ucSettingsBoolean:SettingsBoolean id="settingsAcceptInvalidCertificateWhenSslWithSystemMail"  runat="server" />
                            <ucSettingsNumber:SettingsNumber MaxLength="5" runat="server" id="settingsEmailServerTimeout" />
                             <ucSettingsBoolean:SettingsBoolean id="settingsEnableSslWithSystemMail" runat="server" />
                        </table>
                    </blockquote>
                    <blockquote id="boxTestUtility" style="width: 38%; float: right;">
                        <h5>
                            <asp:Literal ID="testTitleEmail" runat="server" /></h5>
                        <table>
                            <tr>
                                <td>
                                    <asp:Literal ID="lblMsgEmail" runat="server" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMsgEmail" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Literal ID="lblAddEmail" runat="server" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtAddEmail" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <span id="testSpanEmail">
                                        <asp:Literal ID="testResultEmail" runat="server" />
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>