<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Generic_System.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Generic_System" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GeneralMessageServiceNeedRestart.ascx" TagName="GeneralMessageServiceNeedRestart" TagPrefix="ucGeneralMessageServiceNeedRestart" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SettingsTimeSpan.ascx" TagName="SettingsTimeSpan" TagPrefix="ucSettingsTimeSpan" %>
<%@ Register Src="~/UC/SettingsNumber.ascx" TagName="SettingsNumber" TagPrefix="ucSettingsNumber" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/SubtabMenuGenericSettings.ascx" TagName="SubtabMenuGenericSettings"
    TagPrefix="ucSubtabMenuGenericSettings" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/SettingsNeedRestartLegend.ascx" TagName="SettingsNeedRestartLegend"
    TagPrefix="ucSettingsNeedRestartLegend" %>
<%@ Register Src="~/UC/SettingsDropDownList.ascx" TagName="SettingsDropDownList"
    TagPrefix="ucSettingsDropDownList" %>
<%@ Register TagPrefix="ucSettingsText" TagName="SettingsText" Src="~/UC/SettingsText.ascx" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuGenericSettings:SubtabMenuGenericSettings ID="SubtabMenuGenericSettings1"
        runat="server" />
</asp:Content>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/recipientsValidation.js"></script>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript">

        var recipientsValidator = null;

        window.addEvent('domready', function() {
            var myClientDataEntry = new clientDataEntry('single');

            recipientsValidator = new recipientsValidation.Validator('mail', false);
            recipientsValidator.initialize('settingsEmailLifeTestRecipient$textBox', 'ValidateMailRecipientsButton');
            recipientsValidator.forceRefresh(); // field has already a value to validate
        });
         
        function afterPopupClosedCallback() {
            recipientsValidator.forceRefresh();
        }
    </script>

      <ucGeneralMessageServiceNeedRestart:GeneralMessageServiceNeedRestart ID="GeneralMessageSystemNeedRestart" ExtraCssClass="actionfeedback"
        runat="server" />

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />

    <div id="box">
        <ucSettingsNeedRestartLegend:SettingsNeedRestartLegend ID="SettingsNeedRestartLegend1"
            runat="server" />
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalLanguagesGroupTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <tr>
                                <td style="width: 16px"></td>
                                <th>
                                    <asp:Literal ID="literalSystemLanguageTitle" runat="server"></asp:Literal>
                                </th>
                                <td>
                                    <asp:DropDownList ID="ddlSystemLanguage" runat="server" AutoPostBack="False" />
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalPortsGroupTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsNumber:SettingsNumber MaxLength="5" runat="server" id="settingsNumberWebServerPort" />
                            <ucSettingsNumber:SettingsNumber MaxLength="5" runat="server" id="settingsNumberPullModeDataTransferPort" />
                        </table>
                    </blockquote>
                    <asp:Panel ID="emailLifeTestPanel" runat="server">
                        <blockquote class="detail">
                            <h5>
                                <asp:Literal ID="literalEmailLifeTestGroupTitle" runat="server"></asp:Literal>
                            </h5>
                            <table>
                                <ucSettingsTimeSpan:SettingsTimeSpan MaxLength="10" runat="server" id="settingsEmailLifeTestStartingHour" />
                                <ucSettingsNumber:SettingsNumber MaxLength="2" width="20px" runat="server" id="settingsEmailLifeTestInterval" />
                                <ucSettingsText:SettingsText width="200px" runat="server" id="settingsEmailLifeTestRecipient" />
                                <tr>
                                    <td>
                                        <asp:Literal ID="LiteralMailValidator" runat="server"></asp:Literal>
                                    </td>
                                </tr>
                            </table>
                        </blockquote>
                    </asp:Panel>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>