<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Discover_01" %>

<%@ Register Src="~/UC/SubtabMenuNetworks.ascx" TagName="SubtabMenuNetworks" TagPrefix="uc1" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" NextVisible="true"
        
        GridManageInterfacesVisible="True"
        GridSelectForScanAllDevicesFromCurrentSiteVisible="True" 
        GridSelectForScanAllDevicesThatRequireScanVisible="True"
        GridUnselectForScanAllAddressesVisible ="True"
        runat="server" />

    <style type="text/css">

        .wrpSuperGridNetworkTable table tbody td input[type='checkbox'] {
            width: auto; /* reset of wrpSuperGridNetworkTable  */
        }

        
        .tableAddressSelection, .wrpSuperGridNetworkTable table.tableAddressSelection {
            
            margin-top: 10px;
            border-top: 1px solid #AAAAAA;
            border-left: 1px solid #AAAAAA;

            /* float:right; */
            margin: auto;
            width: auto;
        }

        .tableBodyAddressSelection {
            
        }
         
        .tableBodyAddressSelection td {
            padding: 2px;
            text-align: center;
            height: 15px;
            font-size: 10px;
            vertical-align: middle;
            white-space: nowrap;
            background-color: #E4E4E4;
            border-bottom: 1px solid #AAAAAA;
            border-right: 1px solid #AAAAAA;
        }
         
           
            /* ORDER IS IMPORTANT BEGIN */
            .tableBodyAddressSelection td.cell-device-present {
                background-color:#666666;
            }

            .tableBodyAddressSelection td.cell-device-scan-required {
                background-color:#df0d22;
            }

             .tableBodyAddressSelection td.cell-selected {
                background-color:#FFFF99;
            }

            .tableBodyAddressSelection td.cell-selected.cell-device-present {
                background-color:#ffd700;
            }
            /* ORDER IS IMPORTANT END */

        /* .wrpSuperGridNetworkTable tbody.tableBodyAddressSelection th */
        .tableBodyAddressSelection th {
            padding: 2px;
            text-align: center;
            height: 15px;
            font-size: 9px;
            color: #333333;
            background-color: #99CCFF;
            border-bottom: 1px solid #AAAAAA;
            border-right: 1px solid #AAAAAA;
        }

        /* .wrpSuperGridNetworkTable tbody.tableBodyAddressSelection.tableBodyAddressSelection tr.address-selection-row th div.row-header-label */
        .tableBodyAddressSelection tr.address-selection-row th div.row-header-label
         {
                    float: right;
                    margin-top: 5px;
                    margin-left: 10px;
                    margin-right: 10px;
         }


        .select-all-grid-command {
            background-image : url('/media/img/Common/Grid/ListChecked.png');
            border: 1px solid black;
            background-color: red;
            height: 10px;
            width: 30px;
            float:right;
            margin-left: 5px;
            margin-right: 5px;
            cursor:pointer;
        }

    </style>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

      <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditScanRange.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditScanRange = (function () {  // networkExt.gridExtEditScanRange BEGIN

                // Private Fields  
                var _linkButtonSelectAll = null;
                var _linkButtonUnselectAll = null;
                var _linkButtonSelectForScanAllDevicesFromCurrentSite = null;
                var _linkSelectForScanAllDevicesThatRequireScan = null;
                    
                 
                // initial state: whe are in first page and section to proceed to second page are incomplete
                var STATE_INITIAL = "initial";
                 
                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() { 
                    _linkButtonSelectAll = document.getElement('td.dosome a.watSelectForScanAllAddresses');
                    _linkButtonUnselectAll = document.getElement('td.dosome a.watUnselectForScanAllAddresses');

                    _linkButtonSelectForScanAllDevicesFromCurrentSite = document.getElement('td.dosome a.watSelectForScanAllDevicesFromCurrentSite');
                    _linkSelectForScanAllDevicesThatRequireScan = document.getElement('td.dosome a.watSelectForScanAllDevicesThatRequireScan');

                    wireToolbarEvent();
                      
                    fillAddressTableAndWireEventsMultiple();
                }

                // EVENT WIRING 

                function wireToolbarEvent()
                { 
                    if (_linkButtonSelectAll) {
                        _linkButtonSelectAll.addEvent('click', selectAllDevices );
                        _linkButtonSelectAll.onclick = function () { return false; };
                    }

                    if (_linkButtonUnselectAll) {
                        _linkButtonUnselectAll.addEvent('click', unselectAllDevices );
                        _linkButtonUnselectAll.onclick = function () { return false; };
                    }

                    if (_linkButtonSelectForScanAllDevicesFromCurrentSite) {
                        _linkButtonSelectForScanAllDevicesFromCurrentSite.addEvent('click', selectDeviceOfCurrentNetworkAll );
                        _linkButtonSelectForScanAllDevicesFromCurrentSite.onclick = function () { return false; };
                    }

                    if (_linkSelectForScanAllDevicesThatRequireScan) {
                        _linkSelectForScanAllDevicesThatRequireScan.addEvent('click', selectDevicesOfCurrentNetworkThatNeedScan);
                        _linkSelectForScanAllDevicesThatRequireScan.onclick = function () { return false; };
                    }
                     
                     
                }

                function fillAddressTableAndWireEventsMultiple() {
                    var tableBodyAddressSelectionAllRows = $$('.tableBodyAddressSelection');

                    tableBodyAddressSelectionAllRows.forEach(
                        function (tableBody) {
                            fillAddressTableAndWireEvents(tableBody);
                            refreshGridCellsBackgound(tableBody);
                    });
                }

                function fillAddressTableAndWireEvents(tableBodyAddressSelection) {
                    // top row with lables

                    var interfaceId = tableBodyAddressSelection.get('data-networkid');

                    var topRowEl = new Element('tr', {
                        'class': 'address-selection-header',
                    });

                    // a sigle item on the upper left corner
                    var firstColumnTopEl = new Element('th', {
                        html: startUpData.localizedStrings['family'],
                    });
                    firstColumnTopEl.inject(topRowEl);

                     var otherColumnsTopEl = new Element('th', {
                        html: startUpData.localizedStrings['address'],
                        colspan: 20, // better bigger
                    });
                    otherColumnsTopEl.inject(topRowEl);

                    topRowEl.inject(tableBodyAddressSelection);

                    // header row with adress number

                    var headerRowEl = new Element('tr', {
                        'class': 'address-selection-header',
                    });

                    // a sigle item on the upper left corner
                    var firstColumnHeaderEl = new Element('th', {
                        html: '',
                    });
                    firstColumnHeaderEl.inject(headerRowEl);

                    var interfaceInfo = getInterfaceInfo(interfaceId);
                    var lowAddressList = interfaceInfo.lowAddressList;

                    lowAddressList.each(function (address) {

                        var columnHeaderEl = new Element('th', {
                            html: '' + address,
                        });
                        columnHeaderEl.inject(headerRowEl);

                    });

                    headerRowEl.inject(tableBodyAddressSelection);

                    // other rows

                    var interfaceInfo = getInterfaceInfo(interfaceId);
                    var familyAddressList = interfaceInfo.familyAddressList;

                    familyAddressList.each(function (rowIndex) {
                        var rowEl = new Element('tr', {
                            'class': 'address-selection-row',
                        });

                        // row header special cell

                        var rowHeader = new Element('th', {});
                        var rowHeaderContainer = new Element('div', {});
                        rowHeaderContainer.inject(rowHeader);

                        var labelForRowHeader = new Element('div', {
                            html: ' ' + rowIndex + ' ',
                            'class': 'row-header-label'
                        });

                        labelForRowHeader.inject(rowHeaderContainer);

                        var chkForRowEl = new Element('input', {
                            type: 'checkbox',
                            events: {
                                click: function () {
                                    var rowToToggle = $(this).getParents('tr')[0];
                                    taggleAllCellsOfTheRow(rowToToggle);
                                    var tableBodyParent = $(this).getParents('.tableBodyAddressSelection')[0];
                                    refreshGridCellsBackgound(tableBodyParent);
                                    // setStateByUserInput();
                                    // setVisibilityByState();
                                }
                            },
                        });

                        chkForRowEl.inject(rowHeaderContainer);

                        rowHeader.inject(rowEl);

                        // other cells

                        lowAddressList.each(function (columnIndex) {
                            var tdEl = new Element('td', {
                                // title: rowIndex + ':' + columnIndex  // do not need toolpit is set on refreshGridCellsBackgound
                            });

                            var chkEl = new Element('input', {
                                type: 'checkbox',
                                'data-id': rowIndex + ':' + columnIndex,
                                events: {
                                    click: function () {
                                        var tableBodyParent = $(this).getParents('.tableBodyAddressSelection')[0];
                                        refreshGridCellsBackgound(tableBodyParent);
                                        // setStateByUserInput();
                                        // setVisibilityByState();
                                    }
                                },
                            });

                            chkEl.inject(tdEl);
                            tdEl.inject(rowEl);
                        }); // lowAddressList.each(


                        rowEl.inject(tableBodyAddressSelection);

                    }); // familyAddressList.each(
                }

                function selectAllDevices() {
                    $$('.address-selection-row input[type="checkbox"]').each(function (item) {
                        item.checked = true;
                    });

                    refreshGridCellsBackgoundForAllGrids();
                }

                function unselectAllDevices() {
                    cleanItemSelectedInGrid();

                    refreshGridCellsBackgoundForAllGrids();
                }

                function selectDeviceOfCurrentNetworkAll() {
                    cleanItemSelectedInGrid();

                    $$('.cell-device-present input[type="checkbox"]').each(function(item) {
                        item.checked = true;
                    });

                    refreshGridCellsBackgoundForAllGrids();
                }

                function selectDevicesOfCurrentNetworkThatNeedScan() {
                    cleanItemSelectedInGrid();

                    $$('.cell-device-scan-required input[type="checkbox"]').each(function(item) {
                        item.checked = true;
                    });

                    refreshGridCellsBackgoundForAllGrids();
                }

                function taggleAllCellsOfTheRow(rowToToggle) {
                    var thOfTheRow = rowToToggle.getElement('th');
                    var checkboxInsideThOfTheRow = thOfTheRow.getElement('input');

                    var isChecked = checkboxInsideThOfTheRow.checked;

                    rowToToggle.getElements('td').each(
                        function (tdItem) {
                            var tdItemElement = $(tdItem);
                            var inputElement = tdItemElement.getElement('input');
                            inputElement.checked = isChecked;
                        }
                    );
                }

                function refreshGridCellsBackgoundForAllGrids() {
                    var tableBodyAddressSelectionAllRows = $$('.tableBodyAddressSelection');

                    tableBodyAddressSelectionAllRows.forEach(
                        function (tableBody) {
                            refreshGridCellsBackgound(tableBody);
                    });
                }

                function refreshGridCellsBackgound(tableBody) {

                    var interfaceId = tableBody.get('data-networkid');
                    var interfaceSelectedStringLength = interfaceId.length;

                    var interfaceInfo = getInterfaceInfo(interfaceId);
                    var existingDevices = interfaceInfo.existingDevices;
                     
                    var tooltipOfInterfaceList = [];
                    var scanRequiredDeviceAddressList = [];
                    existingDevices.each(function (existingDevice) {
                        if (interfaceId == existingDevice.tooltip.substring(0, interfaceSelectedStringLength)) {
                            tooltipOfInterfaceList.push(existingDevice.tooltip);
                            if (existingDevice.scanRequired)
                                scanRequiredDeviceAddressList.push(existingDevice.tooltip);
                        }
                    });

                    var addressSelectedText = '';
                    var addressSelectedTextForView = '';
                    var selectedDeviceCount = 0;

                    $(tableBody).getElements('tr.address-selection-row').each( // each row begin

                        function (trItem) {

                            var headerCellOfTheRow = $(trItem).getElement('th');
                            var checkboxInHeaderCellOfTheRow = headerCellOfTheRow.getElement('input');
                            var someNotSelectedInRow = false;

                            var cellsOfTheRow = $(trItem).getElements('td');

                            cellsOfTheRow.each( // each cell begin

                                function (tdItem) {
                                    var tdItemElement = $(tdItem);
                                    var inputElement = tdItemElement.getElement('input');
                                    var address = inputElement.get('data-id');

                                    tdItemElement.removeClass('cell-selected');
                                    tdItemElement.removeClass('cell-device-present');
                                    tdItemElement.removeClass('cell-device-scan-required');
                                    tdItemElement.title = address;

                                    var tooltipOfExistingDeviceFound = null;
                                    tooltipOfInterfaceList.forEach(function (a) {
                                        if (a.indexOf(address) > -1) {
                                            tooltipOfExistingDeviceFound = a.substring(interfaceSelectedStringLength + 1); // in "1.00:01 modelxyz" removes "1."
                                        }
                                    });

                                    var scanRequiredDeviceProperty= false;
                                    scanRequiredDeviceAddressList.forEach(function (a) {
                                        if (a.indexOf(address) > -1) {
                                            scanRequiredDeviceProperty = true;
                                        }
                                    });

                                    if (tooltipOfExistingDeviceFound) {
                                        tdItemElement.addClass('cell-device-present');
                                        tdItemElement.title = tooltipOfExistingDeviceFound;
                                    }

                                    if (scanRequiredDeviceProperty) {
                                        tdItemElement.addClass('cell-device-scan-required');
                                    }

                                    if (inputElement.checked) {
                                        if (addressSelectedText) {
                                            addressSelectedText = addressSelectedText + ', ' + address;
                                            addressSelectedTextForView = addressSelectedTextForView + '  ' + address;
                                        }
                                        else {
                                            addressSelectedText = address; // first item of the list
                                            addressSelectedTextForView = address;
                                        }

                                        tdItemElement.title = tdItemElement.title;
                                        tdItemElement.addClass('cell-selected');

                                        selectedDeviceCount++; 
                                    }
                                    else {
                                        someNotSelectedInRow = true;
                                          
                                    }
                                }

                            ); // each cell end

                            checkboxInHeaderCellOfTheRow.checked = !someNotSelectedInRow;

                        } // function (trItem)

                    ); // each row end

                    // _textboxAllAddressesSelected.set('value', addressSelectedTextForView);
                    // var hiddenSelected = $('HiddenTextBoxAllAddressesSelected');
                    // hiddenSelected.set('value', addressSelectedText);
                    var textBoxSelectedAddress = document.getElement('#selectedaddressforscan' + interfaceId);
                    var textBoxSelectedDeviceCount = document.getElement('#selecteddevicecountforscan' + interfaceId);
                    textBoxSelectedAddress.set('value', addressSelectedText);
                    textBoxSelectedDeviceCount.set('value', selectedDeviceCount);

                }

                /*
                function getItemSelectedInGrid() {
                    var itemToReturn = null;

                    $$('.device-to-select-row').each(function (item) {
                        var itemElement = $(item);
                        if (itemElement.hasClass('device-to-select-selected')) {
                            itemToReturn = itemElement;
                        }
                    });

                    return itemToReturn;
                }
                */

                function cleanItemSelectedInGrid() {
                    $$('.address-selection-row input[type="checkbox"]').each(function (item) {
                        item.checked = false;
                    });

                    // _hiddenTextboxSelectedDriverId.set('value', '');
                }

                function getInterfaceInfo(interfaceId)
                {  
                    for (var i = 0; i < startUpData.interfaceInfoList.length; i++) {
                        if (startUpData.interfaceInfoList[i].interfaceId == interfaceId) {
                            return startUpData.interfaceInfoList[i];
                        }
                    }

                    return null;
                }
                   
            })(); // networkExt.gridExtEditScanRange END

        //]]>

     </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />
    <uc2:NetworksGrid ID="NetworksGrid1" runat="server" />
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <uc1:SubtabMenuNetworks ID="SubtabMenuNetworks1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>