<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Networks_Discover_01Interfaces.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Discover_01Interfaces" %>

<%@ Register Src="~/UC/SubtabMenuNetworks.ascx" TagName="SubtabMenuNetworks" TagPrefix="uc1" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" BackVisible="true" PageEditCommandsVisible="true"
        RecordEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />
    <div id="boxDiscoverManageInterface">

        <script language="JavaScript" type="text/JavaScript">
            window.addEvent('domready', function() {
                var myClientDataEntry = new clientDataEntry('list');
                function update_kind_details_visibility() {
                    $('ifcComDets').conditionalClass('folded', !$('decHardwareType1').checked);
                    $('ifcLanDets').conditionalClass('folded', !$('decHardwareType2').checked);
                    $('ifcMbDets').conditionalClass('folded', !$('decHardwareType3').checked);

                    // IE doesn't accept style=\"display: none;" on option tag
                    if ($('decScanAdapterProfile')[6] != null) {
                        var option6 = $('decScanAdapterProfile')[6];
                        $('decScanAdapterProfile').removeChild(option6);
                    }
                    //// Default is Lan Adapter / 'decHardwareType2' checked
                    // $('decScanAdapterProfile')[0].disabled = true;
                    // $('decScanAdapterProfile')[1].disabled = true;
                    // $('decScanAdapterProfile')[2].disabled = true;
                    ////

                    if (myClientDataEntry.currUserAction == 'adding') {
                        if ($('decHardwareType1').checked) {
                            $('decScanAdapterProfile').setFormElementValue('0');
                            ////
                            // $('decScanAdapterProfile')[0].disabled = false;
                            // $('decScanAdapterProfile')[1].disabled = false;
                            // $('decScanAdapterProfile')[2].disabled = false;
                            // $('decScanAdapterProfile')[3].disabled = true;
                            // $('decScanAdapterProfile')[4].disabled = true;
                            // $('decScanAdapterProfile')[5].disabled = true;
                            ////
                        }
                        else if ($('decHardwareType2').checked) {
                            $('decScanAdapterProfile').setFormElementValue('3');
                            //
                            // $('decScanAdapterProfile')[0].disabled = true;
                            // $('decScanAdapterProfile')[1].disabled = true;
                            // $('decScanAdapterProfile')[2].disabled = true;
                            // $('decScanAdapterProfile')[3].disabled = false;
                            // $('decScanAdapterProfile')[4].disabled = false;
                            // $('decScanAdapterProfile')[5].disabled = false;
                            //
                        }
                        else
                            $('decScanAdapterProfile').setFormElementValue('6');
                    }

                    // Hides ModbusTcp
                    $('decHardwareType3').setStyle('display', 'none');
                    $('ifcMbDets').setStyle('display', 'none');
                }
                update_kind_details_visibility();
                $('decHardwareType1').addEvent('click', update_kind_details_visibility);
                $('decHardwareType2').addEvent('click', update_kind_details_visibility);
                $('decHardwareType3').addEvent('click', update_kind_details_visibility);
                $('decHardwareType1').addEvent('change', update_kind_details_visibility);
                $('decHardwareType2').addEvent('change', update_kind_details_visibility);
            });
        </script>

        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordList">
                    <blockquote id="boxInterfaceList" class="list">
                        <h5 id="ListTitle" runat="server"></h5>
                        <asp:Literal ID="litList" runat="server" />
                        <!--                            <ucGenericGrid:GenericGrid ID="gGridList" IsList="true" runat="server">
                                <ucGenericContainer:GenericContainer ID="GenericContainer1" IdFieldName="Id"  ShowHeader="true" RowDisabledCssClass="disabled" runat="server">
                                    <ucGenericText:GenericText ID="colHardwareTypeLabel" FieldName="HardwareTypeLabel" Selectable="true" runat="server"></ucGenericText:GenericText>
                                    <ucGenericText:GenericText ID="colAddress" FieldName="Address" runat="server"></ucGenericText:GenericText>
                                    <ucGenericText:GenericText ID="colProtocol" FieldName="Protocol" runat="server"></ucGenericText:GenericText>
                                    <ucGenericText:GenericText ID="colScanAdapterProfile" FieldName="ScanAdapterProfile" runat="server"></ucGenericText:GenericText>
                                </ucGenericContainer:GenericContainer>
                            </ucGenericGrid:GenericGrid>-->
                    </blockquote>
                </td>
                <td class="wdeRecordDetail">
                    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1"
                        runat="server" />
                    <blockquote id="boxDiscoverManageInterfaceConf" class="detail">
                        <h5 id="DetailsTitle" class="conn" runat="server"></h5>
                        <asp:Literal ID="litEdit" runat="server"></asp:Literal>
                    </blockquote>
                    <blockquote id="boxTestUtility">
                        <h5>
                            <asp:Literal ID="testTitle" runat="server" /></h5>
                        <div>
                            <span class="fbackwarnings" id="testSpan">
                                <asp:Literal ID="testResult" runat="server" /></span>
                            <asp:Button ID="btnTest" OnClick="btnTest_Click" runat="server" />
                        </div>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <uc1:SubtabMenuNetworks ID="SubtabMenuNetworks1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>