<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Offline_DiscoverProgress.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Offline_DiscoverProgress" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="CssArea" runat="Server">  


</asp:Content> 

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    
    <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

    <style type="text/css">
        
        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaUpdatedArea {
            display:none;
        } 

    </style>

    <!-- TOOLBAR -->
    <table>
        <tr>
            <td class="goprev"></td>
            <td class="dosome">
               <table id="PanelWaitMessage">
                   <tr>
                        <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                        <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
                   </tr>
               </table> <asp:LinkButton ID="LinkButtonCancel" runat="server" CssClass="watGenericUndo" /> 
            </td>
            <td class="gonext"></td>
        </tr>
    </table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

  
     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();

                if (startUpData.popupToRedirectAfterLoad) { 
                    window.location = startUpData.popupToRedirectAfterLoad;
                } 
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                var _panelWaitMessage = null; 
               
                // initial state: whe are in first page and section to proceed to second page are incomplete
                var STATE_INITIAL = "initial";

                var STATE_SCAN_IN_PROGRESS = "operation_in_progress";

                // when operation due to user in put is in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() {

                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');
                    _linkButtonCancel = document.getElement('td.dosome a#LinkButtonCancel');
                      
                    wireToolbarEvent(); 
                    
                    setStateByUserInput();
                    setVisibilityByState();

                    // if all is ok (we need js values passed from code behind) set start scan display
                     
                    _state = STATE_SCAN_IN_PROGRESS;
                    setStateByUserInput();
                    setVisibilityByState();
                }

                // EVENT WIRING 

                function wireToolbarEvent()
                {  
                    if (_linkButtonCancel) {
                        _linkButtonCancel.addEvent('click', onCancel);
                        _linkButtonCancel.onclick = function () { return false; };
                    } 
                     
                }
                  
                // FUNCTION THAT RESPONDS TO WIRED EVENTS

                function onClosePopup(item) {
                    // the same command (explained) is injected via server side in generic popup control
                    // this approach is the best because we skip one postback but we reload interely the parent page
                    // so the parent page is anyway refreshed!!!
                    window.parent.location = window.parent.location;
                }

                function onCancel()
                {  
                    setStateByUserInput();
                    setVisibilityByState();
                }
                  

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {

                    
                }

                function setVisibilityByState()
                {
                    switch (_state)
                    {
                        case STATE_INITIAL:
                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            break;

                        case STATE_SCAN_IN_PROGRESS:
                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            break;

                        case STATE_OPERATION_IN_PROGRESS:
                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonCancel.setStyle('display', 'none');
                            break;   
                         
                    }
                }

                // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS
                
                // nop;

            })(); // networkExt.gridExt END

       //]]>
     </script>
     
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage2" runat="server" />
    <div class="discoveryReport">
    <asp:Literal ID="literalReport" runat="server"></asp:Literal>
        </div>
</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>