<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Offline_PopupAddDevice.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Offline_PopupAddDevice" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

    <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

    <style type="text/css">
        
        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaUpdatedArea {
            display:none;
        }

         
         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }
             

          .inputArea { 
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            border-bottom: 1px solid #CCCCCC;

            height: 140px; /* must be the same */
        }

         .scrollableContent {
             padding-top:140px; /* must be the same */
         }

          .boxTop {
            position: absolute;
            bottom: -1px;
            width: 100%;
        }

            .boxTop td {
                padding:8px;
            }

            .boxTop span {
                margin-right:5px;
            }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

        .tableDeviceSelection {
            margin: auto;
            border: 1px solid #AAAAAA;
            border-top: 0px solid black;
            padding: 0px;
            width: 468px;
        }

             .tableDeviceSelection tr th,
             .tableDeviceSelection tr td {
                padding:2px;
                padding-left:5px;
                white-space: nowrap;
                background-color: #E4E4E4;
                border-top: 1px solid #AAAAAA;
                /* border-bottom: 1px solid #AAAAAA; */
             }

             .tableDeviceSelection thead tr th {
                 height: 16px;
                 font-size: 9px;
                 color: #333333;
                 background-color: #99CCFF;
             } 
                

             .tableDeviceSelection tr td {
                 height: 18px;
                 font-size:10px;
                 vertical-align:middle; 
             }

             .tableDeviceSelection tbody {
                 cursor:pointer;
             }

             .tableDeviceSelection tr.device-to-select-selected td {
                 background-color: #FFFF99;
             }


        #LabelDeviceCount {
            margin-bottom: 5px;
            padding: 6px 8px 6px 8px;
            font-size: 10px;
            font-weight: bold;
            background-color: #FFFFCC;
            border: 1px solid #F8C8A0;
        }

        .input-addess {
            width:340px;
            height:60px;
            margin-right:5px;
            margin-left:5px;
        }

        .input-model {
            border: 0px;
            width: 300px;
            font-weight:bold;
        }

        .tableAddressSelection {
            margin: auto;
            margin-top: 20px;
            border-top: 1px solid #AAAAAA;
            border-left: 1px solid #AAAAAA;
        }

        .tableBodyAddressSelection {
            
        }

        .tableBodyAddressSelection td {
            padding: 2px;
            text-align: center;
            height: 15px;
            font-size: 10px;
            vertical-align: middle;
            white-space: nowrap;
            background-color: #E4E4E4;
            border-bottom: 1px solid #AAAAAA;
            border-right: 1px solid #AAAAAA;
        }

            .tableBodyAddressSelection td.cell-selected {
                background-color:#FFFF99;
            }

            .tableBodyAddressSelection td.cell-device-present {
                background-color:#666666;
            }

        .tableBodyAddressSelection th {
            padding: 2px;
            text-align: center;
            height: 15px;
            font-size: 9px;
            color: #333333;
            background-color: #99CCFF;
            border-bottom: 1px solid #AAAAAA;
            border-right: 1px solid #AAAAAA;
        }

        .tableBodyAddressSelection tr.address-selection-row th div.row-header-label {
                    float: right;
                    margin-top: 5px;
                    margin-left: 10px;
                    margin-right: 10px;
                }

        .textarea-addresses {
            width:420px;
            height:60px;
            background-color: #E4E4E4;
        }

        .tableDeviceSelection tr td.device-to-select-driver-cell {
            text-align: right;
            padding-right: 20px;
            width: 80px;
        }

        #DropDownListInterfaces {
            width: 220px;
        }

     </style>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="LinkButtonSelectDevice" runat="server" CssClass="watLoaddata" /> 
           <asp:LinkButton ID="LinkButtonAddDevice" runat="server" CssClass="watSavedata" OnClick="LinkButtonAddDevice_Click" /> 
           <asp:LinkButton ID="LinkButtonCancel" runat="server" CssClass="watGenericUndo" />
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="ilbClose_Click" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                // Private Fields 
                var _divInputAreaFixedTop = null;
                var _divScrollableContentGrid = null;

                var _boxTopStep1    = null;
                var _boxTopStep2    = null;
                var _boxBottomStep1 = null;
                var _boxBottomStep2 = null;

                var _panelWaitMessage = null;
                var _linkButtonSelectDevice = null;
                var _linkButtonAddDevice = null;
                var _linkButtonCancel = null;
                var _linkButtonClose = null;
                var _tableBodyDeviceSelection = null; 
                var _tableBodyAddressSelection = null;
                var _textboxAllAddressesSelected = null;
                var _hiddenTextBoxAllAddressesSelected = null;

                // this is an additional input state (i.e. a user input) used to calculate the main STATE
                var _additionalInputStateIsSecondPage = false;

                // initial state: whe are in first page and section to proceed to second page are incomplete
                var STATE_INITIAL = "initial";

                // we are in the first page and all inputs are filled to go to page 2
                var STATE_PAGE_1_READY_TO_GO_TO_PAGE_2 = "STATE_PAGE_1_READY_TO_GO_TO_PAGE_2";

                // we are in the second page but inputs are not completely filled to submit
                var STATE_PAGE_2_NOT_READY_TO_SUBMIT_DATA = "STATE_PAGE_2_NOT_READY_TO_SUBMIT_DATA";

                // we are in the second page, inputs are valid to perform a submit!
                var STATE_PAGE_2_READY_TO_SUBMIT_DATA = "STATE_PAGE_2_READY_TO_SUBMIT_DATA";

                // when operation in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() {

                    _boxTopStep1    = document.getElement('#boxTopStep1');
                    _boxTopStep2    = document.getElement('#boxTopStep2');
                    _boxBottomStep1 = document.getElement('#boxBottomStep1');
                    _boxBottomStep2 = document.getElement('#boxBottomStep2');
         
                    _divInputAreaFixedTop = document.getElement('#inputAreaFixedTop');
                    _divScrollableContentGrid = document.getElement('#scrollableContentGrid'); 

                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');
                    _linkButtonSelectDevice = document.getElement('td.dosome a#LinkButtonSelectDevice');
                    _linkButtonAddDevice = document.getElement('td.dosome a#LinkButtonAddDevice');
                    _linkButtonCancel = document.getElement('td.dosome a#LinkButtonCancel');
                    _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                    _tableBodyDeviceSelection = document.getElement('#tableBodyDeviceSelection');
                    _tableBodyAddressSelection = $$('.tableBodyAddressSelection')[0];

                    _hiddenTextboxSelectedDriverId = $('HiddenTextboxSelectedDriverId');
                       
                    // telvisgo does not support textarea at all we construt here client-side
                    var placeHolderForTextArea = $('PlaceHolderForTextBoxAllAddressesSelected');
                    var textArea = new Element('textarea', {
                        'class': 'textarea-addresses',
                        'readonly': 'readonly',

                    });
                    textArea.inject(placeHolderForTextArea);
                    _textboxAllAddressesSelected = textArea;

                    wireToolbarEvent();
                    wireFilterEvent(); 

                    fillDeviceTableAndWireEvents();
                    filterDeviceTable();

                    fillAdressTableAndWireEvents();
                    refreshGridCellsBackgound();

                    setStateByUserInput();
                    setVisibilityByState();


                }

                // EVENT WIRING 

                function wireToolbarEvent()
                { 
                    if (_linkButtonClose) {
                        _linkButtonClose.addEvent('click', onClosePopup);
                        _linkButtonClose.onclick = function () { return false; };
                    }

                    if (_linkButtonCancel) {
                        _linkButtonCancel.addEvent('click', onCancel);
                        _linkButtonCancel.onclick = function () { return false; };
                    }

                    if (_linkButtonSelectDevice) {
                        _linkButtonSelectDevice.addEvent('click', onSelectDeviceClicked);
                        _linkButtonSelectDevice.onclick = function () { return false; };
                    }

                    // if (_linkButtonAddDevice) {
                    //    _linkButtonAddDevice.addEvent('click', onAddDeviceClicked);
                    //    _linkButtonAddDevice.onclick = function () { return false; };
                    //}
                     
                }

                function wireFilterEvent() {
                    // alarm filters
                    $('TextBoxDeviceFilter').addEvent('keyup', redrawModels_delayedListing.pass(1000, this));
                    $('TextBoxDeviceFilter').addEvent('change', redrawModels_delayedListing.pass(500, this));
                    // alarm filters
                }
                 

                // FUNCTION THAT RESPONDS TO WIRED EVENTS

                function onClosePopup(item) {
                    // the same command (explained) is injected via server side in generic popup control
                    // this approach is the best because we skip one postback but we reload interely the parent page
                    // so the parent page is anyway refreshed!!!
                    window.parent.location = window.parent.location;
                }

                function onCancel()
                {
                    $$('.generalmessage').destroy(); // generalemessage present in the dom indicates the state machine to show the second page, we need to destroy

                    _additionalInputStateIsSecondPage = false;

                    cleanItemSelectedInGrid();
                    setStateByUserInput();
                    setVisibilityByState();
                }

                function onSelectDeviceClicked()
                {
                    _additionalInputStateIsSecondPage = true;
                    refreshGridCellsBackgound();

                    setStateByUserInput();
                    setVisibilityByState();
                }

                function onAddDeviceClicked()
                {
                    alert('onAddDeviceClicked');
                }

                /*ALARM FILTERS BEGIN */
                function redrawModels_delayedListing(delayModels) {

                    timedelayModels = delayModels || 0; // timeout to handle multiple update sequences

                    if ($chk(this.redrawModels_ticket)) { $clear(this.redrawModels_ticket); };
                    this.redrawModels_ticket = redrawModels_updateListing.delay(timedelayModels, this);
                }

                function redrawModels_updateListing() {
                    filterDeviceTable();

                    // filtering could have unselect a currently selected device
                    setStateByUserInput();
                    setVisibilityByState();
                }
                /*ALARM FILTERS END */

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {

                    if ($$('.generalmessage').length > 0)
                    {
                        _additionalInputStateIsSecondPage = true; // a message from a postback needs to be displayed in second page !!!
                    }

                    var someRowSelected = getItemSelectedInGrid();

                    if (!_additionalInputStateIsSecondPage && !someRowSelected) { // if present the first interface is always selected
                        _state = STATE_INITIAL;
                        return;
                    }

                    if (!_additionalInputStateIsSecondPage && someRowSelected) {
                        _state = STATE_PAGE_1_READY_TO_GO_TO_PAGE_2;
                        return;
                    }

                    var allAddressesSelected = _textboxAllAddressesSelected.get('value'); 

                    var addressAreValid =  allAddressesSelected;

                    if (_additionalInputStateIsSecondPage && !addressAreValid) {
                        _state = STATE_PAGE_2_NOT_READY_TO_SUBMIT_DATA;
                        return;
                    }

                    if (_additionalInputStateIsSecondPage && addressAreValid) {
                        _state = STATE_PAGE_2_READY_TO_SUBMIT_DATA;
                        return;
                    }
                }

                function setVisibilityByState()
                {
                    switch (_state)
                    {
                        case STATE_INITIAL:
                            _boxTopStep1.setStyle('display', ''); // configuration for page 1
                            _boxTopStep2.setStyle('display', 'none');
                            _boxBottomStep1.setStyle('display', '');
                            _boxBottomStep2.setStyle('display', 'none');

                            _divInputAreaFixedTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');

                            _linkButtonSelectDevice.setStyle('display', 'none');
                            _linkButtonAddDevice.setStyle('display', 'none');
                             
                            break;

                        case STATE_PAGE_1_READY_TO_GO_TO_PAGE_2:
                            _boxTopStep1.setStyle('display', ''); // configuration for page 1
                            _boxTopStep2.setStyle('display', 'none');
                            _boxBottomStep1.setStyle('display', '');
                            _boxBottomStep2.setStyle('display', 'none');

                            _divInputAreaFixedTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', '');

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');

                            _linkButtonSelectDevice.setStyle('display', ''); 
                            _linkButtonAddDevice.setStyle('display', 'none');
                             
                            break;

                        case STATE_PAGE_2_NOT_READY_TO_SUBMIT_DATA:
                            _boxTopStep1.setStyle('display', 'none'); // configuration for page 2
                            _boxTopStep2.setStyle('display', '');
                            _boxBottomStep1.setStyle('display', 'none');
                            _boxBottomStep2.setStyle('display', '');

                            _divInputAreaFixedTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', '');

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', '');
                            _linkButtonClose.setStyle('display', '');

                            _linkButtonSelectDevice.setStyle('display', 'none');
                            _linkButtonAddDevice.setStyle('display', 'none');
                             
                            break;

                        case STATE_PAGE_2_READY_TO_SUBMIT_DATA:
                            _boxTopStep1.setStyle('display', 'none'); // configuration for page 2
                            _boxTopStep2.setStyle('display', '');
                            _boxBottomStep1.setStyle('display', 'none');
                            _boxBottomStep2.setStyle('display', '');

                            _divInputAreaFixedTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', '');

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', '');
                            _linkButtonClose.setStyle('display', '');

                            _linkButtonSelectDevice.setStyle('display', 'none');
                            _linkButtonAddDevice.setStyle('display', '');
                             
                            break;

                        case STATE_OPERATION_IN_PROGRESS:
                            _boxTopStep1.setStyle('display', 'none');
                            _boxTopStep2.setStyle('display', 'none');
                            _boxBottomStep1.setStyle('display', 'none');
                            _boxBottomStep2.setStyle('display', 'none');

                            _divInputAreaFixedTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonClose.setStyle('display', 'none');

                            _linkButtonSelectDevice.setStyle('display', 'none');
                            _linkButtonAddDevice.setStyle('display', 'none');
                             
                            break;
                    }
                }

                // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS

                function fillAdressTableAndWireEvents()
                {
                    // top row with lables

                    var topRowEl = new Element('tr', {
                        'class': 'address-selection-header',
                    });

                    // a sigle item on the upper left corner
                    var firstColumnTopEl = new Element('th', {
                        html: 'family',
                    });
                    firstColumnTopEl.inject(topRowEl);
                     
                    var otherColumnsTopEl = new Element('th', {
                            html: 'address',
                            colspan : 20, // better bigger
                        });
                    otherColumnsTopEl.inject(topRowEl);
                     
                    topRowEl.inject(_tableBodyAddressSelection);


                    // header row with adress number

                    var headerRowEl = new Element('tr', {
                        'class': 'address-selection-header',
                    });

                    // a sigle item on the upper left corner
                    var firstColumnHeaderEl = new Element('th', {
                        html: '',
                    });
                    firstColumnHeaderEl.inject(headerRowEl);
                     
                    startUpData.lowAddressList.each(function (address) {

                        var columnHeaderEl = new Element('th', {
                            html: '' + address,
                        });
                        columnHeaderEl.inject(headerRowEl);

                    });

                    headerRowEl.inject(_tableBodyAddressSelection);

                    // other rows
                     
                    startUpData.familyAddressList.each(function (rowIndex) {
                        var rowEl = new Element('tr', {
                            'class': 'address-selection-row',
                        });

                        // row header special cell

                        var rowHeader = new Element('th', {});
                        var rowHeaderContainer = new Element('div', {});
                        rowHeaderContainer.inject(rowHeader);

                        var labelForRowHeader = new Element('div', {
                            html: ' ' + rowIndex + ' ',
                            'class': 'row-header-label'
                        });

                        labelForRowHeader.inject(rowHeaderContainer);

                        var chkForRowEl = new Element('input', {
                            type: 'checkbox',
                            events: {
                                click: function () {
                                    var rowToToggle = $(this).getParents('tr')[0];
                                    taggleAllCellsOfTheRow(rowToToggle)
                                    refreshGridCellsBackgound();
                                    setStateByUserInput();
                                    setVisibilityByState();
                                }
                            },
                        });

                        chkForRowEl.inject(rowHeaderContainer);

                        rowHeader.inject(rowEl);

                        // other cells
                         
                        startUpData.lowAddressList.each(function (columnIndex) {
                            var tdEl = new Element('td', {
                                // title: rowIndex + ':' + columnIndex  // do not need toolpit is set on refreshGridCellsBackgound
                            });

                            var chkEl = new Element('input', {
                                type: 'checkbox',
                                'data-id': rowIndex + ':' + columnIndex,
                                events: {
                                    click: function () {
                                        refreshGridCellsBackgound();
                                        setStateByUserInput();
                                        setVisibilityByState();
                                    }
                                },
                            });

                            chkEl.inject(tdEl);
                            tdEl.inject(rowEl);
                        }); // startUpData.lowAddressList.each(

                        rowEl.inject(_tableBodyAddressSelection);

                    }); // startUpData.lowAddressList.each(
                }

                function taggleAllCellsOfTheRow(rowToToggle)
                {
                    var thOfTheRow = rowToToggle.getElement('th');
                    var checkboxInsideThOfTheRow = thOfTheRow.getElement('input');

                    var isChecked = checkboxInsideThOfTheRow.checked;

                    rowToToggle.getElements('td').each(
                        function (tdItem) {
                            var tdItemElement = $(tdItem); 
                            var inputElement = tdItemElement.getElement('input');
                            inputElement.checked = isChecked;
                        }
                    );
                }

                function refreshGridCellsBackgound()
                {
                    var interfaceIndexSelected = $('DropDownListInterfaces').value;
                    var interfaceSelectedStringLength = interfaceIndexSelected.length;
                    var newModelName = $('TextboxSelectedModel').get('value');

                    var tooltipOfInterfaceList = [];
                    startUpData.existingDeviceTooltipList.each(function (tooltip) {
                        if (interfaceIndexSelected == tooltip.substring(0, interfaceSelectedStringLength))
                        {
                            tooltipOfInterfaceList.push(tooltip);
                        }
                    });

                    var addressSelectedText = '';
                    var addressSelectedTextForView = '';

                    $$('.tableBodyAddressSelection tr.address-selection-row').each( // each row begin

                        function (trItem) {

                            var headerCellOfTheRow = $(trItem).getElement('th');
                            var checkboxInHeaderCellOfTheRow = headerCellOfTheRow.getElement('input');
                            var someNotSelectedInRow = false;

                            var cellsOfTheRow = $(trItem).getElements('td');

                            cellsOfTheRow.each( // each cell begin

                                function (tdItem) {
                                    var tdItemElement = $(tdItem);
                                    var inputElement = tdItemElement.getElement('input');
                                    var address = inputElement.get('data-id');

                                    tdItemElement.removeClass('cell-selected');
                                    tdItemElement.removeClass('cell-device-present');
                                    tdItemElement.title = address;

                                    if (inputElement.checked) {
                                        if (addressSelectedText) {
                                            addressSelectedText = addressSelectedText + ', ' + address;
                                            addressSelectedTextForView = addressSelectedTextForView + '  ' + address;
                                        }
                                        else {
                                            addressSelectedText = address; // first item of the list
                                            addressSelectedTextForView = address;
                                        }
                                        
                                        tdItemElement.title = tdItemElement.title + " " + newModelName;
                                        tdItemElement.addClass('cell-selected');
                                    }
                                    else {
                                        someNotSelectedInRow = true;
                                        var tooltipOfExistingDeviceFound = null;
                                        tooltipOfInterfaceList.forEach(function (a) {
                                            if (a.indexOf(address) > -1) {
                                                tooltipOfExistingDeviceFound = a.substring(interfaceSelectedStringLength + 1); // in "1.00:01 modelxyz" removes "1."
                                            }
                                        });

                                        if (tooltipOfExistingDeviceFound) {
                                            tdItemElement.addClass('cell-device-present');
                                            tdItemElement.title = tooltipOfExistingDeviceFound;
                                        }
                                    }
                                }

                            ); // each cell end

                            checkboxInHeaderCellOfTheRow.checked = !someNotSelectedInRow;

                        } // function (trItem)

                    ); // each row end

                    _textboxAllAddressesSelected.set('value', addressSelectedTextForView);

                    var hiddenSelected = $('HiddenTextBoxAllAddressesSelected');
                    hiddenSelected.set('value', addressSelectedText);
                }

                function getItemSelectedInGrid()
                {
                    var itemToReturn = null;

                    $$('.device-to-select-row').each(function (item) {
                        var itemElement = $(item);
                        if (itemElement.hasClass('device-to-select-selected'))
                        {
                            itemToReturn = itemElement;
                        }
                    });

                    return itemToReturn;
                }

                function cleanItemSelectedInGrid() {
                    $$('.device-to-select-row').each(function (item) {
                        $(item).removeClass('device-to-select-selected');
                    });

                    _hiddenTextboxSelectedDriverId.set('value', '');
                }

                function fillDeviceTableAndWireEvents()
                {
                    var index = 0; // correspond to the zero based position on array of templates

                    startUpData.deviceModels.each(function (deviceModel) {
                        var rowEl = new Element('tr', {
                            'class': 'device-to-select-row',
                            'data-id': index,
                            'data-value': deviceModel.DriverOriginalFileName, // server side key used for postback
                            'data-text': deviceModel.InstrumentName,
                            events: {
                                click: function () {
                                    var selectedIndex = $(this).get('data-id');
                                    // alert('debug clicked: ' + selectedIndex);
                                    selectRowOnTableDeviceModelToUpdateSelection(selectedIndex);

                                    setStateByUserInput();
                                    setVisibilityByState();
                                }
                            },
                        });

                        var tdEl3 = new Element('td', {
                            html: deviceModel.InstrumentName, 
                        }); 
                        tdEl3.inject(rowEl);

                        var tdEl4 = new Element('td', {
                            html: deviceModel.DriverOriginalFileName + '.bin',
                            'class':'device-to-select-driver-cell'
                        });
                        tdEl4.inject(rowEl);

                        rowEl.inject(_tableBodyDeviceSelection);

                        index++;
                    });
                }

                function filterDeviceTable()
                {
                    var totalCount = 0;
                    var visibleCount = 0;

                    var filterValue = $('TextBoxDeviceFilter').get('value');

                    $$('.device-to-select-row').each(function (item) {

                        var itemElementTr = $(item);
                        var itemElementTd = itemElementTr.getElement('td');
                        var itemTdText = itemElementTd.textContent;
                         
                        if (filterValue && itemTdText) {
                            var filterToLower = filterValue.toLowerCase();
                            var textToLower = itemTdText.toLowerCase();

                            if (textToLower.test(filterToLower)) {
                                itemElementTr.setStyle('display', ''); // visible
                            }
                            else {
                                itemElementTr.setStyle('display', 'none'); // invisible
                                if (itemElementTr.hasClass('device-to-select-selected')) {
                                    itemElementTr.removeClass('device-to-select-selected'); // remove selection
                                }
                            }
                        }
                        else {
                            itemElementTr.setStyle('display', ''); // visible
                        }

                        // updates count
                        totalCount++;
                        if (itemElementTr.getStyle('display') != 'none')
                            visibleCount++;
                    });

                    // update counters
                    $('LabelDeviceCount').textContent = visibleCount + '/' + totalCount;

                }

                function disableAllBeforePostback()
                {
                    // readonly all! no care of rollback tfrom his action because of the following postback
                    // we use readonly instead of disabled because disabled input are not posted back
                    $$('input').set('readonly', 'readonly');

                    _state = STATE_OPERATION_IN_PROGRESS;
                    setVisibilityByState();
                }

                function selectRowOnTableDeviceModelToUpdateSelection(zeroBasedIndex)
                {
                  
                    var rowSelectedClass = 'device-to-select-selected';

                    $$('.device-to-select-row').each(function (item) {
                        var itemElement = $(item);

                        var itemId = itemElement.get('data-id');

                        if (zeroBasedIndex == itemId) {

                            var hasClass = itemElement.hasClass(rowSelectedClass);

                            if (hasClass) {
                                itemElement.removeClass(rowSelectedClass);
                            }
                            else {
                                itemElement.addClass(rowSelectedClass);
                                var modelName = itemElement.get('data-text');
                                var driverId = itemElement.get('data-value');

                                $('TextboxSelectedModel').set('value', modelName);
                                _hiddenTextboxSelectedDriverId.set('value', driverId);
                            }
                        }
                        else {
                            // avoid multiple selection:
                            itemElement.removeClass(rowSelectedClass);
                        }
                    });
                }

            })(); // networkExt.gridExt END

       //]]>
     </script>

    <div id="inputAreaFixedTop" class="inputArea">

        <!-- to be shown in step 1-->
        <div id="boxTopStep1" class="boxTop">

                <table style="margin:auto">
                    <tr>
                        <td style="vertical-align:middle" colspan="2">
                            <asp:Label ID="LabelForInterfaceSelection" runat="server"></asp:Label>
                            <asp:DropDownList ID="DropDownListInterfaces" runat="server"></asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td class="filter-container">
                            <asp:Label ID="LabelDeviceFilter" runat="server"></asp:Label>
                            <asp:TextBox ID="TextBoxDeviceFilter" runat="server"></asp:TextBox>
                        </td>
                        <td class="filter-container">
                            <asp:Label ID="LabelDeviceCount" runat="server" class="label-device-count" Text=""></asp:Label>
                        </td>
                    </tr>
                </table>

                <table cellpadding="0" cellspacing="0" class="tableDeviceSelection"> 
                                <thead>
                                <tr>
                                    <th><asp:Label runat="server" ID="LabelTableModelSelectionHeader"></asp:Label></th> 
                                    <th style="text-align: right;"><asp:Label runat="server" ID="LabelTableModelSelectionHeaderDriver"></asp:Label></th> 
                                </tr>
                            </thead>
               </table>
             
        </div>

        <!-- to be shown in step 2-->
        <div id="boxTopStep2" class="boxTop">

             <table style="margin:auto">
                    <tr>
                        <td style="vertical-align:middle">
                            <asp:Label ID="LabelSelectedModel" runat="server"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextboxSelectedModel" runat="server" CssClass="input-model" ReadOnly="True"></asp:TextBox>
                        </td>
                        <td>
                            <asp:TextBox ID="HiddenTextboxSelectedDriverId" runat="server" style="visibility:hidden;width:2px;" ></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="LabelDeviceAddress" runat="server"></asp:Label>
                        </td> 
                        <td>
                            <div id="PlaceHolderForTextBoxAllAddressesSelected"></div>
                        </td>
                        <td>
                            <asp:TextBox ID="HiddenTextBoxAllAddressesSelected" runat="server" style="visibility:hidden;width:2px;"></asp:TextBox>
                        </td>

                    </tr>
                </table>

        </div>

    </div>

    <div id="scrollableContentGrid" class="scrollableContent">

        <!-- to be shown in step 1 -->
         <div id="boxBottomStep1">
            
                        <table cellpadding="0" cellspacing="0" class="tableDeviceSelection" style="margin-bottom: 20px;"> 
                                
                            <!--
                                NO HEADER 
                                <thead>
                                <tr>
                                    <th></th>
                                    <th>Id</th>
                                    <th>Name</th>
                                </tr>
                            </thead> -->
                            <tbody id="tableBodyDeviceSelection">
                
                            </tbody>
                        </table> 
          
        </div>


        <!-- to be shown in step 2 -->
         <div id="boxBottomStep2">
             
              <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />

             <table cellpadding="0" cellspacing="0" class="tableAddressSelection">
                 <thead>

                 </thead>
                 <tbody class="tableBodyAddressSelection">

                 </tbody>
             </table>
              
        </div>

    </div>
  

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>