<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Offline_PopupAddEditInterface.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Offline_PopupAddEditInterface" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

     <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

     <style type="text/css">

         .generalmessage {
             margin: 5px 30px 0px 10px;
         }

        #workingArea {
            margin : 0;
            overflow: hidden;
        }

        /*
         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }
         */

          .inputArea {
            padding-left:10px;
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            /* border-bottom: 1px solid #CCCCCC; */
        }

         .scrollableContent {
             padding-top:145px;
             padding-right: 28px;
         }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

         .input-table {
             border-spacing:10px;
         }

         #main-table-interface {
            margin-top: 20px;
            margin-left: auto;
            margin-right: auto;
         }

         #decSerialPort {
             width: 100%;
         }

         .radio-input, .radio-label {
             cursor:pointer;
         }

     </style>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="LinkButtonSave" runat="server" CssClass="watGenericSave" OnClick="LinkButtonSave_Click" /> 
           <asp:LinkButton ID="LinkButtonDelete" runat="server" CssClass="watGenericDelete" OnClick="LinkButtonDelete_Click" /> 
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="IlbCloseClick" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                // Private Fields 
                var _panelWaitMessage = null;
                var _linkButtonSave = null;
                var _linkButtonDelete = null;
                var _linkButtonClose = null;
                var _radioHardwareType1 = null;
                var _radioHardwareType2 = null;

                // initial state
                var STATE_INITIAL = "initial";

                // when operation in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() { 
                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');  
                    _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                    _linkButtonSave = document.getElement('td.dosome a#LinkButtonSave');
                    _linkButtonDelete = document.getElement('td.dosome a#LinkButtonDelete');
                    _radioHardwareType1 = document.getElementById('RadioButtonHardwareType1');
                    _radioHardwareType2 = document.getElementById('RadioButtonHardwareType2');
                
                    wireToolbarEvent();
                    wireRadioEvent();

                    setStateByUserInput();
                    setVisibilityByState();
                }

                // EVENT WIRING
                function wireToolbarEvent()
                { 
                    if (_linkButtonClose) {
                        _linkButtonClose.addEvent('click', onClosePopup);
                        _linkButtonClose.onclick = function () { return false; };
                    }

                    if (_linkButtonDelete) {
                        _linkButtonDelete.addEvent('click', onInterfaceDelete);
                        _linkButtonDelete.onclick = function () { return false; };
                    }
                }

                function wireRadioEvent()
                {
                    $$('.radio-input').addEvent('click', showHidePanelsAcconrdingToRadioButtons);

                    $('LabelSMI_Aka_SerialAdapter').addEvent('click', function () {
                        _radioHardwareType1.checked = true;                        
                        showHidePanelsAcconrdingToRadioButtons();
                    });

                    $('LabelLanAdapter').addEvent('click', function () {
                        _radioHardwareType2.checked = true;                        
                        showHidePanelsAcconrdingToRadioButtons();
                    });
                }

                // FUNCTION THAT RESPONDS TO WIRED EVENTS
                function onInterfaceDelete()
                {
                    var question = startUpData.questionConfirmDeletion;
                    if (confirm(question)) {
                        __doPostBack(_linkButtonDelete.id, '');
                    }
                }

                function onClosePopup(item) {
                    // the same command (explained) is injected via server side in generic popup control
                    // this approach is the best because we skip one postback but we reload entirely the parent page
                    // so the parent page is anyway refreshed!!!
                    window.parent.location = window.parent.location;
                }

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {
                    _state = STATE_INITIAL;
                }

                function setVisibilityByState()
                {
                    switch (_state)
                    {
                        case STATE_INITIAL:
                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');
                            if (_linkButtonDelete) _linkButtonDelete.setStyle('display', '');
                            _linkButtonSave.setStyle('display', '');
                            showHidePanelsAcconrdingToRadioButtons();
                            break;

                        case STATE_OPERATION_IN_PROGRESS:
                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonClose.setStyle('display', 'none');
                            if (_linkButtonDelete) _linkButtonDelete.setStyle('display', 'none');
                            _linkButtonSave.setStyle('display', 'none');
                            showHidePanelsAcconrdingToRadioButtons();
                    }
                }

                function showHidePanelsAcconrdingToRadioButtons()
                {
                    
                    var ifcComDets = document.getElementById('ifcComDets');
                    var ifcLanDets = document.getElementById('ifcLanDets');

                    if (_radioHardwareType1.checked) {
                        ifcComDets.setStyle('display', '');
                        ifcLanDets.setStyle('display', 'none');
                        $('DropDownListScanAdapterProfile').setFormElementValue('0');
                    }
                    else {
                        ifcComDets.setStyle('display', 'none');
                        ifcLanDets.setStyle('display', '');
                        $('DropDownListScanAdapterProfile').setFormElementValue('3');
                    }

                }

                // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS
                function disableAllBeforePostback()
                {
                    // readonly all! no care of rollback from his action because of the following postback
                    // we use readonly instead of disabled because disabled input are not posted back
                    $$('input').set('readonly', 'readonly');

                    _state = STATE_OPERATION_IN_PROGRESS;
                    setVisibilityByState();
                }

            })(); // networkExt.gridExt END

       //]]>
     </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <asp:Literal ID="jsPlaceHolder" runat="server" />

    <div id="inputAreaTemplateUpload" class="inputArea">

        <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
            runat="server" />

    </div>
        <div id="box">
            <table class="wkaDataEntry" style="padding-right: 2px;padding-bottom: 10px;padding-top: 10px;">
                <tr>
                    <td class="wdeRecordDetail"> 
                          
                            <!-- MAIN TABLE BEGIN -->
                             
                                <table id="main-table-interface" cellspacing="20">
                                <tbody>
                                    <tr>
                                        <th style="padding-top:6px"><asp:Label runat="server" ID="LabelKind"></asp:Label></th>
                                        <td>

                                             <table class="optsgroup">
                                                <tbody>
                                                    <tr>
                                                        <th><asp:RadioButton ID="RadioButtonHardwareType1" runat ="server" GroupName="RadioButtonHardwareType" CssClass="radio-input"/></th>
                                                        <td><asp:Label runat="server" ID="LabelSMI_Aka_SerialAdapter" CssClass="radio-label"></asp:Label></td>
                                                        <td></td>
                                                    </tr>
                                                    <tr id="ifcComDets" class="folded">
                                                        <th></th>
                                                        <td colspan="2">
                                                            <table class="input-table">
                                                                <tbody>
                                                                    <tr>
                                                                        <td><asp:Label runat="server" ID="LabelPort1"></asp:Label></td>
                                                                        <td>
                                                                            <asp:DropDownList runat="server" ID="DropDownListSerialPort"></asp:DropDownList>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td><asp:Label runat="server" ID="LabelProtocol1"></asp:Label></td>
                                                                        <td> 
                                                                           <asp:DropDownList runat="server" ID="DropDownListSerialProtocol1"></asp:DropDownList>
                                                                        </td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <th><asp:RadioButton ID="RadioButtonHardwareType2" runat ="server" GroupName="RadioButtonHardwareType" CssClass="radio-input"/></th>
                                                        <td><asp:Label runat="server" ID="LabelLanAdapter" CssClass="radio-label"></asp:Label></td>
                                                        <td></td>
                                                    </tr>

                                                     <tr id="ifcLanDets" class="">
                                                        <th></th>
                                                        <td colspan="2">
                                                            <table class="input-table">
                                                                <tbody>
                                                                    <tr><td><asp:Label runat="server" ID="LabelAddress1"></asp:Label></td>
                                                                        <td>
                                                                            <asp:TextBox runat="server" ID="TextBoxIP1" MaxLength="3" class="IPs" />.
                                                                            <asp:TextBox runat="server" ID="TextBoxIP2" MaxLength="3" class="IPs" />.
                                                                            <asp:TextBox runat="server" ID="TextBoxIP3" MaxLength="3" class="IPs" />.
                                                                            <asp:TextBox runat="server" ID="TextBoxIP4" MaxLength="3" class="IPs" />
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td><asp:Label runat="server" ID="LabelPort2"></asp:Label></td>
                                                                        <td><asp:TextBox runat="server" ID="TextBoxUDPPort" type="text" /></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td><asp:Label runat="server" ID="LabelProtocol2"></asp:Label></td>
                                                                        <td>
                                                                            <asp:DropDownList runat="server" ID="DropDownListProtocolLan"></asp:DropDownList>
                                                                        </td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </td>
                                                    </tr>


                                                    <!-- BEGIN HIDDEN TCP Modbus, NOT USED -->
                                                     <tr style="display: none;">
                                                        <th><asp:RadioButton ID="RadioButtonHardwareType3" runat ="server" GroupName="RadioButtonHardwareType" CssClass="radio-input"/></th>
                                                        <td><asp:Label runat="server" ID="LabelModbusTcp_NotUsed"></asp:Label></td>
                                                        <td></td>
                                                    </tr>

                                                    <tr id="ifcMbDets" class="folded" style="display: none;">
                                                        <th></th>
                                                        <td colspan="2">
                                                            <table>
                                                                <tbody>
                                                                    <tr><td><asp:Label runat="server" ID="LabelAddress2"></asp:Label></td>
                                                                        <td>
                                                                            <asp:TextBox runat="server" ID="TextBoxIPmb1" MaxLength="3" class="IPs" />.
                                                                            <asp:TextBox runat="server" ID="TextBoxIPmb2" MaxLength="3" class="IPs" />.
                                                                            <asp:TextBox runat="server" ID="TextBoxIPmb3" MaxLength="3" class="IPs" />.
                                                                            <asp:TextBox runat="server" ID="TextBoxIPmb4" MaxLength="3" class="IPs" />
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td><asp:Label runat="server" ID="LabelPort3"></asp:Label></td>
                                                                        <td><asp:TextBox runat="server" ID="TextBoxMbTcpPort" /></td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </td>
                                                    </tr>

                                                    <!-- END NOT USED, HIDDEN TCP Modbus -->

                                                 </tbody>
                                            </table>

                                        </td>
                                    </tr>
                                    <tr class="combomenu">
                                        <th style="padding-top:6px"><asp:Label runat="server" ID="LabelFieldBus"></asp:Label></th>
                                        <td> 
                                            <asp:DropDownList runat="server" ID="DropDownListScanAdapterProfile"></asp:DropDownList>
                                        </td>
                                    </tr>
                                </tbody>
                            </table> 

                            <!-- MAIN TABLE END --> 
                    </td>
                </tr>
             </table> 
    </div>

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>