<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Physical_PopupEditDevice.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Physical_PopupEditDevice" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/popupEditDevice.js"></script> 
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="CssArea" runat="Server"> 
    <link rel="stylesheet" type="text/css" href="/media/css/popupEditDevice.css" />
</asp:Content> 

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    
    <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="LinkButtonApplyValuesToDevice" runat="server" CssClass="watGenericSave" OnClick="LinkButtonApplyValuesToDevice_Click" /> 
           <asp:LinkButton ID="LinkButtonGotoSaveTemplateMode" runat="server" CssClass="watGenericEdit"  />
           <asp:LinkButton ID="LinkButtonSaveNewTemplate" runat="server" CssClass="watGenericSave"  OnClick="LinkButtonSaveNewTemplate_Click" />
           <asp:LinkButton ID="LinkButtonSaveTemplate" runat="server" CssClass="watGenericSave"  OnClick="LinkButtonSaveTemplate_Click" />
           <asp:LinkButton ID="LinkButtonDeleteTemplate" runat="server" CssClass="watGenericDelete" OnClick="LinkButtonDeleteTemplate_Click" />
           <asp:LinkButton ID="LinkButtonCancel" runat="server" CssClass="watGenericUndo" />
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="ilbClose_Click" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

       //]]>
     </script>

    <!-- invisible control only for storing client side ui state -->
    <input type="checkbox" style="display:none" id="chkTemplateSaveMode" />

    <div id="inputAreaTemplateSelection" class="inputArea">
            <table style="display:inline-block">
            <tr>
                <td style="vertical-align:middle"><asp:Label ID="LabelForTemplateSelection" runat="server"></asp:Label></td>
                <td>
                    <select id="selectTemplate">

                    </select>
                </td>
                <td class="filter-container">
                    <ucNetworkFilter:NetworkFilter ID="NetworkFilter1" runat="server" />
                </td>
            </tr>
        </table>
     </div>

    <div id="scrollableContentGrid" class="scrollableContent">

        <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />

        <uc2:NetworksGrid ID="NetworksGrid1" runat="server" />

    </div>

    <div id="inputAreaNewTemplateToSaveName" class="inputArea">
        <table id="new-config-section" style="display:inline-block;margin:30px">
            <tr>
                <td style="vertical-align:middle"><asp:Label ID="LabelForTemplateName" runat="server"></asp:Label></td>
                <td>
                    <asp:TextBox ID="TextboxTemplateName" runat="server"></asp:TextBox>
                </td>
                <td>
                    <input type="button" id="InputClearTemplateName" name="InputClearTemplateName"  value="" title="Clear" />
                </td>
            </tr>
        </table>
    </div>

    <div id="scrollableContentTemplateToModifySelection" class="scrollableContent">
        <table cellpadding="0" cellspacing="0" id="tableTemplateToUpdateSelection"> 
            <thead>
                <tr>
                    <th>
                        <asp:Label runat="server" ID="LabelTemplateToUpdateColumnHeader"></asp:Label>
                    </th>
                </tr>
            </thead>
            <tbody id="tableTemplateToUpdateSelectionBody">
                
            </tbody>
        </table>
    </div>

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>