<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="RecipientsValidationPopup.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.RecipientsValidationPopup" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>

<%@ Register Src="~/Settings/RecipientsValidationPopup_UcSingleRecipient.ascx" TagName="SingleRecipientValidator" TagPrefix="ucSingleRecipient" %>
 
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

     <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

     <style type="text/css">

         .generalmessage {
             margin: 5px 30px 0px 10px;
         }

        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }

          .inputArea {
            padding-left:10px;
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            /* border-bottom: 1px solid #CCCCCC; */
        }

         .scrollableContent {
             padding-top:145px;
             padding-right: 28px;
         }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

         .inputValidationCode {
             width: 80px;
         }

     </style>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="ilbClose_Click" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                // Private Fields 
                var _panelWaitMessage = null; 
                var _linkButtonClose = null;

                // initial state
                var STATE_INITIAL = "initial";

                // when operation in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize
                };

                function initialize() { 
                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');  
                    _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                    
                    wireToolbarEvent(); 

                    setStateByUserInput();
                    setVisibilityByState();
                }

                // EVENT WIRING 

                function wireToolbarEvent()
                { 
                    
                } 

                // FUNCTION THAT RESPONDS TO WIRED EVENTS
                

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {
                    _state = STATE_INITIAL;
                }

                function setVisibilityByState()
                {
                    switch (_state)
                    {
                        case STATE_INITIAL:

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');
                            break;
                        case STATE_OPERATION_IN_PROGRESS:

                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonClose.setStyle('display', 'none'); 
                    }
                }
                 

            })(); // networkExt.gridExt END

       //]]>
     </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <asp:Literal ID="jsPlaceHolder" runat="server" />
     <div class="inputArea">
        <div id="box">
            <table class="wkaDataEntry" style="padding-right: 20px;padding-bottom: 10px;padding-top: 10px;">
                <tr>
                    <td class="wdeRecordDetail">
                        <blockquote class="detail">
                            <h5>
                                <asp:Literal ID="literalBoxRecipientsValidation" runat="server"></asp:Literal>
                            </h5>

                            <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />

                            <table>

                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator1"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator2"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator3"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator4"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator5"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator6"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator7"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                                <ucSingleRecipient:SingleRecipientValidator ID="SingleRecipientValidator8"  runat="server"></ucSingleRecipient:SingleRecipientValidator>
                      
                            </table>
                        </blockquote>
                    </td>
                </tr>
             </table>
        </div>
    </div>

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>