<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    EnableViewState="true" CodeBehind="Commands.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Tools.Commands" %>

<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="uc3" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="ucNetworksGrid" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>

<asp:Content runat="server" ID="cssContent" ContentPlaceHolderID="CssArea">

    <script language="JavaScript" type="text/JavaScript" src="/script/js/commands.js"></script>

<style type="text/css">
    a.action-message-error {
        margin-top: 15px;
        text-align: center;
        font-size: 20px;
        display: block;
    }

    .tip-wrap{
		width: 400px;
	}
    
    /*.tip-wrap-command {
    background-color: #FEFFBC;
    color: #333;
    font-size: 11px;
    z-index: 10002;
    border-width: 1px;
    border-color: #333;
    padding: 4px 8px 8px;	
    width: 400px;
    visibility:visible;
    }
    
    .tip-wrap-command div.tip-title{ margin: 4px 0;font-size: 12px;line-height: 14px;}
    .tip-wrap-command div.tip-text{ margin: 4px 0; font-size: 10px;line-height:12px}*/
</style>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" runat="server">
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionstop"
        runat="server" />
    <ucNetworksGrid:NetworksGrid ID="NetworksGrid1" runat="server" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FilterArea" runat="server">
    <ucNetworkFilter:NetworkFilter DisplayActions="True" ID="NetworkFilter1" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ToolbarArea" runat="server">
    <uc3:ToolBar ID="ToolBar1" SelectionCommandsVisible="true" GridExplorationVisible="true"
        ExecuteCommandsVisible="true" FilterCommandsVisible="true" UnfilterCommandsVisible="true"
        GridFilterVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
