<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Tools.Layout01" CodeBehind="Layout01.aspx.cs" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/DropDownList.ascx" TagName="DropDownList" TagPrefix="ucDropDownList" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<asp:Content runat="server" ContentPlaceHolderID="CssArea" ID="ContentCSS">
    <style media="screen" type="text/css">
        th.wide {
            width: 100%;
        }

        td.layoutDeviceScope select {
            width: 100%;
            max-width: 300px;
        }

        #layoutDeviceSelection {
            visibility: hidden;
            display: none;
            float: left;
            z-index: 10000;
        }

        .disabled {
            font-style: italic;
            color: Gray;
        }

        /* avoid default red text color*/
        table.wkaDataEntry td.wdeRecordList blockquote table tbody td a {
            color:#01124A;
        }

        table.wkaDataOverview {
            width: 100%;
        }
    </style>
</asp:Content>
<asp:Content runat="server" ContentPlaceHolderID="ScriptArea" ID="ContentScript">

    <script language="javascript" type="text/javascript">
        window.addEvent('domready', function() {
            var sensible = $$('.layoutDeviceScope');
            var currentLayout = $('layoutCurrentlySelected');

            // Flag management necessary under FireFox.
            var selectOpened = false;

            sensible.addEvents({
                click: function(e) {
                    selectOpened = !selectOpened;
                    e.stopPropagation();
                }
            });

            $$('body')[0].addEvents({
                click: function() {
                    selectOpened = false;
                }
            });

            sensible.each(function(s) {
                s.addEvents({
                    mouseenter: function() {
                        var layoutName = this.get('associated');
                        currentLayout.set('value', layoutName);
                    },
                    mouseleave: function() {
                    }
                });
            });
        });

        function deviceSelected(layout, coordinates) {
            var x = '/Tools/Layout02.aspx?layoutId=' + layout + '&amp;device=' + coordinates;
            window.top.frmOperational.window.location.href = x;
        }
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolBar:ToolBar ID="toolBar" LayoutListVisible="True" runat="server" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" runat="server">
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage" ExtraCssClass="actionstop" runat="server" />
    <div id="boxLayoutListFrame">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordList">
                    <blockquote id="boxLayoutList" class="list">
                        <h5 id="LayoutListTitle" runat="server"></h5>
                        <asp:Literal ID="layoutList" runat="server"></asp:Literal>
                    </blockquote>
                </td>
            </tr>
        </table>
        <asp:HiddenField ID="layoutCurrentlySelected" runat="server" />
        <asp:HiddenField ID="deviceCurrentlySelected" runat="server" />
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>