<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Tools.Parameters02Popup" CodeBehind="Parameters02Popup.aspx.cs" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="ucNetworksGrid" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>

<asp:Content runat="server" ID="cssContent" ContentPlaceHolderID="CssArea">

<style type="text/css">
    a.action-message-error {
        margin-top: 15px;
        text-align: center;
        font-size: 20px;
        display: block;
    }

    .tip-wrap{
		width: 400px;
	}
    
    /*.tip-wrap-command {
    background-color: #FEFFBC;
    color: #333;
    font-size: 11px;
    z-index: 10002;
    border-width: 1px;
    border-color: #333;
    padding: 4px 8px 8px;	
    width: 400px;
    visibility:visible;
    }
    
    .tip-wrap-command div.tip-title{ margin: 4px 0;font-size: 12px;line-height: 14px;}
    .tip-wrap-command div.tip-text{ margin: 4px 0; font-size: 10px;line-height:12px}*/
</style>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

     <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

     <style type="text/css">

         .generalmessage {
             margin: 5px 30px 0px 10px;
         }

        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }

          .inputArea {
            padding-left:10px;
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            /* border-bottom: 1px solid #CCCCCC; */
        }

         .scrollableContent {
             padding-top:145px;
             padding-right: 28px;
         }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

     </style>

     <ucToolBar:ToolBar ID="ToolBar1" SelectionCommandsVisible="true" ParametersCommandsMultiVisible="True" ViewLastReportVisible="True" ClosePopupVisible="True" runat="server" />
               
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentArea" runat="server">

    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[

        window.addEvent('domready', function () {
            var myTips = new Tips($$('.tipped-grid'), {
                text: "tip",
                title: "tipTitle",
                className: "tip-wrap",
                showDelay: 500,
                offset: { x: 2, y: 2 },
                windowPadding: { x: 10, y: 10 },
                hideDelay: 2000
            });

            networkExt.gridExtEditDevice.initialize();


        });

        var networkExt = networkExt || {};

        networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

            // Private Fields 
            var _panelWaitMessage = null;
            var _linkButtonDownloadSnapshotFile = null;
            var _linkButtonClose = null;
            var _linkButtonWriteOn = null;
            var _linkButtonOpenLastReport = null;
            var _checkBoxFilterParam = null;

            //// initial state
            //var STATE_INITIAL = "initial";

            //// when operation in progress
            //var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

            //var _state = STATE_INITIAL; // initial state

            return {
                initialize: initialize,
            }

            function initialize() { 
                _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                _linkButtonOpenLastReport = document.getElement('td.dosome a.watViewLastReport');
                _checkBoxFilterParam = document.getElementById('chbFilterPartially');
                _linkButtonWriteOn = document.getElement('td.dosome a.watWriteparamsMulti');
                
                wireToolbarEvent();
                $('chbFilterPartially').addEvent('change', filterPartially);

                //setStateByUserInput();
                //setVisibilityByState();
            }



            // EVENT WIRING 

            function wireToolbarEvent()
            { 
                if (_linkButtonClose) {
                    _linkButtonClose.addEvent('click', onClosePopup);
                    _linkButtonClose.onclick = function () { return false; };
                }

                if (_linkButtonOpenLastReport) {
                    _linkButtonOpenLastReport.addEvent('click', onOpenLastReport);
                    _linkButtonOpenLastReport.onclick = function () { return false; };
                }

                if (_checkBoxFilterParam) {
                    _checkBoxFilterParam.addEvent('change', filterPartially);
                    _checkBoxFilterParam.onchange = function() { return false };
                }

                if (_linkButtonWriteOn) {
                    _linkButtonWriteOn.addEvent('click', openWaitingMessage);
                    _linkButtonWriteOn.onchange = function() { return false };
                }
            } 

            // FUNCTION THAT RESPONDS TO WIRED EVENTS

            function onClosePopup(item) {
                // the same command (explained) is injected via server side in generic popup control
                // this approach is the best because we skip one postback but we reload interely the parent page
                // so the parent page is anyway refreshed!!!

                //close popup refreshing parent page
                //window.parent.location = window.parent.location;

                //close popup without refreshing parent page
                window.parent.closePopup();

            }

            function onOpenLastReport(item) {
                window.open('ParametersWriteMultiLastReport02.aspx', '_blank');                
            }

            function openWaitingMessage(item) {
                //var waiting = document.getElement('.generalmessage');
                //var waiting = document.getElement('div.generalmessage');
                //waiting.style.display = 'block';
                $('waitingMessage').setStyle('display', '');
            }

            function filterPartially(item) {
                var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
                var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
                var partially = document.getElements('tr.italic');
                var interfaces = document.getElements('tr.hdwInterface input.sgnSelector', deviceGrid);
                var currentCheckBox = null;

                partially.each(function (current) {
                    if (_checkBoxFilterParam.checked == true) {
                        current.setStyle('display', 'none');
                        currentCheckBox = current.children[1].children[0];
                        currentCheckBox.disabled = true;
                    }
                    if (_checkBoxFilterParam.checked == false) {
                        current.setStyle('display', '');
                        currentCheckBox = current.children[1].children[0];
                        currentCheckBox.disabled = false;
                    }
                });
            }

            // UI STATE MACHINE CONTROLLER

            //function setStateByUserInput() {
            //    _state = STATE_INITIAL;
            //}

            //function setVisibilityByState()
            //{
            //    switch (_state)
            //    {
            //    case STATE_INITIAL:

            //        _linkButtonClose.setStyle('display', '');
            //        _linkButtonDownloadSnapshotFile.setStyle('display', '');
            //        break;
            //    case STATE_OPERATION_IN_PROGRESS:

            //        _panelWaitMessage.setStyle('display', '');
            //        _linkButtonClose.setStyle('display', 'none');
            //        _linkButtonDownloadSnapshotFile.setStyle('display', 'none');
            //    }
            //}

            // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS

        //    function disableAllBeforePostback()
        //    {
        //        // readonly all! no care of rollback tfrom his action because of the following postback
        //        // we use readonly instead of disabled because disabled input are not posted back
        //        $$('input').set('readonly', 'readonly');

        //        _state = STATE_OPERATION_IN_PROGRESS;
        //        setVisibilityByState();
        //    }

        })(); // networkExt.gridExt END

        //]]>

    </script>
    
    
    
        
    <table width="89%" style="margin: 10px 0px 0px 4.5%;"> 
        <tbody>
            <tr>
                <td style="width: 200px;" class="filter-container">
                    <ucNetworkFilter:NetworkFilter ID="NetworkFilter1" runat="server" />
                </td>
                <td style="vertical-align: bottom; text-align: right; width: 100px;">
                    <input type="checkbox" id="chbFilterPartially" name="chbFilterPartially"/>
                    <asp:Label ID="lblFilterPartially" runat="server"/>
                    
                    <div style="display: inline-block;">
                        <asp:Literal ID="literalDeviceSearch" runat="server"></asp:Literal>
                    </div>
                </td>
            </tr>
        </tbody>
     </table>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" runat="server" />
    <div id="waitingMessage" class="generalmessage updateprogress" style="display: none;">
                            <p>
                                <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
                                <asp:Literal ID="litWaitingMessage" runat="server" />
                            </p>
    </div>

    <ucNetworksGrid:NetworksGrid ID="NetworksGrid1" runat="server" />

</asp:Content>