<%@ Control Language="C#" Inherits="Eliwell.Go.Presentation.Web.UC.PopupGenericFrame" CodeBehind="PopupGenericFrame.ascx.cs" %>


    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[

        var networkExt = networkExt || {};

        networkExt.genericPopup = (function () {  // networkExt.genericPopup BEGIN

            return { 
                openPopup: openPopup,
                closePopup: closePopup
            }

            function initialize() {
                // nop;
            }

            // if browser is chrome...
            // we can show a proportionla height popup
            function detectChrome()
            {
                var isChromium = window.chrome,
                        winNav = window.navigator,
                        vendorName = winNav.vendor,
                        isOpera = winNav.userAgent.indexOf("OPR") > -1,
                        isIEedge = winNav.userAgent.indexOf("Edge") > -1,
                        isIOSChrome = winNav.userAgent.match("CriOS");

                var isChromeResult = false;

                if (isIOSChrome) {
                    isChromeResult = true;
                } else if (isChromium !== null && isChromium !== undefined && vendorName === "Google Inc." && isOpera == false && isIEedge == false) {
                    isChromeResult = true;
                }

                return isChromeResult;
            }

            // url: url of the content of the i-frame
            // width: fixed width of popup in pixel
            // height: fixed height of popup in pixel
            // showBottomBorder (optional): a 10 pixel border on bottom is showed (i the popup content will need to scrool don't use this)
            // showExpandedHeight (optional): only in chrome we can se to expand on 90% of the height
            function openPopup(url, width, height, showBottomBorder, showExpandedHeight) {

                // settimeout wrapper for loading iframe on a non ui blocking (used expecially for firefox wait message rigth before postback)
                setTimeout(function () {

                        $('modalPopUpContainerGenericFrame').style.display = 'block';

                        if (!width) width = 780;
                        if (!height) height = 580;
                        var divToResize = $('modalPopUpContainerGenericFrame').getElement('div.content_div'); // getElement returns any single descendant (geElements returns an array with all descendants)
                        divToResize.setStyle('width', width);

                       

                        if (showExpandedHeight && detectChrome()) {
                            // this was a great way for chrome to have proportional height
                            // unfortunately firefox has a great bug on this and the layout is messed up.
                            // i leave here this code to run only on chrome in case firefofox corrects this bug.
                            divToResize.setStyle('height', '90%');
                            divToResize.setStyle('min-height', height);
                        }
                        else {
                            divToResize.setStyle('height', height);
                        }

                        if (showBottomBorder) {
                            var divForBottomBorder = $('modalPopUpContainerGenericFrame').getElement('div.inner_div');
                            divForBottomBorder.setStyle('height', height - 10);
                        }

                        document.getElementById('iframeContainer').innerHTML =
                            '<iframe id="" width="100%" height="100%" style="border:0px" src="' + url + '"></iframe>';

                }, 10); // settimeout wrapper

                return false;
            }


            function closePopup() {
                $('modalPopUpContainerGenericFrame').style.display = 'none';
            }

        })(); // networkExt.genericPopup END

        //]]>

     </script>

<div class="modalPopup" id="modalPopUpContainerGenericFrame">
    <div class="overlay-decorator">
        <!--&nbsp;-->
    </div>
   
     <div class="overlay-wrap">
            <div class="overlay">
                <div class="dialog-decorator">
                    <!--&nbsp;-->
                </div>
                <div class="dialog-wrap">
                        <div class="content_div" style="overflow:hidden">
                                <div class="inner_div" style="height:100%; overflow:hidden"> 
                                    <div id="iframeContainer" style="height:100%">
                                         <!--&nbsp;--> <!-- do not remove dummy text -->
                                    </div>
                                </div>
                        </div>
                </div>
            </div>
        </div>
</div>