-- Kill connections
USE master;
GO
DECLARE @kill varchar(8000);
SET @kill = '';
SELECT @kill + 'kill ' + CONVERT(varchar(5), spid) + ';'
FROM master..sysprocesses
WHERE dbid = DB_ID('Televis')

EXEC (@kill)
GO

-- Put offline
ALTER DATABASE Televis
SET OFFLINE WITH ROLLBACK IMMEDIATE
GO

-- Detach
EXEC sp_detach_db 'Televis', 'true';

-- Re-attach
USE [master]
GO
CREATE DATABASE [Televis] ON 
( FILENAME = N'C:\Eliwell\TelevisDB\Running\Televis.mdf' ),
( FILENAME = N'C:\Eliwell\TelevisDB\Running\Televis_0.LDF' )
 FOR ATTACH
GO

-- Shrink
USE [Televis]
GO
DBCC SHRINKFILE (N'Televis_log' , 1024)
GO

FFFF9568