﻿window.addEvent('domready', function () {

    $('DeviceCommandInstance').addEvent('change', selectionChanged);
    var myTips = new Tips($$('.tipped-grid'), {
        text: "tip",
        title: "tipTitle",
        className: "tip-wrap",
        showDelay: 500,
        offset: { x: 2, y: 2 },
        windowPadding: { x: 10, y: 10 },
        hideDelay: 2000
    });

    /*   myTips.removeEvents('show').addEvent('show', function(tip, el) {
           tip.fade('in');
       });
       myTips.removeEvents('hide').addEvent('hide', function(tip, el) {
           tip.fade('hide');
       });*/

});


function selectionChanged() {
    var control = $('DeviceCommandInstance');
    var selectionId = control.getSelected()[0].get("value");

    if (selectionId.indexOf("A$") == 0) {
        var param = "modality=ajax" + "&exec=getDevices" + "&actionId=" + selectionId;
        new Request(
            {
                url: '/CommandsManagerInvcation.rix',
                onComplete: function (request) {
                    var list = JSON.decode(request);
                    if (mySuperGridNetworkTable.chkSelectors) {
                        mySuperGridNetworkTable.chkSelectors.each(function (cck) {
                            var toSelect = list.indexOf(cck.id) > -1;
                            if (!cck.parent.suppressed && !cck.disabled && toSelect) {
                                cck.checked = true;
                            } else {
                                cck.checked = false;
                            }
                        });
                    }
                    mySuperGridNetworkTable.redraw_updateSelections();
                    event.preventDefault();
                },
                timeout: 5000
            }).send(param);
    }
}