﻿//Replaces escape sequences in AJAX
function SimpleURLEncode(text) {
    text = encodeURI(text);
    return text.replace('+', '%2B');
}

var currentTestPanel = null;

function testPanel(panelMessage, panelImage, panelProgress, buttons, recipientBox, messageBox, execType, timeout) {
    this.panelMessage = panelMessage;
    this.panelImage = panelImage;
    this.panelProgress = panelProgress;
    this.buttons = buttons;
    this.recipientBox = recipientBox;
    this.messageBox = messageBox;
    this.execType = execType;
    this.timeout = timeout;
}

testPanel.prototype.panelMessage;
testPanel.prototype.panelImage;
testPanel.prototype.panelProgress;
testPanel.prototype.buttons;
testPanel.prototype.recipientBox;
testPanel.prototype.messageBox;
testPanel.prototype.execType;
testPanel.prototype.timeout;

testPanel.prototype.restore = function(text) {
    $(this.panelMessage).set('html', text);
    $(this.panelImage).style.display = 'none';
    var i = 0;
    for (i = 0; i < this.buttons.length; i++) {
        $(this.buttons[i]).disabled = false;
    }

    currentTestPanel = null;
}

testPanel.prototype.restoreAfterTimeout = function() {
    this.restore(TIMEOUT_MESSAGE);
}

testPanel.prototype.start = function() {
    currentTestPanel = this;

    var i = 0;
    for (i = 0; i < this.buttons.length; i++) {
        $(this.buttons[i]).disabled = true;
    }
    $(this.panelImage).style.display = '';
    $(this.panelProgress).style.display = '';
    $(this.panelMessage).set('html', '');
}

testPanel.prototype.onClick = function() {
    this.start();

    var postBodyText = "modality=ajax";
    postBodyText = postBodyText + "&exec=" + this.execType;
    if (this.recipientBox != null)
        postBodyText = postBodyText + "&phoneNumber=" + SimpleURLEncode($(this.recipientBox).value);
    if (this.messageBox != null) {
        postBodyText = postBodyText + "&smsMessage=" + SimpleURLEncode($(this.messageBox).value);
    }

    new Request({url:'/ActionTestInvocation.rix',
        onComplete: function(request) { currentTestPanel.restore(request); },
        onFailure: function() { currentTestPanel.restoreAfterTimeout(); },
        timeout: this.timeout
    }).send(postBodyText);
}