<%@ Page Language="C#" EnableEventValidation="true" MasterPageFile="~/WorkingArea.master"
    Inherits="Eliwell.Go.Presentation.Web.Alarms.RealTimeAlarmsAcknowledge" CodeBehind="RealTimeAlarmsAcknowledge.aspx.cs" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuRealTimeAlarms.ascx" TagName="SubtabMenuRealTimeAlarms" TagPrefix="ucSubtabMenuRealTimeAlarms" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="ucNetworksGrid" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %> 
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuRealTimeAlarms:SubtabMenuRealTimeAlarms ID="SubtabMenuRealTimeAlarms1" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" SelectionCommandsVisible="true" GridExplorationVisible="true" GridFilterVisible="true" ConfirmAlarmsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="FilterArea" runat="Server">
    <h6>
        <asp:Literal ID="lblTitleNote" runat="server"></asp:Literal>
    </h6>
    <table>
        <tbody>
            <tr>
                <td>
                    <asp:TextBox ID="tbxNote" runat="server" Style="width: 215px; font-size: 10px; height: 16px;"></asp:TextBox></td>
            </tr>
        </tbody>
    </table>
    <ucNetworkFilter:NetworkFilter ID="NetworkFilter1" runat="server" />
    <script language="JavaScript" type="text/JavaScript">
	    //<![CDATA[
		    window.addEvent('domready',function()
		    {
		        $('sgnFilterShow_inpDevDescription').setStyle('width', '215px');
		    });
	    //]]>
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentArea" runat="Server" class="wkaWrapperArea narrowFilter showFilter narrowFilter showFilter narrowFilter showFilter narrowFilter showFilter">

      <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />

    <ucNetworksGrid:NetworksGrid ID="NetworksGrid1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>