<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="BackupRestore.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Computer.BackupRestore" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolbar" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolbar:ToolBar ID="ToolBar1" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content> 
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA["

        var buttonDownloadBackup = "buttonDownloadBackup";

        window.addEvent('domready', function() {

            document.getElements('span.spanLinkClass').each(function(spn) {
                if (spn.innerHTML.length < 1) {
                    var myTr = spn.getParent().getParent('tr');
                    myTr.setStyle('display', 'none');
                }
            });
        });

        //]]>
    </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessageRestartNeeded" ExtraCssClass="actionfeedback" runat="server" />
    <div id="Div1">
        <table class="wkaDataEntry">
            <tr>
                <td>
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxtitleBackup" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <tr>
                                <td>
                                    <asp:Image ID="imageDownloadBackup" runat="server" />
                                </td>
                                <td>
                                    <asp:Button ID="buttonDownloadBackup" runat="server" OnClick="buttonDownloadBackup_Click" />
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td>
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxTitleRestore" runat="server"></asp:Literal>
                        </h5>
                        <ucGeneralMessage:GeneralMessage ID="warningMessage" runat="server" />
                        <ucGeneralMessage:GeneralMessage ID="generalMessage" ExtraCssClass="actionfeedback" runat="server" />
                        <!-- ### WAIT-UPLOADING ### -->
                        <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
                            <p>
                                <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
                                <asp:Literal ID="litLoadingInProgress" runat="server" />
                            </p>
                        </div>
                        <table>
                            <tr>
                                <td id="tdCancel">
                                    <a href="BackupRestore.aspx?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                        <asp:Literal ID="litCancelUpgrade" runat="server" />
                                    </a>
                                </td>
                            </tr>
                            <ucUpdateFileUpload:UpdateFileUpload id="uploadRestoreFile" runat="server" />
                            <asp:Literal ID="litRestoreDeletion" runat="server" />
                            <tr>
                                <asp:Literal ID="litMessage" runat="server" />
                            </tr>
                            <tr>
                                <asp:Panel ID="panelRestore" runat="server" Visible="false">
                                    <table>
                                        <tbody>
                                            <tr>
                                                <td />
                                                <td>
                                                    <asp:CheckBox ID="checkBoxNetworkNamingSnapshot" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td />
                                                <td>
                                                    <asp:CheckBox ID="checkBoxNetworkNamingRules" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td />
                                                <td>
                                                    <asp:CheckBox ID="checkBoxDeviceTemplates" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td />
                                                <td>
                                                    <asp:CheckBox ID="checkBoxAlarmConfiguration" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td />
                                                <td>
                                                    <asp:CheckBox ID="checkBoxScheduledActions" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td />
                                                <td>
                                                    <asp:CheckBox ID="checkBoxLayoutPages" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <img src="../media/img/Others/Settings/NeedRestart.png" />
                                                </td>
                                                <td>
                                                    <asp:CheckBox ID="checkBoxGenericSettings" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <img src="../media/img/Others/Settings/NeedRestart.png" />
                                                </td>
                                                <td>
                                                    <asp:CheckBox ID="checkBoxDeviceDrivers" runat="server" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td></td>
                                                <td id="td2" colspan="4">
                                                    <asp:Button ID="buttonApplySelected" runat="server" OnClick="buttonApplySelected_Click" style="width:100px"/>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </asp:Panel>
                            </tr>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>