<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="ComputerReboot.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Computer.ComputerReboot" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     
      <asp:Literal runat="server" ID="litRebootImmediately"></asp:Literal>

     <script language="JavaScript" type="text/JavaScript">
         //<![CDATA[
         var minimumThreshold = 30;
         var countdown = 300;
         var countup = 0;
         var retry = 5;
         var rebooting = false;
         var interval = window.setInterval('countdownStep();', 1000);

         window.addEvent('domready', function () {
             $('rebootLoader').setStyle('display', 'none');

             var btnReboot = document.getElement('input#reboot');

             btnReboot.addEvent('click', function () {
                 //Sets systatusbar in rebooting mode.
                 window.top.frmMonitoring.window.location = '../systatusbar.aspx?reboot=true';

                 hideMenu();

                 $('rebootLoader').setStyle('display', '');

                 rebooting = true;
                 new Request({
                     url: '/ComputerReboot.rix'
                 }).send("modality=ajax");
             });

             if (typeof rebootImmediately != 'undefined')
             {
                 btnReboot.fireEvent('click');
             }
         });

         function hideMenu() {
             document.getElements('div#menuGeneral').each(function (dmg) {
                 dmg.setStyle('visibility', 'hidden');
             });
             document.getElements('div#mngLev4').each(function (dlf) {
                 dlf.setStyle('visibility', 'hidden');
             });
         }

         function retryContact() {
             new Request({
                 url: '/ComputerReboot.rix?mode=poll',
                 onComplete: function (response) {
                     if (response == "alive") goToLogin();
                 }
             }).send("modality=ajax");
         }

         function goToLogin() {
             window.location.pathname = 'login.aspx';
         }

         function countdownStep() {
             if (!rebooting) {
                 return;
             }

             if (countup < minimumThreshold) {
                 countup++;
             } else {
                 if (countdown % retry == 0) retryContact();
             }

             var element = document.getElementById("countdown");

             if (element == null) {
             } else {
                 element.innerHTML = String(countdown);
                 countdown = countdown - 1;
             }

             if (countdown <= 0) {
                 window.clearInterval(interval);
                 window.location.pathname = 'login.aspx';
             }
         }

         //]]>
    </script>

    <asp:Literal ID="litRebootImmediatelyScript" runat="server"></asp:Literal>

    <!-- ### WAIT-REBOOTING ### -->
    <div id="rebootLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
            <b id="countdown">80 </b>
        </p>
    </div>
    <div id="boxToolsStartStop">
        <table class="wrapper" align="center">
            <tr>
                <td id="boxToolsComputerReboot">
                    <blockquote id="bqStartStopAcquisitions" runat="server">
                        <h5>
                            <asp:Label ID="rebootTitle" runat="server" /></h5>
                        <input type="button" id="reboot" value="R" />
                        <p>
                        </p>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>