<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="ComputerUpgrade_Drivers.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Computer.ComputerUpgrade_Drivers" %>

<%@ Register Src="~/UC/SubtabMenuComputerUpgrade.ascx" TagName="SubtabMenuComputerUpgrade" TagPrefix="ucSubtabMenuComputerUpgrade" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>
<%@ Register Src="~/UC/UpgradeFileUpload.ascx" TagName="UpgradeFileUpload" TagPrefix="ucUpgradeFileUpload" %>
<%@ Register Src="~/UC/ParameterMapFileSlot.ascx" TagName="ParameterMapFileSlot" TagPrefix="ucParameterMapFileSlot" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolbar" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolbar:ToolBar ID="ToolBar1" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>

      <style type="text/css">
        .in-use {
            background: url(/media/img/Entities/Lists/Item.gif) no-repeat 50% 4px;
        }

          table.sgnFilterShow_Drivers {
              padding-left:50px;
          }

      </style>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
</asp:Content>


<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

      <asp:Literal runat="server" ID="litJsStartupParameters"></asp:Literal>
    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA["
        window.addEvent('domready',function() {

            document.getElements('span.spanLinkClass').each(function(spn) {
                if (spn.innerHTML.length < 1) {
                    var myTr = spn.getParent().getParent('tr');
                    myTr.setStyle('display', 'none');
                }
            }); 
        });

        window.onbeforeunload = function (e) {
            if (typeof $userLeavingPageMessage != 'undefined') {
                var srt = e.srcElement.activeElement.tagName;
                var isInput = srt.indexOf("INPUT") != -1;
                var className = e.srcElement.activeElement.className;
                var isWatRestart =  className.indexOf("watRestart") != -1;

                if (!isInput && !isWatRestart) {
                    return $userLeavingPageMessage; // stackoverflow.com/questions/276660
                }
            }
        };


        
        window.addEvent('domready', function () {

            // drivers filters
            $('sgnFilterShow_inpDriverDescription').addEvent('keyup', redrawDrivers_delayedListing.pass(1000, this));
            $('sgnFilterShow_inpDriverDescription').addEvent('change', redrawDrivers_delayedListing.pass(500, this));

            if (document.getElement('.imgCommandClearFilter')) {
                document.getElement('.imgCommandClearFilter').addEvent('click', clearFilter );
            }
            // drivers filters

            manageDriversDisplay();

        });

        function clearFilter() {
            $('sgnFilterShow_inpDriverDescription').set('value', '');
            manageDriversDisplay();
        }
        
        function manageDriversDisplay() {
            var driverTable = $$('.computerUpgradeSlotTable')[0];
            var drivers = $$(".computerUpgradeSlotTable tbody input[type='checkbox']");

            drivers.each(function (currentCheckBox) {
                // input --> td --> tr
                var row = currentCheckBox.getParent().getParent();
                row.setStyle('display', 'table-row');
            }); // each


            // APPLY DRIVER FILTERS BEGIN
            var cdds = $('sgnFilterShow_inpDriverDescription').get('value').toLowerCase();
            var cdrf = $('sgnFilterShow_refDriverDescription').get('value').toInt() - 1;

            var driverGridCaption = $('driversGridCaption');

            if (cdds != '') {
                driverGridCaption.setStyle('display', '');

                drivers.each(function (currentCheckBox) {
                    // input --> td --> tr
                    var crw = currentCheckBox.getParent().getParent();

                    var mustBeSuppressed = false;

                    if ($(crw.cells[cdrf]).innerText) { // changed .children[0] to innerText beacause td contains <br /> tags
                        if (!$(crw.cells[cdrf]).innerText.toLowerCase().test(cdds))
                            mustBeSuppressed = true;
                    }
                    else if ((!$(crw.cells[cdrf]).get('text').toLowerCase().test(cdds))) {
                        mustBeSuppressed = true;
                    }

                    if (mustBeSuppressed) {
                        crw.setStyle('display', 'none');
                    } else {
                        // nop; other rows can be invisible for other reason (device selection computed above)
                    }
                });
            }
            else {
                driverGridCaption.setStyle('display', 'none');
            }

            // APPLY DRIVER FILTERS END
        }


        
        /*DRIVERS FILTERS BEGIN */
        function redrawDrivers_delayedListing(delayDrivers) {
            
            timedelayDrivers = delayDrivers || 0; // timeout to handle multiple update sequences
            
            if ($chk(this.redrawDrivers_ticket)) { $clear(this.redrawDrivers_ticket); };
            this.redrawDrivers_ticket = redrawDrivers_updateListing.delay(timedelayDrivers, this);
        }

        function redrawDrivers_updateListing() {
            manageDriversDisplay(); 
        }
        /*DRIVERS FILTERS END */
         
        //]]>
    </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessageRestartNeeded" ExtraCssClass="actionfeedback" runat="server" />

    <!-- ### WAIT-UPLOADING ### -->
    <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
        </p>
    </div>
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxTitle" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <tr>
                                <td id="tdCancel" colspan="4">
                                    <a href="ComputerUpgrade_Drivers.aspx?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                        <asp:Literal ID="litCancelUpgrade" runat="server" />
                                    </a>
                                </td>
                            </tr>
                            <ucUpdateFileUpload:UpdateFileUpload id="uploadDeviceDrivers" runat="server" />
                        </table>

                        <div style="display:inline-block;padding-left:50px;">
                             <asp:Literal ID="literalDriverSearch" runat="server"></asp:Literal>
                        </div>

                        <table class="computerUpgradeSlotTable">
                            <asp:Literal ID="litDeviceDrivers" runat="server" />
                        </table>

                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuComputerUpgrade:SubtabMenuComputerUpgrade ID="SubtabComputerUpgrade1" runat="server" />
</asp:Content>