<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" Inherits="Eliwell.Go.Presentation.Web.Data.Overview" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" runat="server">
    <div id="boxPlantDataInfo">
        <table class="wrapper" align="center">
            <tr>
                <td id="boxPlantDataInfoTitle" colspan="2">
                    <asp:Image ID="televisLogo" runat="server" />
                    <asp:Literal runat="server" ID="litLinkFilter"></asp:Literal>
                </td>
            </tr>
            <tr>
                <td id="boxPlantDataInfoGeneral">
                    <blockquote>
                        <h5>
                            <asp:Literal ID="plantIdentification" runat="server"></asp:Literal></h5>
                        <h6>
                            <asp:Label ID="plantName" runat="server" CssClass="FormPlantTitle" /></h6>
                        <p>
                            <asp:Label ID="plantAddress" runat="server" />
                        </p>
                    </blockquote>
                    <blockquote>
                        <h5>
                            <asp:Literal ID="softVersion" runat="server" />
                        </h5>
                        <p>
                            <asp:Literal ID="productVersion" runat="server" />
                        </p>
                        <pre>
<asp:Label ID="demoMode" runat="server" /></pre>
                        <p>
                            <asp:Literal ID="litUpgraderVersion" runat="server" />
                        </p>
                        <p>
                            <asp:Literal ID="litDbVersion" runat="server" />
                        </p>
                        <p>
                            <asp:Literal ID="litSoftLogic" runat="server" />
                        </p>
                    </blockquote>
                </td>
                <td id="boxPlantDataInfoNetworkList">
                    <blockquote>
                        <h5>
                            <asp:Literal ID="connNetworks" runat="server"></asp:Literal></h5>
                        <ul class="nets">
                            <asp:Literal ID="networksInformation" runat="server" />
                        </ul>
                        <ul class="lics">
                            <li>
                                <p>
                                    <span>
                                        <asp:Literal ID="numDevices" runat="server"></asp:Literal></span> <span>
                                            <asp:Literal ID="maxDevices" runat="server"></asp:Literal></span>
                                </p>
                            </li>
                        </ul>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>