<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Alarms_Categories.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Alarms_Categories" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuSettingsAlarms.ascx" TagName="SubtabMenuSettingsAlarms" TagPrefix="ucSubtabMenuSettingsAlarms" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericRadio.ascx" TagName="GenericRadio" TagPrefix="ucGenericRadio" %>
<%@ Register Src="~/UC/GenericLiteral.ascx" TagName="GenericLiteral" TagPrefix="ucGenericLiteral" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector" TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/GenericDirectOutput.ascx" TagName="GenericDirectOutput" TagPrefix="ucGenericDirectOutput" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" RecordEditCommandsVisible="true" FilterPreviewVisible="true" runat="server" />
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />            
    <div class="modalPopup" id="modalPopUpContainer">
        <div class="overlay-decorator">
            <!--&nbsp;-->
        </div>
        <div class="overlay-wrap">
            <div class="overlay">
                <div class="dialog-decorator">
                    <!--&nbsp;-->
                </div>
                <div class="dialog-wrap">
                        <div class="content_div" style="width:780px;height:580px; overflow:hidden">
                            <div id="devicePanel" style="height:100%">
                                <div class="popuptop_div">
                                      <img src="../media/img/Menu/Popups/close.gif" class="buttonClosePreviewPopup" style="float:right;cursor:pointer"/>
                                </div>
                                <div class="inner_div" style="height:100%; overflow:hidden"> 
                                    <div id="previewIframeContainer" style="height:100%">
                                         <!--&nbsp;--> <!-- do not remove dummy text -->
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content runat="server" ID="cssContent" ContentPlaceHolderID="CssArea">
    
    <link rel="stylesheet" type="text/css" href="/media/css/ModalPopUp.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/docs.css" />
    <link rel="stylesheet" href="/media/css/styleScrollableGrid.css" type="text/css" media="screen" />

    <style media="screen" type="text/css">
        #alarmListPick {
            /* border: 1px solid #AAAAAA; */
            border: 1px solid #888888;
            padding: 0px;
        }

            #alarmListPick thead tr {
                background-color: #99CCFF;
                color: #333333;
                font-size: 9px;
                height: 16px;
            }

                #alarmListPick thead tr th {
                    padding: 0;
                    vertical-align: middle;
                }



            #alarmListPick tbody td {
                background-color: #E4E4E4;
                /*border-bottom-color: #AAAAAA;
                border-bottom-style: solid;
                border-bottom-width: 1px;*/
                border-top: 1px solid #AAAAAA;
                white-space: nowrap;

                /* make alarm grid looks like networkgrid */
                height: 24px;
                padding: 0;
                vertical-align: middle;
            }

                #alarmListPick tbody td.first-cell {
                    width:30px;
                }

                #alarmListPick tbody td.first-cell input.alaSelector {
                    margin-left:6px;
                }

                

        .itemScroller {
            width: 100%;
            height: 90px;
            margin: 0px;
            padding: 2px;
            overflow-y: scroll;
            overflow: auto;
            border: 1px solid #888888;
            background: #FFFFFF;
        }

        /*Lem override of networkgrid original width */
        table.wkaDataEntry td.wdeRecordDetail .wrpSuperGridNetworkTable {
            width: 100%;
            padding-top: 0;
        }

        tr.device-alarm-grid-head-tr td {
            margin: 0;
            margin-right: 10px;
            vertical-align:middle;
            padding-top:0 !important;
            padding-bottom:0 !important;
            font-weight: bold; 
        }

            tr.device-alarm-grid-head-tr td input {
                  margin: 0px !important;
                  margin-left: 10px !important;
                  margin-right: 10px !important;
                  vertical-align:middle;
            }

            tr.device-alarm-grid-head-tr td span {
                line-height:22px;
            }

            tr.device-alarm-grid-head-tr td table#sgnFilterShow_Devices {
                padding: 0px;
            }

            tr.device-alarm-grid-head-tr td table#sgnFilterShow_Devices td {
                line-height:22px;
            }

        table.wkaDataEntry td.wdeRecordList td {
            max-width: 260px;
            overflow-x: hidden;
            text-overflow: ellipsis;
        } 

        tr.detail-container input[type=checkbox] {
            width: 20px;
            float: left;
            vertical-align: middle;
        }

        tr.detail-container td, div.detail-container th {
            line-height: 20px;
        }

        tr.detail-container img {
            float: left;
        }

        
        table.wkaDataEntry td blockquote table.optsgroup table {
            padding: 0px;
        }

           #boxAlarmCategoriesList table.filterImageListContainer {
            margin: 0px;
            padding: 0px;
        }

            #boxAlarmCategoriesList table.filterImageListContainer td {
                padding: 0px;
                line-height: 22px;
                padding-left:5px;
            }

    </style>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <script src="/script/xmlEditor/codemirror.js" type="text/javascript"></script>

    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[

        function closeModalPopUp() {
            var filteredBkg = $('modalPopUpContainer');
            filteredBkg.style.display = 'none';
            return false;
        }

        function openModalPopUpDevices(url) {
            $('devicePanel').style.display = '';
            $('modalPopUpContainer').style.display = 'block';

            document.getElementById('previewIframeContainer').innerHTML = '<iframe id="" width="100%" height="100%" src="' + url + '"></iframe>';

            return false;
        }

        function setDeviceSelection(selected) {
            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
            devices.each(function(currentCheckBox) {
                currentCheckBox.checked = selected;
            });
        }

        function setAlarmSelection(selected) {
            var alarmTable = $('alarmListPick');
            var alarms = document.getElements('input.alaSelector', alarmTable);
            alarms.each(function(currentCheckBox) {
                currentCheckBox.checked = selected;
            });
        }

        function cleanFilter(string) {
            var removedSpaces = string.split(' ').join('');
            return removedSpaces.replace(new RegExp('\\n', 'g'), '');
            debugger;
        }

        function checkUniversalAlarmFilter() {
            var currentFilter = cleanFilter(editorAlarms.getCode()).toLowerCase();
            var universalFilter = $('allAlarmsXml').value.toLowerCase();
            if (currentFilter == universalFilter || currentFilter == "")
                return true;
            return false;
        }

        function checkUniversalDeviceFilter() {
            var currentFilter = cleanFilter(editorDevices.getCode()).toLowerCase();
            var universalFilter = $('allDevicesXml').value.toLowerCase();
            if (currentFilter == universalFilter || currentFilter == "")
                return true;
            return false;
        }

        function calculateLevel() {
            var level = 0;
            var prefix = '../media/img/Entities/Items/';
            var isUniversalDevice = checkUniversalDeviceFilter();
            var isUniversalAlarm = checkUniversalAlarmFilter();
            if (isUniversalDevice) {
                $('DeviceImageLevel').src = prefix + 'CatLevelDevAll.gif';
                if (isUniversalAlarm) level = 1;
                else level = 2;
            }
            else {
                $('DeviceImageLevel').src = prefix + 'CatLevelDevFilter.gif';
                if (isUniversalAlarm) level = 3;
                else level = 4;
            }
            if (isUniversalAlarm) {
                $('AlarmImageLevel').src = prefix + 'CatLevelAlaAll.gif';
            }
            else {
                $('AlarmImageLevel').src = prefix + 'CatLevelAlaFilter.gif';
            }

            $('FilterLevel').innerHTML = level;
        }

        function unselectAllDevicesFromList()
        {
            setDeviceSelection(false);
        }

        function selectAllDevicesFromList()
        {
            setDeviceSelection(true);
        }

        function selectAllAlarmsFromList()
        {
            setAlarmSelection(true);
        }

        function unselectAllAlarmsFromList()
        {
            setAlarmSelection(false);
        }

    
        function getDevices() {
            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
            var selectionArray = [];
            devices.each(function(currentCheckBox) {
                if (currentCheckBox.checked)
                    selectionArray.push(currentCheckBox.id);
            });

            var postBody = "modality=ajax" + "&exec=buildDeviceXML" + "&deviceSelection=" + selectionArray;
            new Request({url:'/AlarmsCategoryInvocation.rix',
                         onComplete: function(request) {
                            editorDevices.setCode(request);
                            editorDevices.reindent();
                            // closeModalPopUp();
                         },
                         timeout: 5000
            }).send(postBody);
        }

        function getAlarms() {
            var alarmTable = $('alarmListPick');
            var alarms = document.getElements('input.alaSelector', alarmTable);
            var selectionArray = [];
            alarms.each(function (currentCheckBox) {
                if (currentCheckBox.checked)
                    selectionArray.push(currentCheckBox.id);
            });
            var postBody = "modality=ajax" + "&exec=buildAlarmXML" + "&alarmSelection=" + selectionArray;
            new Request({
                url: '/AlarmsCategoryInvocation.rix',
                onComplete: function (request) {
                    editorAlarms.setCode(request);
                    editorAlarms.reindent();
                    // closeModalPopUp();
                },
                timeout: 5000
            }).send(postBody);
        }

        var editorDevices;
        var editorAlarms;

        function editorGetCode() {
            var deviceFilterTextArea = $('deviceEditor');
            deviceFilterTextArea.value = editorDevices.getCode();

            var alarmFilterTextArea = $('alarmEditor');
            alarmFilterTextArea.value = editorAlarms.getCode();
        }

        function deviceEditorSetCode() {
            var deviceFilterTextArea = $('deviceEditor');
            editorDevices.setCode(deviceFilterTextArea.value);
            editorDevices.reindent();
        }

        function alarmEditorSetCode() {
            var alarmFilterTextArea = $('alarmEditor');
            editorAlarms.setCode(alarmFilterTextArea.value);
            editorAlarms.reindent();
        }

        function openPreview() {
            if ($('ToolBar1$ilbFilterPreview').hasClass('disabled')) return;
            
            var caregoryID = myClientDataEntry.getRecordID();
            if (caregoryID) {
                var url = '/Settings/FilterPreview.aspx' + '?categoryID=' + caregoryID;
                openModalPopUpDevices(url);
            }
        }

        function onSelect() {
            enablePreviewButton();
            calculateLevel();
        }

        function enablePreviewButton()
        {
            var previewBtn = document.getElement('div.wkaToolbarArea td.dosome a.watGenericPreview');
            if (previewBtn)
                previewBtn.removeClass('disabled');
        }

        function details_onAdd() {

            unselectAllDevicesFromList();
            manageDevicesSelection();

            unselectAllAlarmsFromList();
            manageAlarmsSelection();
            

            // [ERIK] Unselects checkboxes under "actions" and "timeframes" lists.
            var actions = $$('table.optsgroup input');
            actions.each(function(currentCheckBox) {
                currentCheckBox.checked = false;
            });

            // [ERIK] By default, selects Enabled and Escalate flags.
            $('cEnabled').checked = true;
            $('cEscalate').checked = true;
        }

        var myClientDataEntry;

        window.addEvent('domready', function () {
              
            // alarm filters
            $('sgnFilterShow_inpAlarmDescription').addEvent('keyup', redrawAlarms_delayedListing.pass(1000, this));
            $('sgnFilterShow_inpAlarmDescription').addEvent('change', redrawAlarms_delayedListing.pass(500, this));
            // alarm filters

            mySuperGridNetworkTable.deviceSelectionTriggersInterfaceAutoCheckWhenAllOfItsDevicesAraChecked = true;

            var buttonClosePreviewPopup = document.getElement('img.buttonClosePreviewPopup');
            if (buttonClosePreviewPopup) {
                buttonClosePreviewPopup.addEvent('click', closeModalPopUp);
            }

            myClientDataEntry = new clientDataEntry('list');

            $('deviceEditor').addEvent('change', deviceEditorSetCode);
            $('alarmEditor').addEvent('change', alarmEditorSetCode);

            $('preSelectedDeviceIds').addEvent('change', preSelectDeviceIdsOnGrid);
            $('preSelectedAlarmIds').addEvent('change', preSelectAlarmIdsOnGrid);

            // attach events on device grid checkbox
            var deviceGridForEventsAttachment = document.getElement('div.wrpSuperGridNetworkTable');
            var deviceCheckboxForEventAttachment = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGridForEventsAttachment);
            deviceCheckboxForEventAttachment.each(function (currentCheckBox) {
                currentCheckBox.addEvent('click', onDeviceCheckboxClicked);
            });

            // attach events on interfaces grid row
            var interfaceGridForEventsAttachment = document.getElement('div.wrpSuperGridNetworkTable');
            var interfaceGridForEventsAttachment = document.getElements('tr.hdwInterface', deviceGridForEventsAttachment);
            interfaceGridForEventsAttachment.each(function (currentCheckBox) {
                currentCheckBox.addEvent('onselectcompleted', onInterfaceCheckboxClicked);
            });

            // attach events on alarms grid checkbox
            var alarmTableForEventsAttachment = $('alarmListPick');
            var alarmsCheckboxForEventAttachment = document.getElements('input.alaSelector', alarmTableForEventsAttachment);
            alarmsCheckboxForEventAttachment.each(function (currentCheckBox) {
                currentCheckBox.addEvent('click', onAlarmCheckboxClicked);
            });


            if (toolbarIlbSaveForAddEvent = $('ToolBar1$ilbSave')) {
                toolbarIlbSaveForAddEvent.addEvent('click', editorGetCode);
            }

            if (toolbarIlbEditForAddEvent = $('ToolBar1$ilbEdit')) {
                toolbarIlbEditForAddEvent.addEvent('click', toolbarEditClicked);
            }

            if (checkboxAppliesToAllDevicesForAddEvent = $('appliesToAllDevices')) {
                checkboxAppliesToAllDevicesForAddEvent.addEvent('click', selectAllDevicesCheckboxClicked);
            }

            if (checkboxAppliesToAllAlarmsForAddEvent = $('appliesToAllAlarms')) {
                checkboxAppliesToAllAlarmsForAddEvent.addEvent('click', selectAllAlarmsCheckboxClicked);
            }

            if (toolbarIlbAddForEvent = $('ToolBar1$ilbAdd')) {
                toolbarIlbAddForEvent.addEvent('click', details_onAdd);
            }

            // $('btnAlarmFromList').addEvent('click', openModalPopUpAlarms);
            // $('btnDeviceFromList').addEvent('click', openModalPopUpDevices);

            // $('modalPopUpContainer').addEvent('click', closeModalPopUp);
            // $('btnCloseDevices').addEvent('click', closeModalPopUp);
            // $('btnCloseAlarms').addEvent('click', closeModalPopUp);

            $('btnGetDevices').addEvent('click', getDevices);
            $('btnGetAlarms').addEvent('click', getAlarms);

            // $('btnDeviceSelectAll').addEvent('click', selectAllDevices);
            // $('btnAlarmSelectAll').addEvent('click', selectAllAlarms);

            $('btnSelectAllDeviceFromList').addEvent('click', openModalPopUpDevices); //selectAllDevicesFromList);
            $('btnUnselectAllDeviceFromList').addEvent('click', unselectAllDevicesFromList);
            $('btnSelectAllAlarmFromList').addEvent('click', selectAllAlarmsFromList);
            $('btnUnselectAllAlarmFromList').addEvent('click', unselectAllAlarmsFromList);

            editorDevices = CodeMirror.fromTextArea('deviceEditor', {
                height: "200px",
                parserfile: "parsexml.js",
                stylesheet: "/media/css/xmlcolors.css",
                path: "/script/xmlEditor/",
                continuousScanning: 500,
                onChange: calculateLevel,
                reindentOnLoad: true,
                lineNumbers: false
            });

            editorAlarms = CodeMirror.fromTextArea('alarmEditor', {
                height: "200px",
                parserfile: "parsexml.js",
                stylesheet: "/media/css/xmlcolors.css",
                path: "/script/xmlEditor/",
                continuousScanning: 500,
                onChange: calculateLevel,
                reindentOnLoad: true,
                lineNumbers: false
            });

            var previewBtn = document.getElement('div.wkaToolbarArea td.dosome a.watGenericPreview');

            if (previewBtn) {
                previewBtn.addClass('disabled');
                previewBtn.addEvent('click', openPreview);
                previewBtn.onclick = function () { return false; }
            }

            for (i = 0; i < myClientDataEntry.cdeRecordListItemStores.length; i++) {
                var crow = myClientDataEntry.cdeRecordListItemStores[i].getFirstParentByTag('tr');

                if (hasClass(crow, 'selected'))
                    enablePreviewButton();

                var clnk = crow.getElement('a');
                clnk.addEvent('click', onSelect);
            }

            // SHOW SAME GRID AFTER POSTBACK
            // we detect postback and in editing state to copy post data to preselected data
            // to align the grid check as was before postback
            var postSelDeviceIds = $('postSelectedDeviceIds').get('value');
            var postSelAlarmIds = $('postSelectedAlarmIds').get('value');

            if (postSelDeviceIds || postSelAlarmIds) {
                $('preSelectedDeviceIds').set('value', postSelDeviceIds);
                $('preSelectedAlarmIds').set('value', postSelAlarmIds);
                preSelectDeviceIdsOnGrid();
                preSelectAlarmIdsOnGrid();
            }
            else {
                unselectAllDevicesFromList();
                unselectAllAlarmsFromList();
            }

            manageDevicesSelection();            
            manageAlarmsSelection();
             
        });

        function onDeviceCheckboxClicked( e ) {
            manageDevicesSelection();
            manageAlarmsSelection();
        }

        function onInterfaceCheckboxClicked(e) {
            manageDevicesSelection();
            manageAlarmsSelection();
        }

        function onAlarmCheckboxClicked(checkboxClicked) {
            manageAlarmsSelection();
        }

        function toolbarEditClicked() {
            manageDevicesSelection();
            manageAlarmsSelection();
        }

        function selectAllDevicesCheckboxClicked() {

            var applyToAllDevicesInput = document.getElementById('appliesToAllDevices');

            if (applyToAllDevicesInput.checked)
                selectAllDevicesFromList();
            else
                unselectAllDevicesFromList();
                
            manageDevicesSelection();
            manageAlarmsSelection();
        }

        function selectAllAlarmsCheckboxClicked() {

            var applyToAllAlarmsCheckbox = document.getElementById('appliesToAllAlarms');

            if (applyToAllAlarmsCheckbox.checked)
                selectAllAlarmsFromList();
            else
                unselectAllAlarmsFromList();

            manageAlarmsSelection();
        }

        function preSelectDeviceIdsOnGrid() {

            var preSelectedDeviceValue = $('preSelectedDeviceIds').value;
            var preSelectedDeviceArray = preSelectedDeviceValue.split(',');

            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);

            devices.each(function (currentCheckBox) {

                var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);

                if (preSelectedDeviceArray.indexOf(deviceId) > -1) {
                    currentCheckBox.checked = true;
                }
                else {
                    currentCheckBox.checked = false;
                }
            });

            manageDevicesSelection();
            manageAlarmsSelection();
        }

        function preSelectAlarmIdsOnGrid() {

            var preSelectedAlarmValue = $('preSelectedAlarmIds').value;
            var preSelectedAlarmArray = preSelectedAlarmValue.split(',');

            var alarmTable = $('alarmListPick');
            var alarms = document.getElements('input.alaSelector', alarmTable);

            alarms.each(function (currentCheckBox) {

                var alarmId = utilGetAlarmIdFromCheckboxId(currentCheckBox.id);

                if (preSelectedAlarmArray.indexOf(alarmId) > -1) {
                    currentCheckBox.checked = true;
                }
                else {
                    currentCheckBox.checked = false;
                }
            });

            manageDevicesSelection();
            manageAlarmsSelection();
        }

        function manageDevicesSelection() {
            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
            var interfaces = document.getElements('tr.hdwInterface input.sgnSelector', deviceGrid);

            var applyToAllDevicesInput = document.getElementById('appliesToAllDevices');

            // check all devices and all interfaces
            applyToAllDevicesInput.checked = true;
            interfaces.each(function (currentCheckBox) {

                var interfaceId = utilGetInterfaceIdFromCheckboxId(currentCheckBox.id);
                var interfaceHasDevices = false;
                for (var i = 0; i < devices.length; i++) {

                    var deviceId = utilGetDeviceIdFromCheckboxId(devices[i].id);
                    var deviceInterfaceId = deviceId.split(".")[0];

                    if (deviceInterfaceId == interfaceId) {
                        currentCheckBox.checked = true; // check only if device present
                        interfaceHasDevices = true;     //
                    }
                }

                if (!interfaceHasDevices)
                    currentCheckBox.checked = false;
                
                currentCheckBox.set('disabled', ''); // fix for offline interfaces, that where disabled server side...
            });

            // scan devices checkbox for unchecking interfaces
            devices.each(function (currentCheckBox) {
                if (!currentCheckBox.checked) {

                    // uncheck the main flag
                    applyToAllDevicesInput.checked = false;

                    // find the interface checkbox to uncheck
                    var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);
                    var deviceInterfaceId = deviceId.split(".")[0]; 
                    for (var i=0; i< interfaces.length; i++)
                    {
                        var interfaceCheckbox = interfaces[i];
                        var interfaceId = utilGetInterfaceIdFromCheckboxId(interfaceCheckbox.id);
                        if (deviceInterfaceId == interfaceId)
                            interfaceCheckbox.checked = false;
                    }
                } 
            });

            // get selected device and populate hidden field
            var selectedDevice = utilGetSelectedDevices();
            $('postSelectedDeviceIds').value = selectedDevice.join(',');
        }

        function manageAlarmsSelection() {
            var alarmTable = $('alarmListPick');
            var alarms = document.getElements('input.alaSelector', alarmTable);

            var selectedDeviceArray = utilGetSelectedDevices();

            var applyToAllAlarmsCheckbox = document.getElementById('appliesToAllAlarms');
            var applyToAllAlarmsEnabledIndicatesEditing = !applyToAllAlarmsCheckbox.disabled;

            // the next algoritm will set to false if at least one alarm is visible and not checked (****)
            applyToAllAlarmsCheckbox.checked = true;
            var noAlarmsVisible = true;

            var selectedAlarmsArrayToFill = [];

            alarms.each(function (currentCheckBox) {

                // input --> td --> tr
                var row = currentCheckBox.getParent().getParent();

                var deviceListCsv = currentCheckBox.attributes['data-device-ids'].value;
                var deviceArray = deviceListCsv.split(',');

                var found = false;
                for (var i = 0, len = deviceArray.length; i < len; i++) {
                    var deviceId = deviceArray[i];

                    if (selectedDeviceArray.indexOf(deviceId) > -1) {
                        found = true;
                        break;
                    }
                }

                if (found) {
                    noAlarmsVisible = false;
                    row.setStyle('display', 'table-row');

                    if (currentCheckBox.checked) {
                        var alarmId = utilGetAlarmIdFromCheckboxId(currentCheckBox.id);
                        selectedAlarmsArrayToFill.push(alarmId);
                    }
                    else
                    {
                        applyToAllAlarmsCheckbox.checked = false; //  (****)
                    }
                }
                else {
                    row.setStyle('display', 'none');
                    currentCheckBox.checked = false;
                }

            }); // each

            // small correction if no alarms are visible
            if (noAlarmsVisible)
                applyToAllAlarmsCheckbox.checked = false; //  (****)

            // fill post alarm selected id value
            $('postSelectedAlarmIds').value = selectedAlarmsArrayToFill.join(',');

            // APPLY ALARM FILTERS BEGIN
            var cdds = $('sgnFilterShow_inpAlarmDescription').get('value').toLowerCase();
            var cdrf = $('sgnFilterShow_refAlarmDescription').get('value').toInt() - 1;

            var alarmGridCaption = $('alarmsGridCaption');

            if (cdds != '') {
                alarmGridCaption.setStyle('display', '');

                alarms.each(function (currentCheckBox) {
                    // input --> td --> tr
                    var crw = currentCheckBox.getParent().getParent();

                    var mustBeSuppressed = false;

                    if ($(crw.cells[cdrf]).children[0]) {
                        if (!$(crw.cells[cdrf]).children[0].value.toLowerCase().test(cdds))
                            mustBeSuppressed = true;
                    }
                    else if ((!$(crw.cells[cdrf]).get('text').toLowerCase().test(cdds))) {
                        mustBeSuppressed = true;
                    }

                    if (mustBeSuppressed) {
                        crw.setStyle('display', 'none');
                    } else {
                        // nop; other rows can be invisible for other reason (device selection computed above)
                    }
                });
            }
            else {
                alarmGridCaption.setStyle('display', 'none');
            }

            // APPLY ALARM FILTERS END
        }

        function utilGetSelectedDevices() {
            var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
            var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
            var selectionArray = [];
            devices.each(function (currentCheckBox) {
                if (currentCheckBox.checked) {
                    var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);
                    selectionArray.push(deviceId);
                }
            });

            return selectionArray;
        }

        function utilGetDeviceIdFromCheckboxId(checkboxId) {
            return checkboxId.replace('chkdev_', '').replace('_', ':');
        }

        function utilGetInterfaceIdFromCheckboxId(checkboxId) {
            return checkboxId.replace('chkifc_', '').replace('_', ':');
        }

        function utilGetAlarmIdFromCheckboxId(checkboxId) {
            return checkboxId.replace('chkala_', '');
        }


        /*ALARM FILTERS BEGIN */
        function redrawAlarms_delayedListing(delayAlarms) {
            
            timedelayAlarms = delayAlarms || 0; // timeout to handle multiple update sequences
            
            if ($chk(this.redrawAlarms_ticket)) { $clear(this.redrawAlarms_ticket); };
            this.redrawAlarms_ticket = redrawAlarms_updateListing.delay(timedelayAlarms, this);
        }

        function redrawAlarms_updateListing() {
            manageAlarmsSelection(); 
        }
        /*ALARM FILTERS END */

        function hasClass(element, cls) {
            return (' ' + element.className + ' ').indexOf(' ' + cls + ' ') > -1;
        }

        //]]>
    </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback" runat="server" />
    <div id="boxSettingsAccountsGroups" style="padding-bottom: 200px">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordList" style="width: 300px">
                    <blockquote id="boxAlarmCategoriesList" class="list" style="overflow:hidden">
                        <h5 id="categoryListTitle" runat="server"></h5>
                        <ucGenericGrid:GenericGrid ID="gGridCategories" IsList="true" runat="server">
                            <ucGenericContainer:GenericContainer ID="categoryContainer" IdFieldName="Id" ShowHeader="true" RowDisabledCssClass="disabled" runat="server">
                                <ucGenericText:GenericText ID="colName" FieldName="Name" DisablingFieldName="Enabled" Selectable="true" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericLiteral:GenericLiteral ID="colLevel" FieldName="Icon" HasHtmlLabel="false" runat="server">
                                </ucGenericLiteral:GenericLiteral>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                    </blockquote>
                </td>
                <td class="wdeRecordDetail">
                    <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1" runat="server" />
                    <blockquote id="boxDetail" class="detail">
                        <h5 id="detailsTitle" runat="server"></h5>
                        <ucGenericGrid:GenericGrid ID="gGridDetails" runat="server">
                            <ucGenericContainer:GenericContainer ID="GenericContainer2" RowCssClass="detail-container" runat="server">
                                <ucGenericText:GenericText IsHeader="true" ID="lblName" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericTextBox:GenericTextBox ID="cName" FieldName="Name" runat="server">
                                </ucGenericTextBox:GenericTextBox>
                                <ucGenericCheckBox:GenericCheckBox ID="cEnabled" FieldName="Enabled" Selected="true" HasHtmlLabel="false" Span="1" LabelOnTheLeft="false" runat="server">
                                </ucGenericCheckBox:GenericCheckBox>
                                <ucGenericCheckBox:GenericCheckBox ID="cEscalate" FieldName="Escalate" HasHtmlLabel="false" Span="1" LabelOnTheLeft="false" runat="server">
                                </ucGenericCheckBox:GenericCheckBox>
                                <ucGenericDirectOutput:GenericDirectOutput id="decFilter" hashtmllabel="false" runat="server">
                                </ucGenericDirectOutput:GenericDirectOutput>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                        <h5 id="actionsAndTimeframesTitle" runat="server"></h5>
                        <table width="100%" style="padding:2px;">
                            <thead style="display:none">
                                <tr>
                                    <th>
                                        <asp:Label ID="colActions" runat="server">
                                        </asp:Label>
                                    </th>
                                    <th>
                                        <asp:Label ID="colTimeFrames" runat="server">
                                        </asp:Label>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td style="width: 50%">
                                        <div class="itemScroller">
                                            <ucGenericGrid:GenericGrid ID="gGridActions" MainTableCssClass="optsgroup" IsNested="true" IsList="false" runat="server">
                                                <ucGenericContainer:GenericContainer ID="Container11" TableCssClass="optsgroup" runat="server">
                                                    <ucGenericText:GenericText ID="text11" HasHtmlLabel="true" Label="dati" runat="server">
                                                        <ucGenericContainer:GenericContainer ID="Container13" runat="server">
                                                            <ucGenericCheckBox:GenericCheckBox FieldName="Id" ID="decActions" runat="server">
                                                            </ucGenericCheckBox:GenericCheckBox>
                                                            <ucGenericText:GenericText ID="text12" FieldName="Name" HasHtmlLabel="true" runat="server">
                                                            </ucGenericText:GenericText>
                                                        </ucGenericContainer:GenericContainer>
                                                    </ucGenericText:GenericText>
                                                </ucGenericContainer:GenericContainer>
                                            </ucGenericGrid:GenericGrid>
                                        </div>
                                    </td>
                                    <td style="width: 50%">
                                        <div class="itemScroller">
                                            <ucGenericGrid:GenericGrid ID="gGridTimeFrames" MainTableCssClass="optsgroup" IsNested="true" IsList="false" runat="server">
                                                <ucGenericContainer:GenericContainer ID="Container14" TableCssClass="optsgroup" runat="server">
                                                    <ucGenericText:GenericText ID="text13" HasHtmlLabel="true" Label="dati" runat="server">
                                                        <ucGenericContainer:GenericContainer ID="Container15" runat="server">
                                                            <ucGenericCheckBox:GenericCheckBox FieldName="Id" ID="decTimeframes" runat="server">
                                                            </ucGenericCheckBox:GenericCheckBox>
                                                            <ucGenericText:GenericText ID="text14" FieldName="Name" HasHtmlLabel="true" runat="server">
                                                            </ucGenericText:GenericText>
                                                        </ucGenericContainer:GenericContainer>
                                                    </ucGenericText:GenericText>
                                                </ucGenericContainer:GenericContainer>
                                            </ucGenericGrid:GenericGrid>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <h5 id="filtersTitle" runat="server"></h5>
                        <table width="100%" style="padding:4px;"> 
                            <tbody>
                                <tr class="device-alarm-grid-head-tr">
                                    <td>
                                        <input type="checkbox" id="appliesToAllDevices" name="appliesToAllDevices"/>
                                        <asp:Label ID="lblColSelectAllDevices" runat="server">
                                        </asp:Label>
                                         
                                        <div style="float:right;display:inline-block" class="filter-container">
                                            <asp:Literal ID="literalDeviceSearch" runat="server"></asp:Literal>
                                        </div>
                                    </td>
                                    <td>
                                        <input type="checkbox" id="appliesToAllAlarms" name="appliesToAllAlarms"/>
                                        <asp:Label ID="lblColSelectAllAlarms" runat="server">
                                        </asp:Label>

                                        <div style="float:right;display:inline-block">
                                            <asp:Literal ID="literalAlarmSearch" runat="server"></asp:Literal>
                                        </div>
                                    </td>
                                </tr> 
                                <tr>
                                    <td>
                                        <uc2:networksgrid id="NetworksGrid1" level2checkedononline="true" level3checkedononline="true" runat="server" />
                                    </td>
                                    <td> 
                                        <asp:Literal ID="ltrAlarmTable" runat="server">
                                        </asp:Literal> 
                                    </td>
                                </tr>
                                <tr style="display:none">
                                    <td>
                                         <div class="bottom_div">
                                            <a runat="server" id="btnGetDevices"></a>
                                            <a runat="server" id="btnCloseDevices"></a>
                                            <a runat="server" id="btnSelectAllDeviceFromList"></a>
                                            <a runat="server" id="btnUnselectAllDeviceFromList"></a>
                                        </div>
                                        <div>
                                            <input type="text" name="preSelectedDeviceIds" id="preSelectedDeviceIds" style="width:100%;" /><br />
                                            <input type="text" name="postSelectedDeviceIds" id="postSelectedDeviceIds" style="width:100%;"/><br />
                                            <input runat="server" type="button" id="btnDeviceSelectAll" value="" />
                                            <input type="hidden" runat="server" id="allDevicesXml" />
                                        </div>
                                        <div style="border: 1px solid #999; padding: 0px; background-color: #FFF">
                                            <textarea name="deviceEditor" id="deviceEditor" cols="30" rows="80">&lt;interface&gt;&lt;device/&gt;&lt;/interface&gt;</textarea>
                                        </div>
                                    </td>
                                    <td style="width: 50%">
                                        <div class="bottom_div">
                                            <a runat="server" id="btnGetAlarms"></a>
                                            <a runat="server" id="btnCloseAlarms"></a>
                                            <a runat="server" id="btnSelectAllAlarmFromList"></a>
                                            <a runat="server" id="btnUnselectAllAlarmFromList"></a>
                                        </div>
                                        <div>
                                            <input type="text" name="preSelectedAlarmIds" id="preSelectedAlarmIds" style="width:100%;" /><br />
                                            <input type="text" name="postSelectedAlarmIds" id="postSelectedAlarmIds" style="width:100%;" /><br />
                                            <input runat="server" type="button" id="btnAlarmSelectAll" value="" />
                                            <input type="hidden" runat="server" id="allAlarmsXml" />
                                        </div>
                                        <div style="border: 1px solid #999; padding: 0px; background-color: #FFF">
                                            <textarea name="alarmEditor" id="alarmEditor" cols="30" rows="80">&lt;resource/&gt;</textarea>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuSettingsAlarms:SubtabMenuSettingsAlarms ID="SubtabMenuSettingsAlarms1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>