﻿<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Generic_Media.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Generic_Media" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GeneralMessageServiceNeedRestart.ascx" TagName="GeneralMessageServiceNeedRestart" TagPrefix="ucGeneralMessageServiceNeedRestart" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SettingsTimeSpan.ascx" TagName="SettingsTimeSpan" TagPrefix="ucSettingsTimeSpan" %>
<%@ Register Src="~/UC/SettingsNumber.ascx" TagName="SettingsNumber" TagPrefix="ucSettingsNumber" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/SubtabMenuGenericSettings.ascx" TagName="SubtabMenuGenericSettings"
    TagPrefix="ucSubtabMenuGenericSettings" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/SettingsNeedRestartLegend.ascx" TagName="SettingsNeedRestartLegend"
    TagPrefix="ucSettingsNeedRestartLegend" %>
<%@ Register Src="~/UC/SettingsDropDownList.ascx" TagName="SettingsDropDownList"
    TagPrefix="ucSettingsDropDownList" %>
<%@ Register Src="~/UC/SettingsBoolean.ascx" TagName="SettingsBoolean" TagPrefix="ucSettingsBoolean" %>
<%@ Register Src="~/UC/SettingsText.ascx" TagName="SettingsText" TagPrefix="ucSettingsText" %>
<%@ Register Src="~/UC/MediaStatus.ascx" TagName="MediaStatus" TagPrefix="ucMediaStatus" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuGenericSettings:SubtabMenuGenericSettings ID="SubtabMenuGenericSettings1"
        runat="server" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
    <asp:Literal ID="javascriptConstants" runat="server"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/routerTestAction.js"></script>

    <script language="JavaScript" type="text/JavaScript">
        window.addEvent('domready',function() {
        var myClientDataEntry = new clientDataEntry('single');

        var pstnPanel = new testPanel('PstnTestMessage',
                'PstnTestImage',
                'PstnTestProgress',
                ['btnPstnTest'],
                null,
                null,
                'PstnTest',
                60000,
                TIMEOUT_MESSAGE);

        var gsmPanel = new testPanel('GsmTestMessage',
                'GsmTestImage',
                'GsmTestProgress',
                ['btnGsmTest'],
                null,
                null,
                'GsmTest',
                60000,
                TIMEOUT_MESSAGE);

        var gprsPanel = new testPanel('GprsTestMessage',
                'GprsTestImage',
                'GprsTestProgress',
                ['btnGprsTest'],
                null,
                null,
                'GprsTest',
                60000,
                TIMEOUT_MESSAGE);

        function send_PstnTest() { pstnPanel.onClick(); }
        function send_GsmTest() { gsmPanel.onClick(); }
        function send_GprsTest() { gprsPanel.onClick(); }

        $('btnPstnTest').addEvent('click', send_PstnTest);
        $('btnGsmTest').addEvent('click', send_GsmTest);
        $('btnGprsTest').addEvent('click', send_GprsTest);

        });
    </script>

    
    <ucGeneralMessageServiceNeedRestart:GeneralMessageServiceNeedRestart ID="GeneralMessageSystemNeedRestart" ExtraCssClass="actionfeedback"
        runat="server" />

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />

    <div id="box">
        <ucSettingsNeedRestartLegend:SettingsNeedRestartLegend ID="SettingsNeedRestartLegend1"
            runat="server" />
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalDetectedMedia" runat="server"></asp:Literal>
                        </h5>
                        <table class="groupslist" style="width: 100%; padding-left: 10px; padding-right: 10px;">
                            <thead>
                                <asp:Literal ID="mediaHeaderLiteral" runat="server"></asp:Literal>
                            </thead>
                            <tbody>
                                <ucMediaStatus:MediaStatus ID="msEthernet" runat="server" AutoPostBack="False" />
                                <ucMediaStatus:MediaStatus ID="msPhonePSTN" runat="server" AutoPostBack="False" />
                                <ucMediaStatus:MediaStatus ID="msPSTNDialUp" runat="server" AutoPostBack="False" />
                                <ucMediaStatus:MediaStatus ID="msPhoneGSM" runat="server" AutoPostBack="False" />
                                <ucMediaStatus:MediaStatus ID="msGSMDialUp" runat="server" AutoPostBack="False" />
                                <ucMediaStatus:MediaStatus ID="msGPRSDialUp" runat="server" AutoPostBack="False" />
                                <ucMediaStatus:MediaStatus ID="msSMS" runat="server" AutoPostBack="False" />
                            </tbody>
                        </table>
                        <asp:Button ID="buttonRescan" runat="server" OnClick="buttonRescan_Click"></asp:Button>
                    </blockquote>
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalEmailMediaPriority" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsDropDownList:SettingsDropDownList ID="ddlEmailPrimaryMedium" runat="server"
                                AutoPostBack="False" />
                            <ucSettingsDropDownList:SettingsDropDownList ID="ddlEmailSecondaryMedium" runat="server"
                                AutoPostBack="False" />
                        </table>
                    </blockquote>
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalPhoneMediaPriority" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsDropDownList:SettingsDropDownList ID="ddlPhonePrimaryMedium" runat="server"
                                AutoPostBack="False" />
                            <ucSettingsDropDownList:SettingsDropDownList ID="ddlPhoneSecondaryMedium" runat="server"
                                AutoPostBack="False" />
                        </table>
                    </blockquote>
                    <p />
                    <blockquote class="detail" style="width: 60%; float: left; clear: both;">
                        <h5>
                            <asp:Literal ID="literalPSTNDialUpDetails" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsBoolean:SettingsBoolean id="PSTNDialUpEnabled" runat="server" />
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="PSTNDialUpNumber" />
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="PSTNDialUpUser" />
                            <ucSettingsText:SettingsText MaxLength="128" IsPasswordTypeText="true" runat="server"
                                id="PSTNDialUpPassword" />
                        </table>
                    </blockquote>
                    <blockquote id="boxTestUtility" style="width: 38%; float: right;">
                        <h5>
                            <asp:Literal ID="literalPSTNDialUpTest" runat="server" /></h5>
                        <table>
                            <tr>
                                <td colspan="2">
                                    <span id="testSpanPstn">
                                        <asp:Literal ID="literalPSTNDialUpTestResult" runat="server" />
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                    <p />
                    <blockquote class="detail" style="width: 60%; float: left; clear: both;">
                        <h5>
                            <asp:Literal ID="literalGSMDialUpDetails" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsBoolean:SettingsBoolean id="GSMDialUpEnabled" runat="server" />
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="GSMDialUpNumber" />
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="GSMDialUpUser" />
                            <ucSettingsText:SettingsText MaxLength="128" IsPasswordTypeText="true" runat="server"
                                id="GSMDialUpPassword" />
                        </table>
                    </blockquote>
                    <blockquote id="boxTestUtility" style="width: 38%; float: right;">
                        <h5>
                            <asp:Literal ID="literalGSMDialUpTest" runat="server" /></h5>
                        <table>
                            <tr>
                                <td colspan="2">
                                    <span id="testSpanGSM">
                                        <asp:Literal ID="literalGSMDialUpTestResult" runat="server" />
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                    <p />
                    <blockquote class="detail" style="width: 60%; float: left; clear: both;">
                        <h5>
                            <asp:Literal ID="literalGPRSDialUpDetails" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <ucSettingsBoolean:SettingsBoolean id="GPRSDialUpEnabled" runat="server" />
                            <ucSettingsText:SettingsText MaxLength="128" runat="server" id="GPRSDialUpAPN" />
                        </table>
                    </blockquote>
                    <blockquote id="boxTestUtility" style="width: 38%; float: right;">
                        <h5>
                            <asp:Literal ID="literalGPRSDialUpTest" runat="server" /></h5>
                        <table>
                            <tr>
                                <td colspan="2">
                                    <span id="testSpanGPRS">
                                        <asp:Literal ID="literalGPRSDialUpTestResult" runat="server" />
                                    </span>
                                </td>
                            </tr>
                        </table>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>