<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Networks_DeviceTemplates.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_DeviceTemplates" %>

<%@ Register Src="~/UC/SubtabMenuNetworks.ascx" TagName="SubtabMenuNetworks" TagPrefix="uc1" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>

<asp:Content ContentPlaceHolderID="CssArea" runat="server" ID="ContentCSS">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FilterArea" runat="server">
    <ucNetworkFilter:NetworkFilter ID="NetworkFilter1" runat="server" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" GridEditingVisible="false" GridManageInterfacesVisible="false"
        GridTemplatesVisible="true" ApplyControllerTemplateVisible="true" SelectionCommandsVisible="true" GridExplorationVisible="false" GridFilterVisible="true"
        TakeSnapshotVisible="false" ApplySnapshotVisible="false" runat="server" />
</asp:Content>

<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server"> 
    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA["
        window.addEvent('domready', function () {

            document.getElements('span.spanLinkClass').each(function (spn) {
                if (spn.innerHTML.length < 1) {
                    var myTr = spn.getParent().getParent('tr');
                    myTr.setStyle('display', 'none');
                }
            });

        });
        //]]>
    </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />
    <!-- ### WAIT-UPLOADING ### -->
    <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
        </p>
    </div>
    <div id="box">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordDetail">
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxSelectTemplate" runat="server"></asp:Literal>
                        </h5>
                        <table>
                            <tr>
                                <td id="tdCancel" colspan="4">
                                    <a href="Networks_DeviceTemplates.aspx?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                        <asp:Literal ID="litCancelUpgrade" runat="server" />
                                    </a>
                                </td>
                            </tr>
                            <ucUpdateFileUpload:UpdateFileUpload id="uploadNamingRules" runat="server" />
                            <asp:Literal ID="litNamingRules" runat="server" />
                            <tr runat="server" id="tdSelectTemplate">
                                <td></td>
                                <td>
                                    <asp:Literal ID="litTemplate" runat="server" />
                                </td>
                                <td>
                                    <asp:DropDownList runat="server" ID="DDLTemplates" />
                                </td>
                                <td></td>
                            </tr>
                        </table>
                    </blockquote>
                    <blockquote class="detail">
                        <h5>
                            <asp:Literal ID="literalBoxSelectDevice" runat="server"></asp:Literal>
                        </h5>
                        <div>
                            <uc2:NetworksGrid ID="NetworksGrid1" runat="server" level2checkedononline="true"
                                level3checkedononline="true" />
                        </div>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <uc1:SubtabMenuNetworks ID="SubtabMenuNetworks1" runat="server" />
</asp:Content>