<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Discover_02" %>

<%@ Register Src="~/UC/SubtabMenuNetworks.ascx" TagName="SubtabMenuNetworks" TagPrefix="uc1" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" BackVisible="true" GridFilterVisible="true"
        GridScanningVisible="true" GridEditingVisible="true" SelectionCommandsVisible="true" runat="server" />
</asp:Content>

<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FilterArea" runat="server">
    <ucNetworkFilter:NetworkFilter ID="NetworkFilter1" runat="server" />
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
    <link rel="stylesheet" href="/media/css/styleScrollableGrid.css" type="text/css" media="screen" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
    <uc2:NetworksGrid ID="NetworksGrid1" Level2CheckedOnState="true" runat="server" />

    <script language="JavaScript" type="text/JavaScript">
        //<![CDATA[

        window.addEvent('domready', function () {

            //networkExt.gridExt.initialize();
            var _linkButtonContextActionSaveNetworkDiscovery = $$('a.watGridSave')[0];

            //alert('1:  ' + _linkButtonContextActionSaveNetworkDiscovery);

            if (_linkButtonContextActionSaveNetworkDiscovery) {
                _linkButtonContextActionSaveNetworkDiscovery.addEvent('click', onContextActionSaveNetworkDiscovery);
                _linkButtonContextActionSaveNetworkDiscovery.onclick = function () { return false; };
            }

            function onContextActionSaveNetworkDiscovery() {
               // _linkButtonContextActionSaveNetworkDiscovery = $$('a.watGridSave')[0];
               // alert('2:  ' + _linkButtonContextActionSaveNetworkDiscovery);
                networkExt.genericPopup.openPopup("../UC/PopupGenericFrameWait.aspx", 350, 300, true);
                __doPostBack(_linkButtonContextActionSaveNetworkDiscovery.id, '');
            }
        });

        //]]>
    </script>

</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <uc1:SubtabMenuNetworks ID="SubtabMenuNetworks1" runat="server" IsLocked="true" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>