<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Offline.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Offline" %>

<%@ Register Src="~/UC/SubtabMenuNetworks.ascx" TagName="SubtabMenuNetworks" TagPrefix="uc1" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/NetworkFilter.ascx" TagName="NetworkFilter" TagPrefix="ucNetworkFilter" %>
<%@ Register Src="~/Settings/Networks_Offline_UcToolbar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/PopupStartStop.ascx" TagName="PopupStartStop" TagPrefix="ucPopupStartStop" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>
<%@ Register Src="~/UC/LiteralPageJsonStartupData.ascx" TagName="jsonLiteral" TagPrefix="ucStartUpData" %>

 <asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/offlinenetworks.js"></script> 
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">


        <style type="text/css">
        
            table.sgnDevicesTable tr.row-selected th, 
            table.sgnDevicesTable tr.row-selected td {
                background-color:#FFFF99 /* #f7f75a; */
            }

            .filter-area-edit-button {
                    width: 22px;
                    height: 22px;
                    background-position: 4px 2px;
                    background-repeat: no-repeat;
                    border: 0px solid;
                    background-color: transparent;
                    cursor: pointer;
                    margin: 2px;
                    outline: none;
            }

            

        a.watInterfaceAdd {
                background-image: url(/media/img/Toolbar/SaveData.png);
        }

        a.button-with-image:hover {
            color: #DE701D;
        }

        a.button-with-image {
            height: 18px;
            margin: 8px 10px 0px 10px;
            padding: 6px 15px 6px 28px;
            display: -moz-inline-stack;
            display: inline-block;
            font-size: 10px;
            line-height: 10px;
            font-weight: bold;
            color: #333333;
            background-color: transparent;
            background-repeat: no-repeat;
            background-position: 6px 4px;
        }

        #ButtonManageOfflineSite {
                background-image: url('/media/img/Networks/Devices/EditDevice.png');
            }

        #ButtonTemplateImportExport {
                background-image: url('/media/img/Networks/Devices/EditDevice.png');
            } 

        </style>

    <ucToolBar:ToolBar ID="ToolBar1" runat="server" />

</asp:Content>

<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <asp:Literal ID="modalPopupCSSLink" runat="server"></asp:Literal>
    <link rel="stylesheet" href="/media/css/styleScrollableGrid.css" type="text/css" media="screen" />
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupStartStop:PopupStartStop runat="server" ID="popupStartStop" />
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FilterArea" runat="server">

     <h6><asp:Label ID="LabelOfflineSite" runat="server"></asp:Label></h6>
        <table class="selectors">
            <tr>
                <td>
                    <asp:DropDownList  ID="DropDownListOfflineSiteSelection" OnSelectedIndexChanged="DropDownListOfflineSiteSelection_SelectedIndexChanged"  AutoPostBack="true"
                        runat="server"></asp:DropDownList>
                </td>
            </tr>
            <tr>
                 <td>
                    <asp:LinkButton  runat="server" ID="ButtonManageOfflineSite" class="button-with-image"/>
                </td>
            </tr>
           
        </table>

     <h6><asp:Label ID="LabelApplicationTemplateHeader" runat="server"></asp:Label></h6>
        <table class="selectors">
            <tr>
                <td>
                    <select id="selectTemplate" name="selectTemplate">

                    </select>
                </td>
            </tr>
             <tr>
                <td>
                  <!-- watTemplateImportExport is required for wiring click event -->
                  <asp:LinkButton ID="ButtonTemplateImportExport" runat="server" Visible="True" CssClass="button-with-image watTemplateImportExport" />
                </td>
            </tr>
        </table>


    <ucNetworkFilter:NetworkFilter ID="NetworkFilter1" runat="server" />

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <ucStartUpData:jsonLiteral runat="server" ID="LiteralJsStartupData"></ucStartUpData:jsonLiteral>

    <script language="JavaScript" type="text/JavaScript">
            //<![CDATA[

        window.addEvent('domready', function () {
            offlineNetworkExt.Helpers.initialize(startUpData.isOffline);
            networkExt.gridExt.initialize();
        });

           var networkExt = networkExt || {};

           networkExt.gridExt = (function () {  // networkExt.gridExt BEGIN

               // PRIVATE FIELDS
               var _selectTemplates = null;
               var _linkButtonGridExpandAll = null;
               var _linkButtonGridCollapseAll = null; 
               var _linkButtonGridClearFilter = null;
               var _linkButtonContextActionApplyTemplateToDevices = null;
               var _linkButtonContextDeleteTemplate = null;
               var _linkButtonContextActionSaveDevicesDescription = null;
               var _linkButtonContextActionCopyDevice = null;
               var _linkButtonContextActionDeleteDevices = null;
               var _linkButtonContextActionCancel = null;
               var _linkButtonEditDevicesDescription = null;
               var _linkButtonDeleteDevices = null;
               var _linkButtonImportExportTemplate = null; 
               // new for offline network
               var _linkButtonInterfaceAdd = null;  
               var _linkButtonDeviceAdd = null;
               var _linkButtonApplyNetwork = null;
               var _buttonManageOfflineSite = null;

               // acquisition running is a special state wich disables 
               var STATE_ACQUISITION_RUNNING = "state_acquisition_running";
               // the initial state when acquisition is not running
               var STATE_INITIAL = "state_initial";
               // the combo templete has a selection
               var STATE_TEMPLATE_SELECTED = "state_template_selected";
               // the used clicked edit on the toolbar
               var STATE_EDIT = "state_edit";
               // the used clicked remove devices on the toolbar
               var STATE_DELETE_DEVICES = "state_delete_devices";
               // the user clicked on a row copy icon
               var STATE_COPYING = "state_copying";

               var _state = STATE_ACQUISITION_RUNNING; // initial default state, is suddenly modified in initialize

               return {
                   initialize: initialize,
               }

               function initialize() {

                   _selectTemplates = document.getElement('#selectTemplate');
                   _linkButtonGridExpandAll = $$('.watGridExpandAll')[0];
                   _linkButtonGridCollapseAll = $$('.watGridCollapseAll')[0];
                   _linkButtonGridClearFilter = document.getElement('td.dosome a.watGridClearFilter');

                   _linkButtonContextActionApplyTemplateToDevices = $$('a.watContextActionApplyTemplateToDevices')[0];
                   _linkButtonContextDeleteTemplate               = $$('a.watGenericDelete')[0];
                   _linkButtonContextActionSaveDevicesDescription = $$('a.watContextActionSaveDevicesDescription')[0];
                   _linkButtonContextActionCopyDevice             = $$('a.watContextActionCopyDevice')[0];
                   _linkButtonContextActionDeleteDevices          = $$('a.watContextActionDeleteDevices')[0];
                   _linkButtonContextActionCancel                 = $$('a.watContextActionCancel')[0];

                   _linkButtonEditDevicesDescription = $$('a.watEditDevicesDescription')[0];
                   _linkButtonDeleteDevices = $$('a.watDeleteDevices')[0];
                   _linkButtonImportExportTemplate = $$('a.watTemplateImportExport')[0]; 

                   // 
                   _linkButtonInterfaceAdd = $$('a.watInterfaceAdd')[0];
                   _linkButtonDeviceAdd = $$('a.watDeviceAdd')[0];
                   _linkButtonApplyNetwork = $$('a.watApplyOfflineNetwork')[0];
                   _buttonManageOfflineSite = $$('#ButtonManageOfflineSite')[0];

                   wireToolbarEvent();
                   wireEditAndCopyDeviceInGridRowButtonClickedEvent();
                   wireDeviceCheckboxCheckedCahngedEvent();

                   fillTemplateDropDownAndWireEvents();

                   setStateByUserInput();
                   setVisibilityByState();
               }

               // EVENT WIRING     

               function fillTemplateDropDownAndWireEvents() {
                   // first row "initialEmptyTemplate" is always present
                   var optionEl = new Element('option', {
                       html: startUpData.initialEmptyTemplate.TemplateName,
                       value: -1 // a value to detect the initialEmptyTemplate
                   });
                   optionEl.inject(_selectTemplates);

                   var index = 0; // correspond to the zero based position on array of templates

                   startUpData.templates.each(function (template) {
                       var optionEl = new Element('option', {
                           html: template.TemplateName,
                           value: index
                       });

                       optionEl.inject(_selectTemplates);

                       index++;
                   });

                   // wire the event after the select was popupulated by data
                   _selectTemplates.addEvent('change', function (event) {
                       setStateByUserInput();
                       setVisibilityByState();
                   });

               } // fillTemplateDropDownAndWireEvents

               function wireToolbarEvent() {
                   if (_linkButtonContextActionCancel) {
                       _linkButtonContextActionCancel.addEvent('click', onContextActionCancel);
                       _linkButtonContextActionCancel.onclick = function () { return false; };
                   }

                   if (_linkButtonContextActionApplyTemplateToDevices) {
                       _linkButtonContextActionApplyTemplateToDevices.addEvent('click', onContextActionApplyTemplateToDevices);
                       _linkButtonContextActionApplyTemplateToDevices.onclick = function () { return false; };
                   }

                   if (_linkButtonContextDeleteTemplate) {
                       _linkButtonContextDeleteTemplate.addEvent('click', onContextActionDeleteTemplate);
                       _linkButtonContextDeleteTemplate.onclick = function () { return false; };
                   }

                   if (_linkButtonContextActionSaveDevicesDescription) {
                       _linkButtonContextActionSaveDevicesDescription.addEvent('click', onContextActionSaveDevicesDescription);
                       _linkButtonContextActionSaveDevicesDescription.onclick = function () { return false; };
                   }

                   if (_linkButtonContextActionCopyDevice) {
                       _linkButtonContextActionCopyDevice.addEvent('click', onContextActionCopyDevice);
                       _linkButtonContextActionCopyDevice.onclick = function () { return false; };
                   }

                   if (_linkButtonContextActionDeleteDevices) {
                       _linkButtonContextActionDeleteDevices.addEvent('click', onContextActionDeleteDevices);
                       _linkButtonContextActionDeleteDevices.onclick = function () { return false; };
                   }
                   
                   if (_linkButtonEditDevicesDescription) {
                       _linkButtonEditDevicesDescription.addEvent('click', onEditDevicesDescription);
                       _linkButtonEditDevicesDescription.onclick = function () { return false; };
                   }

                   if (_linkButtonDeleteDevices) {
                       _linkButtonDeleteDevices.addEvent('click', onDeleteDevices);
                       _linkButtonDeleteDevices.onclick = function () { return false; };
                   }

                   if (_linkButtonImportExportTemplate) {
                       _linkButtonImportExportTemplate.addEvent('click', onImportExportTemplate);
                       _linkButtonImportExportTemplate.onclick = function () { return false; };
                   } 

                   if (_linkButtonInterfaceAdd) {
                       _linkButtonInterfaceAdd.addEvent('click', onEditInterfaceInToolbarButtonClicked);
                       _linkButtonInterfaceAdd.onclick = function () { return false; };
                   }

                   if (_linkButtonDeviceAdd) {
                       _linkButtonDeviceAdd.addEvent('click', onAddDeviceInToolbarButtonClicked);
                       _linkButtonDeviceAdd.onclick = function () { return false; };
                   }

                   if (_linkButtonApplyNetwork) {
                       _linkButtonApplyNetwork.addEvent('click', onApplyNetworkToolbarButtonClicked);
                       _linkButtonApplyNetwork.onclick = function () { return false; };
                   }

                   if (_buttonManageOfflineSite)
                   {
                       _buttonManageOfflineSite.addEvent('click', onButtonManageOfflineSiteClicked);
                       _buttonManageOfflineSite.onclick = function () { return false; };
                   }
               }

               function wireEditAndCopyDeviceInGridRowButtonClickedEvent()
               {
                   $$('.edit-device').addEvent('click', onEditDeviceInGridRowButtonClicked);
                   $$('.copy-device').addEvent('click', onCopyDeviceInGridRowButtonClicked);
                   $$('.edit-interface').addEvent('click', onEditInterfaceInGridRowButtonClicked);
               }

               function wireDeviceCheckboxCheckedCahngedEvent() {
                   $$('.sgnSelector').addEvent('click', function (e) {
                       onDeviceCheckboxChechedChanged(e.target);
                   });
               }

               // FUNCTION THAT RESPONDS TO WIRED EVENTS


               function onContextActionCancel()
               {
                   _selectTemplates.set('value', -1);
                   setStateByUserInput();
                   setVisibilityByState();
               }

               function onEditDevicesDescription()
               {
                   _state = STATE_EDIT;
                   setVisibilityByState();
               }

               function onDeleteDevices()
               {
                   _state = STATE_DELETE_DEVICES;
                   setVisibilityByState();
               }


               function onImportExportTemplate()
               {
                   networkExt.genericPopup.openPopup("Networks_Physical_PopupImportExportTemplate.aspx", 700, 500, false, true);
               }

               function onEditDeviceInGridRowButtonClicked(item) {
                   var deviceId = item.target.id.replace("editdev", ""); // item.target.id = editdev0.00_01
                   networkExt.genericPopup.openPopup("Networks_Offline_PopupEditDevice.aspx?deviceIdForEdit=" + deviceId, 860, 500, false, true);
               }

               function onEditInterfaceInGridRowButtonClicked(item) {
                   var interfaceId = item.target.id.replace("editinterface", ""); // item.target.id = editinterface999
                   openEditInterfacePopup(interfaceId);
               }

               function onEditInterfaceInToolbarButtonClicked() {
                   var interfaceId = -1; // interface id -1 means 'new'
                   openEditInterfacePopup(interfaceId);
               }

               function openEditInterfacePopup(interfaceId) {
                   networkExt.genericPopup.openPopup("Networks_Offline_PopupAddEditInterface.aspx?interfaceIdForEdit=" + interfaceId, 700, 380, true);
               }

               function onAddDeviceInToolbarButtonClicked() {
                   networkExt.genericPopup.openPopup("Networks_Offline_PopupAddDevice.aspx", 700, 500, false, true);
               }

               function onApplyNetworkToolbarButtonClicked() {

                   if (confirm(startUpData.startScanConfirmMessage)) {
                       // networkExt.genericPopup.openPopup("Networks_Offline_DiscoverProgress.aspx", 700, 500, false, true);
                       networkExt.genericPopup.openPopup("Networks_Offline_DiscoverStart.aspx", 900, 500, false, true);
                   }
               }

               function onButtonManageOfflineSiteClicked() {
                   networkExt.genericPopup.openPopup("Networks_Offline_PopupManageOfflineSites.aspx", 700, 500, false, true);
               }
                
               function onCopyDeviceInGridRowButtonClicked(item) {

                   var inputItem = item.target;
                   var rowItem = inputItem.parent;
                   var tdItem = inputItem.parentElement;
                   rowItem.addClass("row-highlighted-for-copy");

                   _state = STATE_COPYING;
                   setVisibilityByState();
               }

               function onDeviceCheckboxChechedChanged(itemInput) {
                    
                   var itemTd = itemInput.parentElement;

                   var parentRow = itemInput.parent;
                   if (itemInput.checked) {
                       if (_state == STATE_COPYING)
                           parentRow.addClass('row-selected-for-paste');
                       else
                           parentRow.addClass('row-selected');
                   }
                   else {
                       parentRow.removeClass('row-selected');
                       parentRow.removeClass('row-selected-for-paste');
                   }
               }

               // FUNCTION THAT RESPONDS TO WIRED EVENTS (WRAPPING A POSTBACK)
                
               function onContextActionSaveDevicesDescription()
               {
                   networkExt.genericPopup.openPopup("../UC/PopupGenericFrameWait.aspx", 350, 300, true);
                   
                   __doPostBack(_linkButtonContextActionSaveDevicesDescription.id, '');
               }

               function onContextActionCopyDevice() {

                   // deviceIdComplete is ifc0:dev0.00_01
                   var deviceIdComplete = $$('.row-highlighted-for-copy')[0].id;
                   // deviceId is 0.00_01
                   var deviceId = deviceIdComplete.split(':')[1].replace('dev', '');
                    
                   networkExt.genericPopup.openPopup("../UC/PopupGenericFrameWait.aspx", 350, 300, true);
                    
                   __doPostBack(_linkButtonContextActionCopyDevice.id, 'deviceId:' + deviceId); 
               }

               function onContextActionDeleteDevices() {
                   // its a fast operation, no need to wait panel
                   // networkExt.genericPopup.openPopup("../UC/PopupGenericFrameWait.aspx", 350, 300, true);

                   __doPostBack(_linkButtonContextActionDeleteDevices.id, '');
               }

               function onContextActionApplyTemplateToDevices()
               {
                   // alert('onDeleteTemplate');
                   var index = _selectTemplates.value;
                   if (index < 0) {
                       console.log('not valid template index');
                       return;
                   }

                   networkExt.genericPopup.openPopup("../UC/PopupGenericFrameWait.aspx", 350, 300, true);

                   var template = startUpData.templates[index];
                   __doPostBack(_linkButtonContextActionApplyTemplateToDevices.id, 'templateId:' + template.TemplateIndex);
               }

               function onContextActionDeleteTemplate()
               {
                   // alert('onDeleteTemplate');
                   var index = _selectTemplates.value;
                   if (index < 0) {
                       console.log('not valid template index');
                       return;
                   }

                   networkExt.genericPopup.openPopup("../UC/PopupGenericFrameWait.aspx", 350, 300, true);

                   var template = startUpData.templates[index];
                   __doPostBack(_linkButtonContextDeleteTemplate.id, 'templateId:' + template.TemplateIndex);
               }

               // UI STATE MACHINE CONTROLLER

               function setStateByUserInput() {

                   if (startUpData.acquisitionRunning) {
                       _state = STATE_ACQUISITION_RUNNING; 
                   }
                   else {
                       // get the dropdown state and the textbox state
                       var selectedValue = _selectTemplates.value;

                       if (selectedValue == -1) {
                           _state = STATE_INITIAL;
                       }
                       else {
                           _state = STATE_TEMPLATE_SELECTED;
                       }
                   } 
               }

               function setVisibilityByState() {
                   switch (_state) {
                       case STATE_ACQUISITION_RUNNING:
                           _linkButtonGridExpandAll.setStyle('display', '');
                           _linkButtonGridCollapseAll.setStyle('display', '');
                           _linkButtonGridClearFilter.setStyle('display', 'none');
                           _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                           _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                           _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                           _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                           _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                           _linkButtonContextActionCancel.setStyle('display', 'none');
                           _linkButtonEditDevicesDescription.setStyle('display', 'none');
                           _linkButtonDeleteDevices.setStyle('display', 'none');
                           _linkButtonImportExportTemplate.setStyle('display', ''); 

                           _linkButtonInterfaceAdd.setStyle('display', 'none');
                           _linkButtonDeviceAdd.setStyle('display', 'none');
                           _linkButtonApplyNetwork.setStyle('display', 'none');

                           _selectTemplates.set('disabled', 'disabled');
                           setGridCheckVisibilityAndRowSelectionForCopy(false, false);
                           setGridTextEditMode(false);
                           setCopyEditButtonVisibility(false);
                           break;
                       case STATE_INITIAL:
                           _linkButtonGridExpandAll.setStyle('display', '');
                           _linkButtonGridCollapseAll.setStyle('display', '');
                           _linkButtonGridClearFilter.setStyle('display', 'none');
                           _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                           _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                           _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                           _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                           _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                           _linkButtonContextActionCancel.setStyle('display', 'none');
                           _linkButtonEditDevicesDescription.setStyle('display', '');
                           _linkButtonDeleteDevices.setStyle('display', '');
                           _linkButtonImportExportTemplate.setStyle('display', ''); 

                           _linkButtonInterfaceAdd.setStyle('display', '');
                           _linkButtonDeviceAdd.setStyle('display', '');
                           _linkButtonApplyNetwork.setStyle('display', '');

                           _selectTemplates.erase('disabled', '');
                           setGridCheckVisibilityAndRowSelectionForCopy(false, false);
                           setGridTextEditMode(false);
                           setCopyEditButtonVisibility(true);
                           break;
                       case STATE_TEMPLATE_SELECTED:
                           _linkButtonGridExpandAll.setStyle('display', 'none');
                           _linkButtonGridCollapseAll.setStyle('display', 'none');
                           _linkButtonGridClearFilter.setStyle('display', 'none');
                           _linkButtonContextActionApplyTemplateToDevices.setStyle('display', '');
                           _linkButtonContextDeleteTemplate.setStyle('display', 'none'); // button is now invisible, this funcion was moved to popup
                           _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                           _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                           _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                           _linkButtonContextActionCancel.setStyle('display', '');
                           _linkButtonEditDevicesDescription.setStyle('display', 'none');
                           _linkButtonDeleteDevices.setStyle('display', 'none');
                           _linkButtonImportExportTemplate.setStyle('display', 'none'); 

                           _linkButtonInterfaceAdd.setStyle('display', 'none');
                           _linkButtonDeviceAdd.setStyle('display', 'none');
                           _linkButtonApplyNetwork.setStyle('display', 'none');

                           _selectTemplates.erase('disabled', '');
                           setGridCheckVisibilityAndRowSelectionForCopy(true, false);
                           setGridTextEditMode(false);
                           setCopyEditButtonVisibility(false);
                           break;
                       case STATE_EDIT:
                           _linkButtonGridExpandAll.setStyle('display', 'none');
                           _linkButtonGridCollapseAll.setStyle('display', 'none');
                           _linkButtonGridClearFilter.setStyle('display', 'none');
                           _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                           _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                           _linkButtonContextActionSaveDevicesDescription.setStyle('display', '');
                           _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                           _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                           _linkButtonContextActionCancel.setStyle('display', '');
                           _linkButtonEditDevicesDescription.setStyle('display', 'none');
                           _linkButtonDeleteDevices.setStyle('display', 'none');
                           _linkButtonImportExportTemplate.setStyle('display', 'none'); 

                           _linkButtonInterfaceAdd.setStyle('display', 'none');
                           _linkButtonDeviceAdd.setStyle('display', 'none');
                           _linkButtonApplyNetwork.setStyle('display', 'none');

                           _selectTemplates.set('disabled', 'disabled');
                           setGridCheckVisibilityAndRowSelectionForCopy(false, false);
                           setGridTextEditMode(true);
                           setCopyEditButtonVisibility(false);
                           break;
                       case STATE_DELETE_DEVICES:
                           _linkButtonGridExpandAll.setStyle('display', 'none');
                           _linkButtonGridCollapseAll.setStyle('display', 'none');
                           _linkButtonGridClearFilter.setStyle('display', 'none');
                           _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                           _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                           _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                           _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                           _linkButtonContextActionDeleteDevices.setStyle('display', '');
                           _linkButtonContextActionCancel.setStyle('display', '');
                           _linkButtonEditDevicesDescription.setStyle('display', 'none');
                           _linkButtonDeleteDevices.setStyle('display', 'none');
                           _linkButtonImportExportTemplate.setStyle('display', 'none'); 

                           _linkButtonInterfaceAdd.setStyle('display', 'none');
                           _linkButtonDeviceAdd.setStyle('display', 'none');
                           _linkButtonApplyNetwork.setStyle('display', 'none');

                           _selectTemplates.set('disabled', 'disabled');
                           setGridCheckVisibilityAndRowSelectionForCopy(true, false);
                           setGridTextEditMode(false);
                           setCopyEditButtonVisibility(false);
                           break;

                       case STATE_COPYING:
                           _linkButtonGridExpandAll.setStyle('display', 'none');
                           _linkButtonGridCollapseAll.setStyle('display', 'none');
                           _linkButtonGridClearFilter.setStyle('display', 'none');
                           _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                           _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                           _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                           _linkButtonContextActionCopyDevice.setStyle('display', '');
                           _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                           _linkButtonContextActionCancel.setStyle('display', '');
                           _linkButtonEditDevicesDescription.setStyle('display', 'none');
                           _linkButtonDeleteDevices.setStyle('display', 'none');
                           _linkButtonImportExportTemplate.setStyle('display', 'none'); 

                           _linkButtonInterfaceAdd.setStyle('display', 'none');
                           _linkButtonDeviceAdd.setStyle('display', 'none');
                           _linkButtonApplyNetwork.setStyle('display', 'none');

                           _selectTemplates.set('disabled', 'disabled');
                           setGridCheckVisibilityAndRowSelectionForCopy(true, true);
                           setGridTextEditMode(false);
                           setCopyEditButtonVisibility(false);
                           break;
                   }

                   // setAdditionalVisibilitiesWhenGridEmpty

                   if ($$('tr.hdwInterface').length == 0) {
                       _linkButtonGridExpandAll.setStyle('display', 'none');
                       _linkButtonGridCollapseAll.setStyle('display', 'none');
                       _linkButtonGridClearFilter.setStyle('display', 'none');
                       _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                       _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                       _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                       _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                       _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                       _linkButtonContextActionCancel.setStyle('display', 'none');
                       _linkButtonEditDevicesDescription.setStyle('display', 'none');
                       _linkButtonDeleteDevices.setStyle('display', 'none');
                       _linkButtonImportExportTemplate.setStyle('display', 'none');

                       _linkButtonInterfaceAdd.setStyle('display', ''); // VISIBLE !!
                       _linkButtonDeviceAdd.setStyle('display', 'none');
                       _linkButtonApplyNetwork.setStyle('display', 'none');

                       _selectTemplates.set('disabled', 'disabled');
                       setGridCheckVisibilityAndRowSelectionForCopy(false, false);
                       setGridTextEditMode(false);
                       setCopyEditButtonVisibility(true);
                   }
                   else if ($$('tr.hdwDevice').length == 0) {
                       _linkButtonGridExpandAll.setStyle('display', 'none');
                       _linkButtonGridCollapseAll.setStyle('display', 'none');
                       _linkButtonGridClearFilter.setStyle('display', 'none');
                       _linkButtonContextActionApplyTemplateToDevices.setStyle('display', 'none');
                       _linkButtonContextDeleteTemplate.setStyle('display', 'none');
                       _linkButtonContextActionSaveDevicesDescription.setStyle('display', 'none');
                       _linkButtonContextActionCopyDevice.setStyle('display', 'none');
                       _linkButtonContextActionDeleteDevices.setStyle('display', 'none');
                       _linkButtonContextActionCancel.setStyle('display', 'none');
                       _linkButtonEditDevicesDescription.setStyle('display', 'none');
                       _linkButtonDeleteDevices.setStyle('display', 'none');
                       _linkButtonImportExportTemplate.setStyle('display', 'none');

                       _linkButtonInterfaceAdd.setStyle('display', ''); // VISIBLE !!
                       _linkButtonDeviceAdd.setStyle('display', '');    // VISIBLE !!
                       _linkButtonApplyNetwork.setStyle('display', 'none');

                       _selectTemplates.set('disabled', 'disabled');
                       setGridCheckVisibilityAndRowSelectionForCopy(false, false);
                       setGridTextEditMode(false);
                       setCopyEditButtonVisibility(true);
                   }
               }

               // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS

               function setGridCheckVisibilityAndRowSelectionForCopy(checkVisibile, keepRowSelectionForCopy) {

                   var items = $$('.sgnSelector');

                   items.each(function (item) {

                       item.parent.removeClass('row-selected');
                       item.parent.removeClass('row-selected-for-paste');

                       if (!keepRowSelectionForCopy)
                           item.parent.removeClass('row-highlighted-for-copy');
                            

                       if (checkVisibile) {
                           item.setStyle('visibility', 'visible');
                           item.removeAttribute('disabled');
                           item.checked = false;
                       }
                       else {
                           item.setStyle('visibility', 'collapse');
                       }
                   });
               }

               function setGridTextEditMode(enable) {

                   var grid = $$('.sgnInterfacesTable')[0];

                   if (grid) {
                       var elements = grid.getElements('input[type=text]');
                       if (enable) {
                           elements.each(function (item) {
                               item.removeAttribute('disabled');
                           });
                       }
                       else {
                           elements.each(function (item) {
                               item.set('disabled', 'disabled');
                               item.setStyle('color', 'black'); // disabled makes text gray, we want black
                               item.set('value', item.get('data-original'));
                           });
                       }
                   } // if grid
               }

               function setCopyEditButtonVisibility(enable)
               {
                   //copy-edit-button in device row
                   var newValue = (enable) ? '' : 'collapse';
                   $$('.sgnDevicesTable input.copy-edit-button').setStyle('visibility', newValue);

                   // buttons in interface row
                   $$('tr.hdwInterface input.copy-edit-button').setStyle('visibility', newValue);
               }

                

           })(); // networkExt.gridExt END

            //]]>
        </script>

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />

    <uc2:NetworksGrid ID="NetworksGrid1" runat="server" />

</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <uc1:SubtabMenuNetworks ID="SubtabMenuNetworks1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>