<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Offline_PopupManageOfflineSites.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Offline_PopupManageOfflineSites" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

    <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

    <style type="text/css">

         .generalmessage {
             margin: 5px 30px 0px 10px;
         }

        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }

          .inputArea {
            padding-left:10px;
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            border-bottom: 1px solid #CCCCCC;
        }

         .scrollableContent {
             padding-top:240px;
             padding-right: 28px;
         }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

         #table-offline-site-management {
           
             border: 1px solid #AAAAAA;
             border-top: 0px solid black;
             margin: 10px;
             padding: 0px;
             width: 94%;
         }

             #table-offline-site-management tr th,
             #table-offline-site-management tr td {
                padding:2px;
                padding-left:5px;
                white-space: nowrap;
                background-color: #E4E4E4;
                border-top: 1px solid #AAAAAA;
                /* border-bottom: 1px solid #AAAAAA; */
             }

             #table-offline-site-management thead tr th {
                 height: 16px;
                 font-size: 9px;
                 color: #333333;
                 background-color: #99CCFF;
             }

             #table-offline-site-management tr td {
                 height: 18px;
                 font-size:10px;
                 vertical-align:middle; 
             }

             #table-offline-site-management tbody {
                 cursor:pointer;
             }

             #table-offline-site-management tr.offline-site-selected td {
                 background-color: #FFFF99;
             }

         /* twaek the file upload televisGo usercontrol to hide execute button*/

         td.wdeRecordDetail input[Type="file"] {
             width: 400px;
         }

         td.wdeRecordDetail input[Type="button"] {
             display:none;
         }

     </style>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="LinkButtonSaveNewSite" runat="server" CssClass="watGenericSave" OnClick="LinkButtonSaveNewSite_Click" /> 
           <asp:LinkButton ID="LinkButtonSaveDescriptions" runat="server" CssClass="watGenericSave" OnClick="LinkButtonSaveDescriptions_Click" /> 
           <asp:LinkButton ID="LinkButtonUploadFile" runat="server" CssClass="watLoaddata" /> 
           <asp:LinkButton ID="LinkButtonDownloadFile" runat="server" CssClass="watSavedata" OnClick="LinkButtonDownloadFile_Click" /> 
           <asp:LinkButton ID="LinkButtonDelete" runat="server" CssClass="watGenericDelete" OnClick="LinkButtonDelete_Click" /> 
           <asp:LinkButton ID="LinkButtonCancel" runat="server" CssClass="watGenericUndo" />
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="ilbClose_Click" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                // Private Fields 
                var _divInputAreaTop = null; 
                var _divScrollableContentGrid = null; 

                var _panelWaitMessage = null;
                var _linkButtonSaveNewSite = null;
                var _linkButtonSaveDescriptions = null;
                var _linkButtonDownloadFile = null;
                var _linkButtonUploadFile = null;
                var _linkButtonCancel = null;
                var _linkButtonDelete = null;
                var _linkButtonClose = null;
                var _tableBodySelection = null;
                var _fileToUploadInput = null;
                var _newOfflineSiteNameInput = null; 

                // initial state: no file is selected
                var STATE_INITIAL = "initial"; 
                // when operation in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress"; 
                // the user has imputted some text in the new template box
                var STATE_NEW_SITE_EDITING = "new_site_editing"; 
                // the user has choosen a file to upload
                var STATE_FILE_UPLOADING = "file_uploading"; 
                // the use user selcted a template from the table (not editing, only selection)
                var STATE_SITES_SELECTED = "sites_selected";
                // the user edits site name
                var STATE_SITES_EDITING= "sites_editing";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() {

         
                    _divInputAreaTop = document.getElement('#inputAreaTop');
                    _divScrollableContentGrid = document.getElement('#scrollableContentGrid'); 

                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');
                    _linkButtonSaveNewSite = document.getElement('td.dosome a#LinkButtonSaveNewSite');
                    _linkButtonSaveDescriptions = document.getElement('td.dosome a#LinkButtonSaveDescriptions');
                    _linkButtonDownloadFile = document.getElement('td.dosome a#LinkButtonDownloadFile');
                    _linkButtonUploadFile = document.getElement('td.dosome a#LinkButtonUploadFile');
                    _linkButtonDelete = document.getElement('td.dosome a#LinkButtonDelete');
                    _linkButtonCancel = document.getElement('td.dosome a#LinkButtonCancel');
                    _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                    _tableBodySelection = document.getElement('#tableBodySelection');
                    _fileToUploadInput = $$('td.wdeRecordDetail input[Type="file"]')[0];
                    _newOfflineSiteNameInput = $$('#TextBoxNewOfflineSiteName')[0];
                      
                    wireToolbarEvent();

                    _fileToUploadInput.addEvent('change', function () {
                        setStateByUserInput();
                        setVisibilityByState();
                    });

                    fillTemplateTableAndWireEvents();

                    setStateByUserInput();
                    setVisibilityByState();
                }

                // EVENT WIRING 

                function wireToolbarEvent()
                { 
                    if (_linkButtonClose) {
                        _linkButtonClose.addEvent('click', onClosePopup);
                        _linkButtonClose.onclick = function () { return false; };
                    }

                    if (_linkButtonCancel) {
                        _linkButtonCancel.addEvent('click', onCancel);
                        _linkButtonCancel.onclick = function () { return false; };
                    }

                    if (_linkButtonDelete)
                    {
                        _linkButtonDelete.addEvent('click', onDelete);
                        _linkButtonDelete.onclick = function () { return false; };
                    }

                    if (_linkButtonSaveNewSite) {
                        _linkButtonSaveNewSite.addEvent('click', onSaveNewSite);
                        _linkButtonSaveNewSite.onclick = function () { return false; };
                    }
                     
                    if (_linkButtonSaveDescriptions) {
                        _linkButtonSaveDescriptions.addEvent('click', onSaveDescriptions);
                        _linkButtonSaveDescriptions.onclick = function () { return false; };
                    }

                    if (_linkButtonDownloadFile) {
                        _linkButtonDownloadFile.addEvent('click', onDownloadFile);
                        _linkButtonDownloadFile.onclick = function () { return false; };
                    }

                    if (_linkButtonUploadFile) {
                        _linkButtonUploadFile.addEvent('click', onUploadFile);
                        _linkButtonUploadFile.onclick = function () { return false; };
                    }

                    if (_newOfflineSiteNameInput){
                        _newOfflineSiteNameInput.addEvent('keyup', onNewOfflineSiteNameInputChanged); 
                    }
                     
                } 

                // FUNCTION THAT RESPONDS TO WIRED EVENTS

                function onDelete() {

                    var resp = confirm(startUpData.deleteConfirmMessage);
                    if (resp)
                    {
                        var data = serializeSiteSelectionAndDescription();
                        disableAllBeforePostback();
                        __doPostBack(_linkButtonDelete.id, 'siteIdAndDescriptions:' + data);
                    }
                }

                function onSaveNewSite() {
                    disableAllBeforePostback(); 
                    __doPostBack(_linkButtonSaveNewSite.id, '');
                }

                function onSaveDescriptions() {
                    var data = serializeSiteSelectionAndDescription();
                    disableAllBeforePostback();
                    __doPostBack(_linkButtonSaveDescriptions.id, 'siteIdAndDescriptions:' + data);
                }

                function onUploadFile()
                {
                    disableAllBeforePostback();
                    __doPostBack(_linkButtonUploadFile.id, '');
                }

                function onDownloadFile()
                {
                    var data = serializeSiteSelectionAndDescription();

                    if (data) { // post only if non empty 
                        // disableAllBeforePostback(); do not disable, this is not a real postback it becomes a file download
                        __doPostBack(_linkButtonDownloadFile.id, 'siteIdAndDescriptions:' + data); 
                    }
                }

                function serializeSiteSelectionAndDescription()
                {
                    // alert('onDownloadFile');
                    var idToDownloadCsvList = "";

                    $$('.offline-site-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input[type=radio]');
                        var itemId = itemElement.get('data-value');
                        var textElement = itemElement.getElement('input[type=text]');
                        var itemDescription = textElement.value;

                        if (chkElement.checked) {

                            // concatenate comma if non empty
                            if (idToDownloadCsvList)
                                idToDownloadCsvList = idToDownloadCsvList + ',';

                            // concatenate id
                            idToDownloadCsvList = idToDownloadCsvList + itemId + ':' + itemDescription;
                        }
                    });

                    return idToDownloadCsvList;
                }

                function onClosePopup(item) {
                    // the same command (explained) is injected via server side in generic popup control
                    // this approach is the best because we skip one postback but we reload interely the parent page
                    // so the parent page is anyway refreshed!!!
                    window.parent.location = window.parent.location;
                }

                function onCancel()
                {
                    clearNewSiteTextbox();
                    clearFileToUploadSelection();
                    clearTableSelection();
                    
                    setStateByUserInput();
                    setVisibilityByState();
                }

                function onNewOfflineSiteNameInputChanged()
                {
                    clearFileToUploadSelection();
                    clearTableSelection();

                    setStateByUserInput();
                    setVisibilityByState();
                }

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {

                    // Collect user Input that lead to a state

                    // 1
                    var offlineSiteNewNameEditing = false;
                    if (_newOfflineSiteNameInput.value && _newOfflineSiteNameInput.value.length > 0) {
                        offlineSiteNewNameEditing = true;
                    }

                    // 2
                    var offlineSiteToDownloadSelected = false;
                    if (_fileToUploadInput.value && _fileToUploadInput.value.length > 0) {
                        offlineSiteToDownloadSelected = true;
                    }

                    // 3
                    var someRowSelected = false;
                    var someRowSelectedAndEditing = false;
                    $$('.offline-site-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input');
                        someRowSelected = someRowSelected || chkElement.checked;

                        var textElement = itemElement.getElement('input[type=text]');
                        var originalValue = textElement.get('data-text');
                        var editingValue = textElement.value;
                        if (originalValue != editingValue)
                            someRowSelectedAndEditing = true;
                    });

                    // waterfall approach...
                    if (offlineSiteNewNameEditing) {
                        // clearNewSiteTextbox();  NO!
                        clearFileToUploadSelection();
                        clearTableSelection();

                        _state = STATE_NEW_SITE_EDITING;
                    }
                    else if (offlineSiteToDownloadSelected) {
                        clearNewSiteTextbox();
                        // clearFileToUploadSelection(); NO!
                        clearTableSelection();
                        _state = STATE_FILE_UPLOADING;
                    }
                    else if (someRowSelectedAndEditing) {
                        clearNewSiteTextbox();
                        clearFileToUploadSelection();
                        // clearTableSelection(); NO!

                        _state = STATE_SITES_EDITING;
                    }
                    else if (someRowSelected) {
                        clearNewSiteTextbox();
                        clearFileToUploadSelection();
                        // clearTableSelection(); NO!

                        _state = STATE_SITES_SELECTED;
                    }
                    else {
                        clearNewSiteTextbox();
                        clearFileToUploadSelection();
                        clearTableSelection();

                        _state = STATE_INITIAL;
                    }
                }

                function setVisibilityByState()
                { 
                    var panelCreateNewEnabled = false;
                    var panelUploadEnabled = false;
                    var panelOfflineSitesTableEnabled = false;

                    switch (_state)
                    {
                        case STATE_INITIAL:
                            _divInputAreaTop.setStyle('display', ''); 
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonSaveNewSite.setStyle('display', 'none');
                            _linkButtonSaveDescriptions.setStyle('display', 'none');
                            _linkButtonDownloadFile.setStyle('display', 'none');
                            _linkButtonUploadFile.setStyle('display', 'none');
                            _linkButtonDelete.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');

                            panelCreateNewEnabled = true;
                            panelUploadEnabled = true;
                            panelOfflineSitesTableEnabled = true;
                            break;
                        case STATE_NEW_SITE_EDITING:
                            _divInputAreaTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', '');

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonSaveNewSite.setStyle('display', '');
                            _linkButtonSaveDescriptions.setStyle('display', 'none');
                            _linkButtonDownloadFile.setStyle('display', 'none');
                            _linkButtonUploadFile.setStyle('display', 'none');
                            _linkButtonDelete.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', '');
                            _linkButtonClose.setStyle('display', '');

                            panelCreateNewEnabled = true;
                            panelUploadEnabled = false;
                            panelOfflineSitesTableEnabled = false;
                            break;
                        case STATE_SITES_SELECTED:
                            _divInputAreaTop.setStyle('display', ''); 
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonSaveNewSite.setStyle('display', 'none');
                            _linkButtonSaveDescriptions.setStyle('display', 'none');
                            _linkButtonDownloadFile.setStyle('display', '');
                            _linkButtonUploadFile.setStyle('display', 'none');
                            _linkButtonDelete.setStyle('display', ''); // we allow deletion for now, maybe deletion will be never available
                            _linkButtonCancel.setStyle('display', '');
                            _linkButtonClose.setStyle('display', '');

                            panelCreateNewEnabled = false;
                            panelUploadEnabled = false;
                            panelOfflineSitesTableEnabled = true;
                            break;
                        case STATE_SITES_EDITING:
                            _divInputAreaTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', '');

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonSaveNewSite.setStyle('display', 'none');
                            _linkButtonSaveDescriptions.setStyle('display', '');
                            _linkButtonDownloadFile.setStyle('display', 'none');
                            _linkButtonUploadFile.setStyle('display', 'none');
                            _linkButtonDelete.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', '');
                            _linkButtonClose.setStyle('display', '');

                            panelCreateNewEnabled = false;
                            panelUploadEnabled = false;
                            panelOfflineSitesTableEnabled = true;
                            break;
                        case STATE_FILE_UPLOADING:
                            _divInputAreaTop.setStyle('display', '');
                            _divScrollableContentGrid.setStyle('display', '');

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonSaveNewSite.setStyle('display', 'none');
                            _linkButtonSaveDescriptions.setStyle('display', 'none');
                            _linkButtonDownloadFile.setStyle('display', 'none');
                            _linkButtonUploadFile.setStyle('display', '');
                            _linkButtonDelete.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', '');
                            _linkButtonClose.setStyle('display', '');

                            panelCreateNewEnabled = false;
                            panelUploadEnabled = true;
                            panelOfflineSitesTableEnabled = false;
                            break;
                        case STATE_OPERATION_IN_PROGRESS:
                            _divInputAreaTop.setStyle('display', ''); 
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonSaveNewSite.setStyle('display', 'none');
                            _linkButtonSaveDescriptions.setStyle('display', 'none');
                            _linkButtonDownloadFile.setStyle('display', 'none');
                            _linkButtonUploadFile.setStyle('display', 'none');
                            _linkButtonDelete.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', 'none');

                            panelCreateNewEnabled = false;
                            panelUploadEnabled = false;
                            panelOfflineSitesTableEnabled = false;
                    }

                    // avoid disabling on postback, because values disabled are not posted
                    if (_state != STATE_OPERATION_IN_PROGRESS) {
                        $$('.panel-create-new input').each(function (item) { item.disabled = !panelCreateNewEnabled });
                        $$('.panel-upload input').each(function (item) { item.disabled = !panelUploadEnabled });
                        $$('.panel-offline-sites-table input').each(function (item) { item.disabled = !panelOfflineSitesTableEnabled });
                    }
                }

                // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS
                 
                function fillTemplateTableAndWireEvents()
                {
                    var index = 0; // correspond to the zero based position on array of sites

                    startUpData.sites.each(function (site) {
                        var rowEl = new Element('tr', {
                            'class': 'offline-site-row',
                            'data-id': index,
                            'data-value': site.OfflineSiteIndex, // server side index used for postback
                            events: {
                                click: function () {

                                    if (_state == STATE_FILE_UPLOADING || 
                                        _state == STATE_NEW_SITE_EDITING)
                                    {
                                        return;
                                    }

                                    var selectedIndex = $(this).get('data-id');
                                    // alert('debug clicked: ' + selectedIndex);

                                    clearNewSiteTextbox();
                                    clearFileToUploadSelection();

                                    selectRowOnTableToUpdateSelection(selectedIndex);

                                    setStateByUserInput();
                                    setVisibilityByState();
                                }
                            },
                        }); // rowElement

                        var tdEl1 = new Element('td', { style: 'width:30px' } ); 
                        tdEl1.inject(rowEl);
                        var tdEl1Child = new Element('input', {
                            type: 'radio',
                            name: 'siteRadioGroup' 
                        });
                        tdEl1Child.inject(tdEl1);

                        var tdEl2 = new Element('td', {
                            html: site.OfflineSiteIndex,
                            style: 'width:40px',
                        }); 
                        tdEl2.inject(rowEl);

                        /* edit box */
                        var tdEl3 = new Element('td', { });
                        tdEl3.inject(rowEl);

                        var tdElInput = new Element('input', {
                            type: 'text',
                            'data-id': index,
                            'data-text': site.OfflineSiteName, // original value for the undo function
                            value: site.OfflineSiteName,
                            style: 'width:300px',
                            events: {
                                click: function () {
                                    return false; // disable click!
                                },
                                keyup: function () {
                                    var selectedIndex = $(this).get('data-id');

                                    clearNewSiteTextbox();
                                    clearFileToUploadSelection();

                                    selectRowOnTableToUpdateSelection(selectedIndex);

                                    setStateByUserInput();
                                    setVisibilityByState();
                                }
                            }
                        });
                        tdElInput.inject(tdEl3);

                        rowEl.inject(_tableBodySelection);

                        index++;
                    });
                }

                function disableAllBeforePostback()
                {
                    // readonly all! no care of rollback tfrom his action because of the following postback
                    // we use readonly instead of disabled because disabled input are not posted back
                    $$('input').set('readonly', 'readonly');

                    _state = STATE_OPERATION_IN_PROGRESS;
                    setVisibilityByState();
                }

                function selectRowOnTableToUpdateSelection(zeroBasedIndex)
                { 
                    $$('.offline-site-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input');

                        var itemId = itemElement.get('data-id');

                        if (zeroBasedIndex == itemId) {

                            chkElement.checked = true;
                            itemElement.addClass('offline-site-selected');
                        }
                        else {
                            chkElement.checked = false;
                            itemElement.removeClass('offline-site-selected');

                            var textBoxElement = itemElement.getElement('input[type=text]');
                            var itemText = textBoxElement.get('data-text');
                            textBoxElement.value = itemText;
                        }
                    });
                }

                function clearTableSelection() {
                    $$('.offline-site-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input');
                        chkElement.checked = false;
                        itemElement.removeClass('offline-site-selected');

                        var textBoxElement = itemElement.getElement('input[type=text]');
                        var itemText = textBoxElement.get('data-text');
                        textBoxElement.value = itemText;
                    });
                }
                 
                function clearNewSiteTextbox()
                {
                    _newOfflineSiteNameInput.value = null;
                }

                function clearFileToUploadSelection()
                {
                    _fileToUploadInput.value = null;
                }

            })(); // networkExt.gridExt END

       //]]>
     </script>

    <div id="inputAreaTop" class="inputArea">

          <!-- ### WAIT-UPLOADING ### -->
    <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
        </p>
    </div>
        <div id="box">
            <table class="wkaDataEntry">
                <tr>
                    <td class="wdeRecordDetail">

                        <blockquote class="detail panel-create-new" style="margin-right:20px;margin-top: 10px;">
                            <h5>
                                <asp:Literal ID="LiteralNewOfflineSiteSectionTitle" runat="server"></asp:Literal>
                            </h5>
                            <table>
                                <tr>
                                    <td style="vertical-align:middle">
                                        <asp:Literal ID="LiteralNewOfflineSite" runat="server" />
                                    </td>
                                    <td>
                                        <asp:TextBox runat="server" ID="TextBoxNewOfflineSiteName"></asp:TextBox>
                                    </td>
                                 </tr>
                            </table>
                        </blockquote>

                        <blockquote class="detail panel-upload" style="margin-right:20px;margin-top: 10px;">
                            <h5>
                                <asp:Literal ID="literalBoxSelectTemplate" runat="server"></asp:Literal>
                            </h5>
                            <table>
                                <tr>
                                    <td id="tdCancel" colspan="4">
                                        <a href="Networks_Offline_PopupManageOfflineSites?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                            <asp:Literal ID="litCancelUpgrade" runat="server" />
                                        </a>
                                    </td>
                                </tr>
                                <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
                                <ucUpdateFileUpload:UpdateFileUpload id="uploadFile" runat="server" />
                                <asp:Literal ID="litNamingRules" runat="server" />
                            </table>
                     </blockquote>
                          
                    </td>
                </tr>
             </table>
        </div>
    </div>

    <div id="scrollableContentGrid" class="scrollableContent">

        <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />

         <table class="wkaDataEntry">
                <tr>
                    <td class="wdeRecordDetail">
                        <blockquote class="detail panel-offline-sites-table" style="margin-left: 12px;width:100%">

                             <h5>
                                <asp:Label runat="server" ID="LabelTitleForTableManagement"></asp:Label>
                             </h5>

                            <table cellpadding="0" cellspacing="0" id="table-offline-site-management"> 
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th></th>
                                        <th><asp:Literal runat="server" ID="LiteralTableHeaderOfflineSiteName"></asp:Literal></th> 
                                    </tr>
                                </thead>
                                <tbody id="tableBodySelection">
                
                                </tbody>
                            </table>

                        </blockquote>
                    </td>
                </tr>
             
           </table>
    </div>

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>