<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Physical_PopupImportExportSnapshot.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Physical_PopupImportExportSnapshot" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

     <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

     <style type="text/css">

         .generalmessage {
             margin: 5px 30px 0px 10px;
         }

        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }

          .inputArea {
            padding-left:10px;
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            /* border-bottom: 1px solid #CCCCCC; */
        }

         .scrollableContent {
             padding-top:145px;
             padding-right: 28px;
         }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

     </style>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="LinkButtonDownloadSnapshotFile" runat="server" CssClass="watTakeSnapshot" OnClick="LinkButtonDownloadSnapshotFile_Click" /> 
           <asp:LinkButton ID="LinkButtonDownloadOfflineNetwork" runat="server" CssClass="watTakeSnapshot" OnClick="LinkButtonDownloadOfflineNetwork_Click" /> 
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="ilbClose_Click" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                // Private Fields 
                var _panelWaitMessage = null;
                var _linkButtonDownloadSnapshotFile = null;
                var _linkButtonDownloadOfflineNetwork = null;
                var _linkButtonClose = null;

                // initial state
                var STATE_INITIAL = "initial";

                // when operation in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() { 
                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');  
                    _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                    _linkButtonDownloadSnapshotFile = document.getElement('td.dosome a#LinkButtonDownloadSnapshotFile');
                    _linkButtonDownloadOfflineNetwork = document.getElement('td.dosome a#LinkButtonDownloadOfflineNetwork');
                
                    wireToolbarEvent(); 

                    setStateByUserInput();
                    setVisibilityByState();
                }

                // EVENT WIRING 

                function wireToolbarEvent()
                { 
                    if (_linkButtonClose) {
                        _linkButtonClose.addEvent('click', onClosePopup);
                        _linkButtonClose.onclick = function () { return false; };
                    }
                } 

                // FUNCTION THAT RESPONDS TO WIRED EVENTS

                function onClosePopup(item) {
                    // the same command (explained) is injected via server side in generic popup control
                    // this approach is the best because we skip one postback but we reload interely the parent page
                    // so the parent page is anyway refreshed!!!
                    window.parent.location = window.parent.location;
                }

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {
                    _state = STATE_INITIAL;
                }

                function setVisibilityByState()
                {
                    switch (_state)
                    {
                        case STATE_INITIAL:

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');
                            _linkButtonDownloadSnapshotFile.setStyle('display', '');
                            _linkButtonDownloadOfflineNetwork.setStyle('display', '');
                            break;
                        case STATE_OPERATION_IN_PROGRESS:

                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonClose.setStyle('display', 'none');
                            _linkButtonDownloadSnapshotFile.setStyle('display', 'none');
                            _linkButtonDownloadOfflineNetwork.setStyle('display', '');
                    }
                }

                // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS

                function disableAllBeforePostback()
                {
                    // readonly all! no care of rollback from his action because of the following post-back
                    // we use readonly instead of disabled because disabled input are not posted back
                    $$('input').set('readonly', 'readonly');

                    _state = STATE_OPERATION_IN_PROGRESS;
                    setVisibilityByState();
                }

            })(); // networkExt.gridExt END

       //]]>
     </script>

    <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
    <asp:Literal ID="jsPlaceHolder" runat="server" />

    <div id="inputAreaTemplateUpload" class="inputArea">

        <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
            runat="server" />

          <!-- ### WAIT-UPLOADING ### -->
        <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
        </p>
    </div>
        <div id="box">
            <table class="wkaDataEntry" style="padding-right: 20px;padding-bottom: 10px;padding-top: 10px;">
                <tr>
                    <td class="wdeRecordDetail">
                        <blockquote class="detail">
                            <h5>
                                <asp:Literal ID="literalBoxSelectTemplate" runat="server"></asp:Literal>
                            </h5>
                            <table id="panel">
                                <tr>
                                    <td id="tdCancel" colspan="4">
                                        <a href="Networks_Physical_PopupImportExportSnapshot.aspx?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                            <asp:Literal ID="litCancelUpgrade" runat="server" />
                                        </a>
                                    </td>
                                </tr>
                                <ucUpdateFileUpload:UpdateFileUpload id="uploadNaming" runat="server" />
                                <asp:Literal ID="litNaming" runat="server" />
                                <tr runat="server" id="tdSelectTemplate">
                                    <td></td>
                                    <td>
                                        <asp:Literal ID="litTemplate" runat="server" />
                                    </td>
                                    <td>
                                        <asp:DropDownList runat="server" ID="DDLTemplates" />
                                    </td>
                                    <td></td>
                                </tr>
                            </table>
                        </blockquote>
                    </td>
                </tr>
             </table>
        </div>
    </div>

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>