<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Networks_Physical_PopupImportExportTemplate.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Networks_Physical_PopupImportExportTemplate" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/UpdateFileUpload.ascx" TagName="UpdateFileUpload" TagPrefix="ucUpdateFileUpload" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">

    <!-- a script in televis.js detects this tag and ignore the separate-page state of this popup -->
    <div id="pnlWrapperGenericPopup" style="padding:0">
        <!--&nbsp;-->
    </div>

    <style type="text/css">

         .generalmessage {
             margin: 5px 30px 0px 10px;
         }

        #workingArea {
            margin : 0;
            overflow: hidden;
        }

         #workingArea .wkaWrapperArea.showToolbar .wkaToolbarArea {
             position: fixed;
             z-index:100;
             width: 100%;
             height: 50px;
             padding: 0px;
             margin: 0px;
         }

         #workingArea .wkaWrapperArea.showToolbar .wkaContentArea {
             padding-top:40px;
         }

          .inputArea {
            padding-left:10px;
            position:fixed;
            z-index:100;
            width:100%;
            background-color:white;
            border-bottom: 1px solid #CCCCCC;
        }

         .scrollableContent {
             padding-top:145px;
             padding-right: 28px;
         }

         .dosome a {
             float:left;
         }

             .dosome a.watPopupClose {
                 float: right;
             }

         #HeaderLabelWaitMessage {
            display: inline;
            padding-left: 30px;
         }

         #tableTemplateToDownloadSelection {
           
             border: 1px solid #AAAAAA;
             border-top: 0px solid black;
             margin: 10px;
             padding: 0px;
             width: 400px;
         }

             #tableTemplateToDownloadSelection tr th,
             #tableTemplateToDownloadSelection tr td {
                padding:2px;
                padding-left:5px;
                white-space: nowrap;
                background-color: #E4E4E4;
                border-top: 1px solid #AAAAAA;
                /* border-bottom: 1px solid #AAAAAA; */
             }

             #tableTemplateToDownloadSelection thead tr th {
                 height: 16px;
                 font-size: 9px;
                 color: #333333;
                 background-color: #99CCFF;
             }

             #tableTemplateToDownloadSelection tr td {
                 height: 18px;
                 font-size:10px;
                 vertical-align:middle; 
             }

             #tableTemplateToDownloadSelection tbody {
                 cursor:pointer;
             }

             #tableTemplateToDownloadSelection tr.template-to-download-selected td {
                 background-color: #FFFF99;
             }

         /* twaek the file upload televisGo usercontrol to hide execute button*/

         td.wdeRecordDetail input[Type="file"] {
             width: 400px;
         }

         td.wdeRecordDetail input[Type="button"] {
             display:none;
         }

     </style>

    <table>
    <tr>
        <td class="goprev"></td>
        <td class="dosome">
           <table id="PanelWaitMessage">
               <tr>
                    <td><img src="../media/img/Common/Ajax/Progress1.gif" alt="" /></td>
                    <td style="text-align:left"><h4 id="HeaderLabelWaitMessage"><asp:Label ID="LabelWaitMessage" runat="server"></asp:Label></h4></td>
               </tr>
           </table>
           <asp:LinkButton ID="LinkButtonUploadTemplateFile" runat="server" CssClass="watLoaddata" /> 
           <asp:LinkButton ID="LinkButtonDownloadTemplateFile" runat="server" CssClass="watSavedata" OnClick="LinkButtonDownloadTemplateFile_Click" /> 
           <asp:LinkButton ID="LinkButtonDeleteTemplate" runat="server" CssClass="watGenericDelete" OnClick="LinkButtonDeleteTemplate_Click" />
           <asp:LinkButton ID="LinkButtonCancel" runat="server" CssClass="watGenericUndo" />
           <asp:LinkButton ID="ilbClose" runat="server" OnClick="ilbClose_Click" CssClass="watPopupClose" />
        </td>
        <td class="gonext"></td>
    </tr>
</table>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <asp:Literal runat="server" ID="LiteralJsStartupData"></asp:Literal>

    <script language="JavaScript" type="text/JavaScript">
       //<![CDATA[

            window.addEvent('domready', function () {
                networkExt.gridExtEditDevice.initialize();
            });

            var networkExt = networkExt || {};

            networkExt.gridExtEditDevice = (function () {  // networkExt.gridExtEditDevice BEGIN

                // Private Fields 
                var _divInputAreaTemplateUpload = null; 
                var _divScrollableContentGrid = null; 

                var _panelWaitMessage = null;
                var _linkButtonDownloadTemplateFile = null;
                var _linkButtonUploadTemplateFile = null;
                var _linkButtonDeleteTemplate = null;
                var _linkButtonCancel = null;
                var _linkButtonClose = null;
                var _tableBodyTemplateToDownloadSelection = null;
                var _fileInput = null;

                // initial state: no file is selected
                var STATE_INITIAL = "initial";

                // we are in template save mode and no text entered, but a template is selected from list
                var STATE_TEMPLATE_TO_DOWNLOAD_OR_UPLOAD_SELECTED = "template_to_download_or_upload_selected";

                // additional state flag for the state STATE_TEMPLATE_TO_DOWNLOAD_OR_UPLOAD_SELECTED
                var stateTemplateToDownloadSelected = false;
                var stateTemplateToUploadSelected = false;

                // when operation in progress
                var STATE_OPERATION_IN_PROGRESS = "operation_in_progress";

                var _state = STATE_INITIAL; // initial state

                return {
                    initialize: initialize,
                }

                function initialize() {

         
                    _divInputAreaTemplateUpload = document.getElement('#inputAreaTemplateUpload');
                    _divScrollableContentGrid = document.getElement('#scrollableContentGrid'); 

                    _panelWaitMessage = document.getElement('td.dosome table#PanelWaitMessage');
                    _linkButtonDownloadTemplateFile = document.getElement('td.dosome a#LinkButtonDownloadTemplateFile');
                    _linkButtonUploadTemplateFile = document.getElement('td.dosome a#LinkButtonUploadTemplateFile');
                    _linkButtonDeleteTemplate = document.getElement('td.dosome a#LinkButtonDeleteTemplate');
                    _linkButtonCancel = document.getElement('td.dosome a#LinkButtonCancel');
                    _linkButtonClose = document.getElement('td.dosome a.watPopupClose');
                    _tableBodyTemplateToDownloadSelection = document.getElement('#tableBodyTemplateToDownloadSelection');
                    _fileInput = $$('td.wdeRecordDetail input[Type="file"]')[0];

                    wireToolbarEvent();

                    _fileInput.addEvent('change', function () {
                        setStateByUserInput();
                        setVisibilityByState();
                    });

                    fillTemplateTableAndWireEvents();

                    setStateByUserInput();
                    setVisibilityByState();
                }

                // EVENT WIRING 

                function wireToolbarEvent()
                { 
                    if (_linkButtonClose) {
                        _linkButtonClose.addEvent('click', onClosePopup);
                        _linkButtonClose.onclick = function () { return false; };
                    }

                    if (_linkButtonCancel) {
                        _linkButtonCancel.addEvent('click', onCancel);
                        _linkButtonCancel.onclick = function () { return false; };
                    }

                    if (_linkButtonDownloadTemplateFile) {
                        _linkButtonDownloadTemplateFile.addEvent('click', onDownloadTemplateFile);
                        _linkButtonDownloadTemplateFile.onclick = function () { return false; };
                    }

                    if (_linkButtonUploadTemplateFile) {
                        _linkButtonUploadTemplateFile.addEvent('click', onUploadTemplateFile);
                        _linkButtonUploadTemplateFile.onclick = function () { return false; };
                    }

                    if (_linkButtonDeleteTemplate) {
                        _linkButtonDeleteTemplate.addEvent('click', onDeleteTemplate);
                        _linkButtonDeleteTemplate.onclick = function () { return false; };
                    }
                     
                } 

                // FUNCTION THAT RESPONDS TO WIRED EVENTS

                function onUploadTemplateFile()
                { 
                    __doPostBack('uploadTemplate$btnUpdate', '');
                }

                function onDownloadTemplateFile() {
                    var idSelectedCsvList = getIdSelectedCsvList();
                    if (idSelectedCsvList) {
                        // disableAllBeforePostback(); no disable because its a download
                        __doPostBack(_linkButtonDownloadTemplateFile.id, 'templateIdList:' + idSelectedCsvList);
                    }
                }

                function onDeleteTemplate() {
                    var idSelectedCsvList = getIdSelectedCsvList();
                    if (idSelectedCsvList) {
                        disableAllBeforePostback();
                        __doPostBack(_linkButtonDeleteTemplate.id, 'templateIdList:' + idSelectedCsvList);
                    } 
                }

                function getIdSelectedCsvList()
                {
                    var idSelectedCsvList = "";

                    $$('.template-to-download-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input');
                        var itemId = itemElement.get('data-value');

                        if (chkElement.checked) {

                            // concatenate comma if non empty
                            if (idSelectedCsvList)
                                idSelectedCsvList = idSelectedCsvList + ',';

                            // concatenate id
                            idSelectedCsvList = idSelectedCsvList + itemId;
                        }
                    });

                    return idSelectedCsvList;
                }

                function onClosePopup(item) {
                    // the same command (explained) is injected via server side in generic popup control
                    // this approach is the best because we skip one postback but we reload interely the parent page
                    // so the parent page is anyway refreshed!!!
                    window.parent.location = window.parent.location;
                }

                function onCancel()
                {  
                    _state = STATE_INITIAL;
                    setStateByUserInput();
                    setVisibilityByState();
                }

                // UI STATE MACHINE CONTROLLER

                function setStateByUserInput() {

                    // Fill stateTemplateToDownloadSelected

                    var someRowSelected = false;

                    $$('.template-to-download-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input');

                        someRowSelected = someRowSelected || chkElement.checked;
                    });

                    if (someRowSelected) {
                        stateTemplateToDownloadSelected = true;
                    }
                    else {
                        stateTemplateToDownloadSelected = false;
                    }

                    // Fill stateTemplateToUploadSelected
                      
                    if (_fileInput.value && _fileInput.value.length > 0) {
                        stateTemplateToUploadSelected = true;
                    }
                    else {
                        stateTemplateToUploadSelected = false;
                    }

                    // summaryze two state
                    if (stateTemplateToUploadSelected || stateTemplateToDownloadSelected) {
                        _state = STATE_TEMPLATE_TO_DOWNLOAD_OR_UPLOAD_SELECTED;
                    }
                    else {
                        _state = STATE_INITIAL;
                    }

                }

                function setVisibilityByState()
                {
                    switch (_state)
                    {
                        case STATE_INITIAL:
                            _divInputAreaTemplateUpload.setStyle('display', ''); 
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');
                            _linkButtonDownloadTemplateFile.setStyle('display', 'none');
                            _linkButtonUploadTemplateFile.setStyle('display', 'none');
                            _linkButtonDeleteTemplate.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                            break;
                        case STATE_TEMPLATE_TO_DOWNLOAD_OR_UPLOAD_SELECTED:
                            _divInputAreaTemplateUpload.setStyle('display', ''); 
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', 'none');
                            _linkButtonClose.setStyle('display', '');

                            if (stateTemplateToDownloadSelected) {
                                _linkButtonDownloadTemplateFile.setStyle('display', '');
                                _linkButtonDeleteTemplate.setStyle('display', '');
                            }
                            else {
                                _linkButtonDownloadTemplateFile.setStyle('display', 'none');
                                _linkButtonDeleteTemplate.setStyle('display', 'none');
                            }

                            if (stateTemplateToUploadSelected)
                                _linkButtonUploadTemplateFile.setStyle('display', '');
                            else
                                _linkButtonUploadTemplateFile.setStyle('display', 'none');

                            _linkButtonCancel.setStyle('display', 'none');
                            break;
                        case STATE_OPERATION_IN_PROGRESS:
                            _divInputAreaTemplateUpload.setStyle('display', ''); 
                            _divScrollableContentGrid.setStyle('display', ''); 

                            _panelWaitMessage.setStyle('display', '');
                            _linkButtonClose.setStyle('display', 'none');
                            _linkButtonDownloadTemplateFile.setStyle('display', 'none');
                            _linkButtonUploadTemplateFile.setStyle('display', 'none');
                            _linkButtonDeleteTemplate.setStyle('display', 'none');
                            _linkButtonCancel.setStyle('display', 'none');
                    }
                }

                // UI WIDGET VISIBILITY OR ATTRIBUTES MODIFIERS

                function fillTemplateTableAndWireEvents()
                {
                    var index = 0; // correspond to the zero based position on array of templates

                    startUpData.templates.each(function (template) {
                        var rowEl = new Element('tr', {
                            'class': 'template-to-download-row',
                            'data-id': index,
                            'data-value': template.TemplateIndex, // server side index used for postback
                            events: {
                                click: function () {
                                    var selectedIndex = $(this).get('data-id');
                                    // alert('debug clicked: ' + selectedIndex);
                                    selectRowOnTableTemplateToUpdateSelection(selectedIndex);

                                    setStateByUserInput();
                                    setVisibilityByState();
                                }
                            },
                        });

                        var tdEl1 = new Element('td', { style: 'width:30px' } ); 
                        tdEl1.inject(rowEl);
                        var tdEl1Child = new Element('input', {
                            type: 'checkbox'
                        });
                        tdEl1Child.inject(tdEl1);

                        var tdEl2 = new Element('td', {
                            html: template.TemplateIndex,
                            style: 'width:40px',
                        }); 
                        tdEl2.inject(rowEl);


                        var tdEl3 = new Element('td', {
                            html: escapeHtml(template.TemplateName),
                        });
                        tdEl3.inject(rowEl);

                        rowEl.inject(_tableBodyTemplateToDownloadSelection);

                        index++;
                    });
                }

                function disableAllBeforePostback()
                {
                    // readonly all! no care of rollback tfrom his action because of the following postback
                    // we use readonly instead of disabled because disabled input are not posted back
                    $$('input').set('readonly', 'readonly');

                    _state = STATE_OPERATION_IN_PROGRESS;
                    setVisibilityByState();
                }

                function selectRowOnTableTemplateToUpdateSelection(zeroBasedIndex)
                {
                  

                    $$('.template-to-download-row').each(function (item) {
                        var itemElement = $(item);
                        var chkElement = itemElement.getElement('input');

                        var itemId = itemElement.get('data-id');

                        if (zeroBasedIndex == itemId) {
                            
                            var hasClass = itemElement.hasClass('template-to-download-selected');

                            if (hasClass) {
                                chkElement.checked = false;
                                itemElement.removeClass('template-to-download-selected');
                            }
                            else {
                                chkElement.checked = true;
                                itemElement.addClass('template-to-download-selected');
                            }
                        }
                    });
                }

            })(); // networkExt.gridExt END

       //]]>
     </script>

    <div id="inputAreaTemplateUpload" class="inputArea">

          <!-- ### WAIT-UPLOADING ### -->
    <div id="fileLoader" class="generalmessage updateprogress" style="display: none;">
        <p>
            <img src="/media/img/Common/Ajax/Progress3.gif" alt="" />
            <asp:Literal ID="litLoadingInProgress" runat="server" />
        </p>
    </div>
        <div id="box">
            <table class="wkaDataEntry">
                <tr>
                    <td class="wdeRecordDetail">
                        <blockquote class="detail" style="margin-right:20px;margin-top: 10px;">
                            <h5>
                                <asp:Literal ID="literalBoxSelectTemplate" runat="server"></asp:Literal>
                            </h5>
                            <table>
                                <tr>
                                    <td id="tdCancel" colspan="4">
                                        <a href="Networks_DeviceTemplates.aspx?Cancel=1" style="margin: 10px 5px 2px 3px; padding: 5px 10px; width: 100px; border-top: 1px solid #cccccc; border-bottom: 1px solid black; border-left: 1px solid #cccccc; border-right: 1px solid black; background: #FCFCFC; text-align: center; text-decoration: none; font: normal 12px Verdana; font-weight: bold; color: red;">
                                            <asp:Literal ID="litCancelUpgrade" runat="server" />
                                        </a>
                                    </td>
                                </tr>
                                <asp:Literal ID="javaScriptPlaceHolder" runat="server" />
                                <ucUpdateFileUpload:UpdateFileUpload id="uploadTemplate" runat="server" />
                                <asp:Literal ID="litNamingRules" runat="server" />
                            </table>
                     </blockquote>
                    </td>
                </tr>
             </table>
        </div>
    </div>

    <div id="scrollableContentGrid" class="scrollableContent">

        <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" Type="Info" runat="server" />

         <table class="wkaDataEntry">
                <tr>
                    <td class="wdeRecordDetail">
                        <blockquote class="detail" style="margin-left: 12px;width:100%">

                             <h5>
                                <asp:Label runat="server" ID="LabelTemplateToDownloadColumnHeader"></asp:Label>
                             </h5>

                            <table cellpadding="0" cellspacing="0" id="tableTemplateToDownloadSelection"> 
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th><asp:Literal ID="TableHeaderLabelId" runat="server"></asp:Literal></th>
                                        <th><asp:Literal ID="TableHeaderLabelName" runat="server"></asp:Literal></th>
                                    </tr>
                                </thead>
                                <tbody id="tableBodyTemplateToDownloadSelection">
                
                                </tbody>
                            </table>

                        </blockquote>
                    </td>
                </tr>
             
           </table>
    </div>

</asp:Content>



<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server"></ucPageTitle:PageTitle>
</asp:Content>