<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    CodeBehind="Scheduler_Actions.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Scheduler_Actions" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuScheduler.ascx" TagName="SubtabMenuScheduler" TagPrefix="ucSubtabMenuScheduler" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GenericGrid.ascx" TagName="GenericGrid" TagPrefix="ucGenericGrid" %>
<%@ Register Src="~/UC/GenericContainer.ascx" TagName="GenericContainer" TagPrefix="ucGenericContainer" %>
<%@ Register Src="~/UC/GenericTextBox.ascx" TagName="GenericTextBox" TagPrefix="ucGenericTextBox" %>
<%@ Register Src="~/UC/GenericText.ascx" TagName="GenericText" TagPrefix="ucGenericText" %>
<%@ Register Src="~/UC/GenericRadio.ascx" TagName="GenericRadio" TagPrefix="ucGenericRadio" %>
<%@ Register Src="~/UC/GenericLiteral.ascx" TagName="GenericLiteral" TagPrefix="ucGenericLiteral" %>
<%@ Register Src="~/UC/GenericCheckBox.ascx" TagName="GenericCheckBox" TagPrefix="ucGenericCheckBox" %>
<%@ Register Src="~/UC/GenericTextArea.ascx" TagName="GenericTextArea" TagPrefix="ucGenericTextArea" %>
<%@ Register Src="~/UC/GenericSelect.ascx" TagName="GenericSelect" TagPrefix="ucGenericSelect" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/GenericClientServerConnector.ascx" TagName="GenericClientServerConnector"
    TagPrefix="ucGenericClientServerConnector" %>
<%@ Register Src="~/UC/NetworkGridControl.ascx" TagName="NetworksGrid" TagPrefix="uc2" %>
<%@ Register Src="~/UC/GenericDirectOutput.ascx" TagName="GenericDirectOutput" TagPrefix="ucGenericDirectOutput" %>
<%@ Register Src="~/UC/PopupFilterAdaptive.ascx" TagName="PopupFilterAdaptive" TagPrefix="ucPopupFilterAdaptive" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>
<%@ Register Src="~/UC/LiteralPageJsonStartupData.ascx" TagName="jsonLiteral" TagPrefix="ucStartUpData" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/offlinenetworks.js"></script> 
    <script language="JavaScript" type="text/JavaScript" src="/script/js/recipientsValidation.js"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <ucToolBar:ToolBar ID="ToolBar1" PageEditCommandsVisible="true" RecordEditCommandsVisible="true"
        FilterPreviewVisible="true" runat="server" />
</asp:Content>
<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupFilterAdaptive:PopupFilterAdaptive runat="server" ID="adaptiveFilter" />
    <div class="modalPopup" id="modalPopUpContainerPreview">
        <div class="overlay-decorator">
            <!--&nbsp;-->
        </div>
        <div class="overlay-wrap">
            <div class="overlay">
                <div class="dialog-decorator">
                    <!--&nbsp;-->
                </div>
                <div class="dialog-wrap">
                        <div class="content_div" style="width:780px;height:580px; overflow:hidden">
                            <div id="devicePanel" style="height:100%">
                                <div class="popuptop_div">
                                      <img src="../media/img/Menu/Popups/close.gif" class="buttonClosePreviewPopup" style="float:right;cursor:pointer"/>
                                </div>
                                <div class="inner_div" style="height:100%; overflow:hidden"> 
                                    <div id="previewIframeContainer" style="height:100%">
                                         <!--&nbsp;--> <!-- do not remove dummy text -->
                                    </div>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame" />
</asp:Content>
<asp:Content runat="server" ID="cssContent" ContentPlaceHolderID="CssArea">

    <script language="JavaScript" type="text/JavaScript" src="/script/js/datepicker.js"></script>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/jxlib.js"></script>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/actionscheduler.js"></script>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/adaptiveFilter.js"></script>

    <link rel="stylesheet" href="/media/css/styleScrollableGrid.css" type="text/css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/media/css/modalpopup.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/jxt/ie7.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/datepicker_vista.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/jxt/jxtheme.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/adaptiveFilter.css" />
    <style type="text/css">
        .jxTreeBranchOpen .simpleFolder, .jxTreeBranchLastOpen .simpleFolder {
            background-position: 0px 0px;
        }

        .jxTreeBranchClosed .simpleFolder, .jxTreeBranchLastClosed .simpleFolder {
            background-position: 0px 0px;
        }

        #times_add_btn, #parameters_add_btn {
            display: block;
            float: left;
            height: 20px;
            width: 20px;
            margin: 0;
            padding: 0;
            margin-left: 5px;
        }

        #parameters_add_panel, #parameters_list_panel, #parameters_message_panel, #times_add_panel, #times_list_panel, #times_message_panel {
            padding-bottom: 5px;
        }

        .removeBtn {
            display: block;
            height: 16px;
            width: 16px;
            background-color: Red;
            margin: 0;
            padding: 0;
            margin-left: 5px;
        }

        .new_param_input {
            width: 80px;
            margin-right: 5px;
            float: left;
            display: block;
        }

        table.wkaDataEntry td.wdeRecordDetail blockquote table tbody td label.new_param_info {
            font-style: italic;
            margin: 0px;
            padding: 5px 0px 0px 5px;
            float: left;
        }

        .simpleTable {
            margin-top: 5px;
            font-size: 12px;
            border-collapse: collapse;
            border: 1px solid #CCC;
            color: #333;
            background-color: #fff;
            line-height: 100%;
        }

            .simpleTable td, .simpleTable th {
                border: 1px dotted #bbb;
                padding: 2px;
            }

            .simpleTable thead th, .simpleTable tfoot th {
                border: 1px solid #CCC;
                text-align: left;
                font-size: 12px;
                font-weight: bold;
                color: #333;
                background: transparent;
            }

            .simpleTable tfoot td {
                border: 1px solid #CCC;
                background-color: #AAA;
            }

            .simpleTable tbody th, .simpleTable tbody td {
                vertical-align: middle;
                text-align: left;
            }

            .simpleTable tbody th {
                white-space: nowrap;
            }

            .simpleTable .odd {
                background-color: #F3F3F3;
            }

        div.generalmessage {
            padding: 2px;
        }

            div.generalmessage.message p {
                padding-left: 45px;
                line-height: 24px;
                background: #FFFFD6 url(/media/img/Common/Messages/Info.gif) no-repeat 14px 4px;
                border: 1px solid #999AC6;
            }

        .validatorSymbol {
            color: #FF0000;
            float: right;
            font-size: 25px; 
            margin-top: 10px;
        }

        #treeFilterArea {
            margin-top: 5px;
            overflow: auto;
            background-color: #FFF;
            border-top: dotted 1px #888;
            position: relative;
        }

        #panel_days label {
            width:150px;/* to push days label to left-align*/
        }

        
        div.wrpSuperGridNetworkTable {
            margin:10px;
        }

        /* times list panel to a fixed size and table inside it to fit that size */
        #times_list_panel {
            width:150px;
        }
            #times_list_panel table {
                width:150px;
            }

        table.wkaDataEntry td blockquote table {
            width: auto; /* reset all the 90% tables except one networkgrid below */
            margin: 0px 5px 0px 5px;
            padding: 1px; /* reseet the 10 px padding of master site*/
        }

        table.wkaDataEntry td blockquote div.wrpSuperGridNetworkTable table {
            width: 100%; /* restore the only one networkgrid width */
        }

        .wrpSuperGridNetworkTable {
            width: 100%;
            padding: 0px !important;
            margin: 0px !important;
        }

        table.wkaDataEntry td.wdeRecordDetail blockquote table tbody th label {
            width: 120px;
            white-space:nowrap;
            line-height: 18px;
        }

            table.wkaDataEntry td.wdeRecordDetail blockquote table tbody th label input[type=checkbox] {
                float: left;
            }

        table.wkaDataEntry td.wdeRecordDetail blockquote tr.inputtext td input,
        table.wkaDataEntry td.wdeRecordDetail blockquote tr.inputtext td select,
        table.wkaDataEntry td.wdeRecordDetail blockquote tr.inputarea td input,
        table.wkaDataEntry td.wdeRecordDetail blockquote tr.inputarea td select {
            /* margin-top:3px; */
        }
         
        tr.device-alarm-grid-head-tr td {
            margin: 0;
            margin-right: 10px;
            vertical-align:middle;
            padding-top:0 !important;
            padding-bottom:0 !important;
            font-weight: bold;
        }

            tr.device-alarm-grid-head-tr td input {
                  margin: 0px !important;
                  margin-left: 10px !important;
                  margin-right: 10px !important;
                  vertical-align:middle;
            }

             tr.device-alarm-grid-head-tr td span {
                  line-height: 22px;
            }

        table.wkaDataEntry td blockquote td.execution-times-td-container {
            border-left: 1px solid #C4C4C4;
        }

        table.wkaDataEntry td blockquote.editing td.execution-times-td-container {
            border-left: 1px solid #F8C8A0;
        }

        label.new_param_input {
            padding-right: 21px;
            width: 120px;
        }

        div#parameters_list_panel {
            margin-left: 146px;
        }
         

    </style>

     <script language="JavaScript" type="text/JavaScript">
         //<![CDATA[

         var mailValidator = null;

         window.addEvent('domready', function () {
              
             mailValidator = new recipientsValidation.Validator('mail', true);
             mailValidator.initialize('cExportEmailRecipients', 'ValidateMailRecipientsButton');
              
             if (startUpData.isOffline)
             {
                 $('cProfiles').hide();
             }

             $('cPreSelectedDeviceIds').addEvent('change', preSelectDeviceIdsOnGrid);

             mySuperGridNetworkTable.deviceSelectionTriggersInterfaceAutoCheckWhenAllOfItsDevicesAraChecked = true;

             // attach events on device grid checkbox
             var deviceGridForEventsAttachment = document.getElement('div.wrpSuperGridNetworkTable');
             var deviceCheckboxForEventAttachment = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGridForEventsAttachment);
             deviceCheckboxForEventAttachment.each(function (currentCheckBox) {
                 currentCheckBox.addEvent('click', onDeviceCheckboxClicked);
             });

             // attach events on interfaces grid row
             var interfaceGridForEventsAttachment = document.getElement('div.wrpSuperGridNetworkTable');
             var interfaceGridForEventsAttachment = document.getElements('tr.hdwInterface', deviceGridForEventsAttachment);
             interfaceGridForEventsAttachment.each(function (currentCheckBox) {
                 currentCheckBox.addEvent('onselectcompleted', onInterfaceCheckboxClicked);
             });

             if (checkboxAppliesToAllDevicesForAddEvent = $('appliesToAllDevices')) {
                 checkboxAppliesToAllDevicesForAddEvent.addEvent('click', selectAllDevicesCheckboxClicked);
             }

             if (toolbarIlbSaveForAddEvent = $('ToolBar1$ilbSave')) {
                 toolbarIlbSaveForAddEvent.addEvent('click', updateXmlFilter);
             }

             // PREVIEW POPUP SETUP BEGIN

             var previewBtn = document.getElement('div.wkaToolbarArea td.dosome a.watGenericPreview');
             if (previewBtn) {
                 previewBtn.addClass('disabled');
                 previewBtn.addEvent('click', openPreview);
                 previewBtn.onclick = function () { return false; }
             }

             for (i = 0; i < myClientDataEntry.cdeRecordListItemStores.length; i++) {
                 var crow = myClientDataEntry.cdeRecordListItemStores[i].getFirstParentByTag('tr');

                 if (hasClass(crow, 'selected'))
                     enablePreviewButton();

                 var clnk = crow.getElement('a');
                 clnk.addEvent('click', onSelect);
             }

             var buttonClosePreviewPopup = document.getElement('img.buttonClosePreviewPopup');
             if (buttonClosePreviewPopup) {
                 buttonClosePreviewPopup.addEvent('click', closeModalPopUp);
             }

             // PREVIEW POPUP SETUP END

             unselectAllDevicesFromList();
             manageDevicesSelection();

             preSelectDeviceIdsOnGrid(); 

         });

         
        function afterPopupClosedCallback() {
            mailValidator.forceRefresh(); 
        }

         // PREVIEW POPUP FUNCTION BEGIN

         function onSelect() {
             enablePreviewButton();
         }

         function enablePreviewButton() {
             var previewBtn = document.getElement('div.wkaToolbarArea td.dosome a.watGenericPreview');
             if (previewBtn)
                previewBtn.removeClass('disabled');
         }

         function closeModalPopUp() {
             var filteredBkg = $('modalPopUpContainerPreview');
             filteredBkg.style.display = 'none';
             return false;
         }

         function openModalPopUpDevices(url) {
             $('devicePanel').style.display = '';
             $('modalPopUpContainerPreview').style.display = 'block';

             document.getElementById('previewIframeContainer').innerHTML = '<iframe id="" width="100%" height="100%" src="' + url + '"></iframe>';

             return false;
         }

         function openPreview() {
             if ($('ToolBar1$ilbFilterPreview').hasClass('disabled')) return;

             var caregoryID = myClientDataEntry.getRecordID();
             if (caregoryID) { 
                 var url = '/Settings/FilterPreview.aspx' + '?scheduledActionID=' + caregoryID;
                 openModalPopUpDevices(url);
             }
         }
          
         // PREVIEW POPUP FUNCTION END

         // SELECT ALL DEVICES CHECKBOX BEGIN

         function selectAllDevicesCheckboxClicked() {

             var applyToAllDevicesInput = document.getElementById('appliesToAllDevices');

             if (applyToAllDevicesInput.checked)
                 selectAllDevicesFromList();
             else
                 unselectAllDevicesFromList();

             manageDevicesSelection();

             updateXmlFilter();
         }

         function unselectAllDevicesFromList() {
             setDeviceSelection(false);
         }

         function selectAllDevicesFromList() {
             setDeviceSelection(true);
         }

         function setDeviceSelection(selected) {
             var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
             var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
             devices.each(function (currentCheckBox) {
                 currentCheckBox.checked = selected;
             });
         }

         // SELECT ALL DEVICES CHECKBOX END

         function onDeviceCheckboxClicked(e) {
             manageDevicesSelection();
             updateXmlFilter();
         }

         function onInterfaceCheckboxClicked(e) {
             manageDevicesSelection();
             updateXmlFilter();
         }

         function preSelectDeviceIdsOnGrid() {

             var preSelectedDeviceValue = $('cPreSelectedDeviceIds').value;
             var preSelectedDeviceArray = preSelectedDeviceValue.split(',');

             var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
             var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);

             devices.each(function (currentCheckBox) {

                 var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);

                 if (preSelectedDeviceArray.indexOf(deviceId) > -1) {
                     currentCheckBox.checked = true;
                 }
                 else {
                     currentCheckBox.checked = false;
                 }
             });

             manageDevicesSelection();
         }


         function manageDevicesSelection() {
             var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
             var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
             var interfaces = document.getElements('tr.hdwInterface input.sgnSelector', deviceGrid);

             var applyToAllDevicesInput = document.getElementById('appliesToAllDevices');
             if (!applyToAllDevicesInput)
                 applyToAllDevicesInput = {};

             // check all devices and all interfaces
             applyToAllDevicesInput.checked = true; 
             interfaces.each(function (currentCheckBox) {

                 var interfaceId = utilGetInterfaceIdFromCheckboxId(currentCheckBox.id);
                 var interfaceHasDevices = false; 
                 for (var i = 0; i < devices.length; i++) {

                     var deviceId = utilGetDeviceIdFromCheckboxId(devices[i].id);
                     var deviceInterfaceId = deviceId.split(".")[0];

                     if (deviceInterfaceId == interfaceId) {
                         currentCheckBox.checked = true;  // check only if device present
                         interfaceHasDevices = true;     // 
                     }
                 }

                 if (!interfaceHasDevices)
                     currentCheckBox.checked = false;

                 currentCheckBox.set('disabled', ''); // fix for offline interfaces, that where disabled server side...
             });

             // scan devices checkbox for unchecking interfaces
             devices.each(function (currentCheckBox) {
                 if (!currentCheckBox.checked) {

                     // uncheck the main flag
                     applyToAllDevicesInput.checked = false;

                     // find the interface checkbox to uncheck
                     var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);
                     var deviceInterfaceId = deviceId.split(".")[0];
                     for (var i = 0; i < interfaces.length; i++) {
                         var interfaceCheckbox = interfaces[i];
                         var interfaceId = utilGetInterfaceIdFromCheckboxId(interfaceCheckbox.id);
                         if (deviceInterfaceId == interfaceId)
                             interfaceCheckbox.checked = false;
                     }
                 }
             });
         }

         function updateXmlFilter()
         {
             var xmlDoc = getXMLFilters();

             // remove all selector
             var selectors = xmlDoc.getElementsByTagName("selector");
             for (var selectorIndex = 0; selectorIndex < selectors.length; selectorIndex++) {
                 var selector = selectors[selectorIndex];
                 selector.parentNode.removeChild(selector);
             }

             // add only on selector
             var newel = xmlDoc.createElement("selector");
             var selectorNode = xmlDoc.documentElement.appendChild(newel);

             // add devices and interface gerarchical
             var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
             var selectedDevices = utilGetSelectedDevices()
             var selectedInterfaces = utilGetSelectedInterfaces();

             if (selectedDevices.length == 0 && selectedInterfaces.length == 0)
             {
                 var cFiltersTextArea = $('cFilters');
                 cFiltersTextArea.setFormElementValue('');
                 return;
             }

             var lastInterfaceIdAdded = '';
             var lastInterfaceNodeAdded = null;

             var allDevices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
             allDevices.each(function (currentCheckBox) {
                 if (currentCheckBox.checked) {
                     var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);
                     var interfaceId = utilGetInterfaceIdFromDeviceId(deviceId);
                     var deviceAddress = utilGetDeviceAddressFromDeviceId(deviceId);

                     if (interfaceId != lastInterfaceIdAdded)
                     {
                         lastInterfaceNodeAdded = xmlDoc.createElement("interface");
                         var interfaceAttributeId = xmlDoc.createAttribute("id");
                         interfaceAttributeId.nodeValue = interfaceId;
                         lastInterfaceNodeAdded.setAttributeNode(interfaceAttributeId);
                         lastInterfaceIdAdded = interfaceId;
                         selectorNode.appendChild(lastInterfaceNodeAdded);
                     }

                     if (selectedInterfaces.indexOf(interfaceId) < 0)
                     {
                         // this interface has a subset of its devices selected (not all devices of that intf are selected)
                         var deviceNode = xmlDoc.createElement("device");
                         var deviceNodeAttributeAddress = xmlDoc.createAttribute("address");
                         deviceNodeAttributeAddress.nodeValue = deviceAddress;
                         deviceNode.setAttributeNode(deviceNodeAttributeAddress);
                         lastInterfaceNodeAdded.appendChild(deviceNode);
                     }
                 }
             });

             var culture = "en-GB";
             xmlDoc.childNodes[0].attributes["culture"].nodeValue = culture;

             var xml;
             if (xmlDoc.xml == null) {
                 xml = (new XMLSerializer()).serializeToString(xmlDoc);
             } else {
                 xml = xmlDoc.xml;
             }

             var cFiltersTextArea = $('cFilters');
             cFiltersTextArea.setFormElementValue(xml);

         }

         function getXMLFilters() {
             
             var cFiltersTextArea = $('cFilters');
             var txt = cFiltersTextArea.value;

             if (txt == "") {
                 txt = "<filter culture=\"en-gb\"><selector/></filter>"; // Base filter
                 cFiltersTextArea.setFormElementValue(txt);
             }

             var xmlDoc;

             if (window.DOMParser) { // No IE
                 parser = new DOMParser();
                 xmlDoc = parser.parseFromString(txt, "text/xml");
             } else // Internet Explorer
             {
                 xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
                 xmlDoc.async = "false";
                 xmlDoc.loadXML(txt);
             }

             return xmlDoc;
         }

         function utilGetSelectedDevices() {
             var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
             var devices = document.getElements('tr.hdwInterfaceChild input.sgnSelector', deviceGrid);
             var selectionArray = [];
             devices.each(function (currentCheckBox) {
                 if (currentCheckBox.checked) {
                     var deviceId = utilGetDeviceIdFromCheckboxId(currentCheckBox.id);
                     selectionArray.push(deviceId);
                 }
             });

             return selectionArray;
         }

         function utilGetSelectedInterfaces() {
             var deviceGrid = document.getElement('div.wrpSuperGridNetworkTable');
             var interfaces = document.getElements('tr.hdwInterface input.sgnSelector', deviceGrid);
             var selectionArray = [];
             interfaces.each(function (currentCheckBox) {
                 if (currentCheckBox.checked) {
                     var deviceId = utilGetInterfaceIdFromCheckboxId(currentCheckBox.id);
                     selectionArray.push(deviceId);
                 }
             });

             return selectionArray;
         }

         function utilGetDeviceIdFromCheckboxId(checkboxId) {
             return checkboxId.replace('chkdev_', '').replace('_', ':');
         }

         function utilGetInterfaceIdFromCheckboxId(checkboxId) {
             return checkboxId.replace('chkifc_', '').replace('_', ':');
         }

         function utilGetInterfaceIdFromDeviceId(deviceId) {
             return deviceId.split('.')[0];
         }

         function utilGetDeviceAddressFromDeviceId(deviceId) {
             return deviceId.split('.')[1];
         }

         function hasClass(element, cls) {
             return (' ' + element.className + ' ').indexOf(' ' + cls + ' ') > -1;
         }

         //]]>
    </script>

    <asp:Literal ID="treeviewCSSLink" runat="server"></asp:Literal>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

    <ucStartUpData:jsonLiteral runat="server" ID="LiteralJsStartupData"></ucStartUpData:jsonLiteral>
     <script language="JavaScript" type="text/JavaScript">
            //<![CDATA[

               window.addEvent('domready', function () {
                   offlineNetworkExt.Helpers.initialize(startUpData.isOffline);
               });

            //]]>
    </script>

    <asp:Literal ID="javascriptArrays" runat="server"></asp:Literal>
    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionfeedback"
        runat="server" />
    <div id="boxSettingsAccountsGroups" style="padding-bottom: 200px">
        <table class="wkaDataEntry">
            <tr>
                <td class="wdeRecordList" style="width: 270px">
                    <blockquote id="boxAlarmCategoriesList" class="list">
                        <h5 id="scheduledActionListTitle" runat="server"></h5>
                        <ucGenericGrid:GenericGrid ID="gGridScheduledActions" IsList="true" runat="server">
                            <ucGenericContainer:GenericContainer ID="categoryContainer" IdFieldName="Id" ShowHeader="true"
                                RowDisabledCssClass="disabled" runat="server">
                                <ucGenericText:GenericText ID="colName" FieldName="Name" DisablingFieldName="Enabled"
                                    Selectable="true" runat="server">
                                </ucGenericText:GenericText>
                                <ucGenericLiteral:GenericLiteral ID="colType" FieldName="Icon" HasHtmlLabel="false"
                                    runat="server">
                                </ucGenericLiteral:GenericLiteral>
                                <ucGenericLiteral:GenericLiteral ID="colWarning" FieldName="IconWarning" HasHtmlLabel="false"
                                    runat="server">
                                </ucGenericLiteral:GenericLiteral>
                            </ucGenericContainer:GenericContainer>
                        </ucGenericGrid:GenericGrid>
                    </blockquote>
                </td>
                <td class="wdeRecordDetail"> 
                                <ucGenericClientServerConnector:GenericClientServerConnector ID="GenericClientServerConnector1"
                                    runat="server" />
                                <blockquote id="boxDetail_schedule" class="detail">
                                 
                                    <h5 id="actionTitle" runat="server"></h5>
                                    <ucGenericGrid:GenericGrid ID="gGridName" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerName" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblName" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericTextBox:GenericTextBox ID="cName" FieldName="Name" runat="server">
                                            </ucGenericTextBox:GenericTextBox>
                                             <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="True" ID="cIsEnabled" FieldName="IsEnabled"
                                                runat="server" />
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gGridActions" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerActionType" RowCssClass="inputarea"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblActionType" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericSelect:GenericSelect ID="cActionType" PropertyKey="Id" PropertyToDisplay="Name"
                                                runat="server">
                                            </ucGenericSelect:GenericSelect>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gCommand" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer OutputID="true" ID="gcCommand" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblCommand" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericSelect:GenericSelect ID="decCommand" PropertyKey="Id" PropertyToDisplay="Name"
                                                HasHtmlLabel="false" runat="server">
                                            </ucGenericSelect:GenericSelect>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gArgs" OutputID="true" runat="server">
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gParamMain" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerParamType" RowCssClass="inputarea"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblParamType" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericSelect:GenericSelect ID="cParamType" PropertyKey="Id" PropertyToDisplay="Name"
                                                runat="server">
                                            </ucGenericSelect:GenericSelect>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gParamFileName" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerParFileName" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblParFileName" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericTextBox:GenericTextBox ID="cParamFileName" FieldName="paramFileName" runat="server">
                                            </ucGenericTextBox:GenericTextBox>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gDataExportSettings" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerExportSettings" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblExportPeriod" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericSelect:GenericSelect ID="cExportPeriod" PropertyKey="Id" PropertyToDisplay="Name"
                                                runat="server">
                                            </ucGenericSelect:GenericSelect>
                                            <ucGenericText:GenericText IsHeader="true" ID="lblExportUndersampling" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericSelect:GenericSelect ID="cExportUndersampling" PropertyKey="Id" PropertyToDisplay="Name"
                                                runat="server">
                                            </ucGenericSelect:GenericSelect>
                                            <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="False" ID="cExportVariations"
                                                runat="server" />
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gDataExportFolder" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerExportFolder" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="False" ID="cHasExportFolder"
                                                runat="server">
                                            </ucGenericCheckBox:GenericCheckBox>
                                            <ucGenericTextBox:GenericTextBox ID="cExportFolder" FieldName="exportFolder" runat="server">
                                            </ucGenericTextBox:GenericTextBox>
                                            <br />
                                            <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="False" ID="cExportCsv"
                                                runat="server" />
                                            <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="False" ID="cExportPdf"
                                                runat="server" />
                                            <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="False" ID="cExportPrint"
                                                runat="server" />
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <ucGenericGrid:GenericGrid ID="gDataExportEmailRecipients" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerExportEmailRecipients" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericCheckBox:GenericCheckBox IsHeader="true" LabelOnTheLeft="False" ID="cHasExportEmailRecipients"
                                                runat="server">
                                            </ucGenericCheckBox:GenericCheckBox>
                                            <ucGenericTextBox:GenericTextBox ID="cExportEmailRecipients" FieldName="exportEmailRecipients"
                                                runat="server">
                                            </ucGenericTextBox:GenericTextBox>
                                            <ucGenericDirectOutput:GenericDirectOutput ID="genericDirectOutputEmailValidator" HasHtmlLabel="false"
                                                runat="server">
                                            </ucGenericDirectOutput:GenericDirectOutput>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <table id='gParameters'>
                                        <tr>
                                            <td>
                                                <h6 runat="server" id="parametersTitle"></h6>
                                                <input type="text" name='cParam' id='cParam' style="display: none" />
                                                <div id='parameters_add_panel'>
                                                    <div style="margin-top: 4px">
                                                        <label runat="server" id="param_new_label" class="new_param_input" />
                                                        <input type="text" style="float: left; width: 125px;" id='parameters_add_input_label' />
                                                        <label runat="server" id="param_case_sensitive" class="new_param_info" />
                                                        <div style='clear: both;'>
                                                            <!--&nbsp;-->
                                                        </div>
                                                    </div>
                                                    <div style="margin-top: 4px">
                                                        <label runat="server" id="param_new_value" class="new_param_input" />
                                                        <input type="text" style="float: left; width: 100px;" id='parameters_add_input_value' />
                                                        <a id='parameters_add_btn' href='#'>
                                                            <img alt="Overwrite" src="../media/img/Others/ActionSheduler/add_btn.gif" /></a>
                                                        <div style='clear: both;'>
                                                            <!--&nbsp;-->
                                                        </div>
                                                    </div>
                                                </div>
                                                <div id='parameters_message_panel'>
                                                    <div class='generalmessage message'>
                                                        <p runat="server" id="param_emptyMessage">
                                                            <!--&nbsp;-->
                                                        </p>
                                                    </div>
                                                </div>
                                                <div id='parameters_list_panel'>
                                                    <!--&nbsp;-->
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                    <div style="padding: 5px; max-width: 400px;">
                                        <quote class="generalmessage actionfeedback" id="warningParameters">
                                            <p id="warningParametersText">
                                                <!--&nbsp;-->
                                            </p>
                                        </quote>
                                    </div>
                                       <h5 id="scheduleTitle" runat="server"></h5>
                                    <table>
                                        <tr>
                                            <td>
                                                    <ucGenericGrid:GenericGrid ID="gGridSchedule" runat="server">
                                                        <ucGenericContainer:GenericContainer ID="GenericContainer4" RowCssClass="inputarea"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblScheduleType" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericSelect:GenericSelect ID="cScheduleType" PropertyKey="Id" PropertyToDisplay="Name"
                                                                runat="server">
                                                            </ucGenericSelect:GenericSelect>
                                                        </ucGenericContainer:GenericContainer>
                                                        <ucGenericContainer:GenericContainer OutputID="true" ID="GenericContainerStartDate" RowCssClass="inputtext"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblStartDate" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericTextBox:GenericTextBox ID="cStartDate" FieldName="StartDateString" runat="server">
                                                            </ucGenericTextBox:GenericTextBox>
                                                        </ucGenericContainer:GenericContainer>
                                                         <ucGenericContainer:GenericContainer OutputID="true" ID="GenericContainerEndDate" RowCssClass="inputtext"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblEndDate" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericTextBox:GenericTextBox ID="cEndDate" FieldName="EndDateString" runat="server">
                                                            </ucGenericTextBox:GenericTextBox>
                                                        </ucGenericContainer:GenericContainer>
                                                        <ucGenericContainer:GenericContainer OutputID="true" ID="gcPeriodInt" RowCssClass="inputtext"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblPeriodInt" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericTextBox:GenericTextBox ID="cPeriodInt" FieldName="PeriodInt" runat="server">
                                                            </ucGenericTextBox:GenericTextBox>
                                                        </ucGenericContainer:GenericContainer>
                                                        <ucGenericContainer:GenericContainer OutputID="true" ID="gcPeriodTime" RowCssClass="inputtext"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblPeriodTime" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericTextBox:GenericTextBox ID="cPeriodTime" FieldName="PeriodTime" runat="server">
                                                            </ucGenericTextBox:GenericTextBox>
                                                        </ucGenericContainer:GenericContainer>
                                                    </ucGenericGrid:GenericGrid>
                                                </td>
                                                <td rowspan="2" class="execution-times-td-container">
                                                    <table>
                                                        <tbody>
                                                            <tr>
                                                                <td id="panel_times" style="width: auto">
                                                                    <h6 runat="server" id="excecutionTimesTitle"></h6>
                                                                    <input type="text" name='cTimes' id='cTimes' style="display: none" />
                                                                    <div id='times_message_panel'>
                                                                        <div class='generalmessage message'>
                                                                            <p runat="server" id="time_emptyMessage">
                                                                                <!--&nbsp;-->
                                                                            </p>
                                                                        </div>
                                                                    </div>
                                                                    <div id='times_list_panel'>
                                                                        <!--&nbsp;-->
                                                                    </div>
                                                                </td>
                                                                <td id="panel_days" style="width: 220px">
                                                                    <h6 runat="server" id="dayOfTheWeekTitle"></h6>
                                                                    <ucGenericGrid:GenericGrid ID="gGridDays" MainTableCssClass="optsgroup" IsNested="true"
                                                                        IsList="false" runat="server">
                                                                        <ucGenericContainer:GenericContainer ID="ContainerDays" TableCssClass="optsgroup"
                                                                            runat="server">
                                                                            <ucGenericText:GenericText ID="text11" HasHtmlLabel="true" Label="dati" runat="server">
                                                                                <ucGenericContainer:GenericContainer ID="Container12" runat="server">
                                                                                    <ucGenericCheckBox:GenericCheckBox FieldName="Id" ID="decDays" runat="server">
                                                                                    </ucGenericCheckBox:GenericCheckBox>
                                                                                    <ucGenericText:GenericText ID="text12" FieldName="Name" HasHtmlLabel="true" runat="server">
                                                                                    </ucGenericText:GenericText>
                                                                                </ucGenericContainer:GenericContainer>
                                                                            </ucGenericText:GenericText>
                                                                        </ucGenericContainer:GenericContainer>
                                                                    </ucGenericGrid:GenericGrid>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </td>

                                            </tr>
                                            <tr>
                                             <td>
                                                    <ucGenericGrid:GenericGrid ID="gGridRetry" runat="server">
                                                        <ucGenericContainer:GenericContainer OutputID="true" ID="GenericContainerRetryDuration" RowCssClass="inputtext"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblRetryDuration" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericTextBox:GenericTextBox ID="cRetryDuration" FieldName="RetryDuration" runat="server">
                                                            </ucGenericTextBox:GenericTextBox>
                                                        </ucGenericContainer:GenericContainer>
                                                        <ucGenericContainer:GenericContainer OutputID="true" ID="GenericContainerRetryTimeout" RowCssClass="inputtext"
                                                            runat="server">
                                                            <ucGenericText:GenericText IsHeader="true" ID="lblRetryTimeout" runat="server">
                                                            </ucGenericText:GenericText>
                                                            <ucGenericTextBox:GenericTextBox ID="cRetryTimeout" FieldName="RetryTimeout" runat="server">
                                                            </ucGenericTextBox:GenericTextBox>
                                                        </ucGenericContainer:GenericContainer>
                                                    </ucGenericGrid:GenericGrid>
                                              </td>
                                            </tr>
                                        </table>
                                    <h5 id="filtersTitle" runat="server"></h5>
                                    <ucGenericGrid:GenericGrid ID="gProfile" OutputID="true" runat="server">
                                        <ucGenericContainer:GenericContainer ID="GenericContainerProfile" RowCssClass="inputtext"
                                            runat="server">
                                            <ucGenericText:GenericText IsHeader="true" ID="lblProfile" runat="server">
                                            </ucGenericText:GenericText>
                                            <ucGenericSelect:GenericSelect ID="cProfiles" PropertyKey="Id" PropertyToDisplay="Name"
                                                runat="server">
                                            </ucGenericSelect:GenericSelect>
                                        </ucGenericContainer:GenericContainer>
                                    </ucGenericGrid:GenericGrid>
                                    <div id="gFilter">
                                        <div style="display:none">
                                            <ucGenericGrid:GenericGrid ID="gFilterLanguage" OutputID="true" runat="server">
                                                <ucGenericContainer:GenericContainer ID="GenericContainer3" RowCssClass="inputarea"
                                                    runat="server">
                                                    <ucGenericText:GenericText IsHeader="true" ID="lblFilterLanguage" runat="server">
                                                    </ucGenericText:GenericText>
                                                    <ucGenericText:GenericText ID="cCulture" IsBindable="true" runat="server">
                                                    </ucGenericText:GenericText>
                                                </ucGenericContainer:GenericContainer>
                                            </ucGenericGrid:GenericGrid>
                                        </div>
                                        <div style="display:none">
                                            <input runat="server" type="button" id="btnManageFilters" value="" onclick="javascript: filterManager.editData('cFilters', displayDataPreview);" />
                                        </div>
                                        <textarea name="cFilters" style="display: none; height:100px;" id="cFilters" cols="30" rows="80">&lt;empty/&gt;</textarea>
                                        <div id='treeFilterArea' style="display:none">
                                            <!--&nbsp;-->
                                        </div>
                                        <div id='gridFilterArea'>
                                            <table style="width:100%">
                                                <tr  class="device-alarm-grid-head-tr">
                                                    <td>
                                                        <input type="checkbox" id="appliesToAllDevices" name="appliesToAllDevices"/>
                                                        <asp:Label ID="lblColSelectAllDevices" runat="server">
                                                        </asp:Label>
                                         
                                                        <div style="float:right;display:inline-block" class="filter-container">
                                                            <asp:Literal ID="literalDeviceSearch" runat="server"></asp:Literal>
                                                        </div>
                                                    </td>
                                               </tr>
                                                <tr>
                                                    <td>
                                                         <uc2:networksgrid id="NetworksGrid1" level2checkedononline="true" level3checkedononline="true" runat="server" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                        <div id='gridFilterAreaHiddenFields' style="display:none">
                                            <input type="text" name="cPreSelectedDeviceIds" id="cPreSelectedDeviceIds" style="width:100%;" /><br />
                                        </div>
                                    </div>
                                </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuScheduler:SubtabMenuScheduler ID="SubtabMenuScheduler1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>