<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true" CodeBehind="Scheduler_View.aspx.cs" Inherits="Eliwell.Go.Presentation.Web.Settings.Scheduler_View" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/SubtabMenuScheduler.ascx" TagName="SubtabMenuScheduler" TagPrefix="ucSubtabMenuScheduler" %>
<%@ Register Src="~/UC/LiteralPageJsonStartupData.ascx" TagName="jsonLiteral" TagPrefix="ucStartUpData" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/offlinenetworks.js"></script> 
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="CssArea" ID="ContentCSS">
    <style media="screen" type="text/css">
        .disabled {
            color: Gray;
        }
    </style>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">

     <ucStartUpData:jsonLiteral runat="server" ID="LiteralJsStartupData"></ucStartUpData:jsonLiteral>
     <script language="JavaScript" type="text/JavaScript">
            //<![CDATA[

               window.addEvent('domready', function () {
                   offlineNetworkExt.Helpers.initialize(startUpData.isOffline);
               });

            //]]>
    </script>

    <div id="boxSettingsAccountsOverview">
        <table width="100%" class="wkaDataOverview">
            <tr>
                <td>
                    <blockquote id="boxAccountsOverview">
                        <h5 id="listTitle" runat="server"></h5>
                        <asp:Literal ID="Literal1" runat="server"></asp:Literal>
                    </blockquote>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SubtabsArea">
    <ucSubtabMenuScheduler:SubtabMenuScheduler ID="SubtabMenuScheduler1" runat="server" />
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>