﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Eliwell.Go.Presentation.Web.Systatusbar" EnableViewState="false" %>

<%@ Register Src="~/UC/SySmartElement.ascx" TagName="sySmartElem" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server" id="Head">
    <title>Televis System Status Bar</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <!-- CssStyle set by SetCssLink() function in behind code -->
    <script language="JavaScript" type="text/JavaScript" src="/script/js/mootools-core.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/mootools-more.js"></script>
    <script language="JavaScript" type="text/JavaScript" src="/script/js/televis.js"></script>
    <script language="JavaScript" type="text/JavaScript">
		window.addEvent('domready',function() {
			chkDomSupport(); // check browser support
			var sid = ['statusProfileHome', 'statusProfileLogout']; // prepare alt text for status images
			sid.forEach(function(cid){
				if($(cid)) if($(cid).getElement('p')) { $(cid).getElement('img').setProperty('alt',$(cid).getElement('p').innerHTML); }
});
		});
    </script>
</head>
<body id="syStatusbar">
    <form id="form1" runat="server">
        <div id="errorMessageLabel"></div>
        <asp:ScriptManager ID="ScriptManager1" AsyncPostBackTimeout="36000" runat="server" />
        <table id="syStatusbarWrapper" cellspacing="0" cellpadding="0">
            <tr>
                <td id="syStatusbarWrapperLeft">
                    <asp:UpdatePanel ID="updateStatusPanel" runat="server" ChildrenAsTriggers="true">
                        <ContentTemplate>
                            <asp:Timer ID="updateTimer" runat="server" Interval="180000" />
                            <table class="imgbtngrp statusbar" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td>
                                        <uc1:sySmartElem ID="statusbarSiteName" runat="server"
                                            DivId="statusMonitorPlant" DivCssClass="imgbtnlnk" />
                                    </td>
                                    <td>
                                        <uc1:sySmartElem ID="statusbarDataAcquisitionStatus" runat="server"
                                            DivId="statusMonitorAcquisition" DivCssClass="imgbtnlnk" />
                                    </td>
                                    <td>
                                        <uc1:sySmartElem ID="statusbarAlarmStatus" runat="server"
                                            DivId="statusMonitorAlarm" DivCssClass="imgbtnlnk" />
                                    </td>
                                    <td>
                                        <uc1:sySmartElem ID="statusbarWarningMessage" runat="server"
                                            DivId="statusMonitorMessage" DivCssClass="imgbtnlnk" />
                                    </td>
                                     <td>
                                        <uc1:sySmartElem ID="statusbarOfflineNetworkInfo" runat="server"
                                            DivId="statusMonitorOfflineNetwork" DivCssClass="imgbtnlnk" />
                                    </td>
                                </tr>
                            </table>
                        </ContentTemplate>
                        <Triggers>
                        </Triggers>
                    </asp:UpdatePanel>
                </td>
                <td id="syStatusbarWrapperRight">
                    <table class="imgbtngrp statusbar" cellspacing="0" cellpadding="0">
                        <tr>
                            <td>
                                <uc1:sySmartElem ID="syStatusbarProfileUser" runat="server"
                                    DivId="statusProfileUser" DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="syStatusbarProfileLanding" runat="server"
                                    DivId="statusProfileLanding" DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="syStatusbarProfileHome" runat="server"
                                    DivId="statusProfileHome" DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="syStatusbarProfileLogout" runat="server"
                                    DivId="statusProfileLogout" DivCssClass="imgbtnlnk" Target="_top" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>