<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Tools.Parameters02" %>

<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="ucToolBar" %>
<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/PopupFilterAdaptive.ascx" TagName="PopupFilterAdaptive" TagPrefix="ucPopupFilterAdaptive" %>
<%@ Register Src="~/UC/PopupFilterSubsidiary.ascx" TagName="PopupFilterSubsidiary"
    TagPrefix="ucPopupFilterSubsidiary" %>
<%@ Register Src="~/UC/PopupGenericFrame.ascx" TagName="PopupGenericFrame" TagPrefix="ucPopupGenericFrame" %>

<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">

    <script language="JavaScript" type="text/JavaScript" src="/script/js/parametertable.js"></script>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/adaptiveFilter.js"></script>

    <script language="JavaScript" type="text/JavaScript" src="/script/js/subsidiaryFilter.js"></script>

    <script language="JavaScript" type="text/JavaScript">

        window.addEvent('domready', function () {           

            var _linkButtonParameters02Popup = $$('a.watWriteparamsMulti')[0];

            if (_linkButtonParameters02Popup) {
                _linkButtonParameters02Popup.addEvent('click', onParameters02Popup);
                _linkButtonParameters02Popup.onclick = function () { return false; };
            }

            function onParameters02Popup() {
                var list = window.parameters.getSelectedLabelUserValues();
                var json = JSON.encode(list);
                var uriEncoded = encodeURIComponent(json);
                networkExt.genericPopup.openPopup("Parameters02Popup.aspx?data=" + uriEncoded, 900, 600);
            }

        });


        function closePopup()
        {
            $('modalPopUpContainerGenericFrame').style.display = 'none';
            document.getElementById('iframeContainer').innerHTML = '';
        }

    </script>

    <link rel="stylesheet" type="text/css" href="/media/css/modalpopup.css" />
    <link rel="stylesheet" type="text/css" href="/media/css/adaptiveFilter.css" />
</asp:Content>

<asp:Content runat="server" ID="topForm" ContentPlaceHolderID="TopForm">
    <ucPopupFilterAdaptive:PopupFilterAdaptive runat="server" ID="adaptiveFilter" />
    <ucPopupFilterSubsidiary:PopupFilterSubsidiary runat="server" ID="subsidiaryFilter" />
    <ucPopupGenericFrame:PopupGenericFrame runat="server" ID="popupGenericFrame1" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ToolbarArea" runat="server">
    <ucToolBar:ToolBar ID="ToolBar1" BackVisible="true" PrintVisible="true" ParametersCommandsVisible="true" ParametersCommandsMultiVisible="True"
        SelectionCommandsVisible="true" GridFilterVisible="true" ExecuteCommandsVisible="true"
        runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="FilterArea" runat="server">
    <asp:Literal ID="litFilter" runat="server"></asp:Literal>
    <asp:Panel ID="uplPanel" runat="server">
        <h6>
            <asp:Literal ID="litUploadTitle" runat="server"></asp:Literal></h6>
        <table>
            <tr>
                <td class="inputfile">
                    <asp:FileUpload ID="fuParameters" runat="server" />
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" runat="server">

    <ucGeneralMessage:GeneralMessage ID="GeneralMessage1" ExtraCssClass="actionstop"
        runat="server" />
    <div id="pnlWrapperParameters02Table" class="wrpSuperParameterTable">
        <asp:Label runat="server" ID="labelEdit" style="display: none"></asp:Label>
        <asp:Label runat="server" ID="labelSet" style="display: none"></asp:Label>
        <asp:Literal ID="litTable" runat="server"></asp:Literal>
    </div>

</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle ID="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>

