<%@ Page Language="C#" MasterPageFile="~/WorkingArea.master" AutoEventWireup="true"
    Inherits="Eliwell.Go.Presentation.Web.Tools.RVD02" CodeBehind="RVD02.aspx.cs" %>

<%@ Register Src="~/UC/GeneralMessage.ascx" TagName="GeneralMessage" TagPrefix="ucGeneralMessage" %>
<%@ Register Src="~/UC/PageTitle.ascx" TagName="PageTitle" TagPrefix="ucPageTitle" %>
<%@ Register Src="~/UC/ToolBar.ascx" TagName="ToolBar" TagPrefix="uc1" %>
<asp:Content ID="Script1" ContentPlaceHolderID="ScriptArea" runat="Server">
    <script language="JavaScript" type="text/JavaScript" src="/script/js/rvd.js"></script>
</asp:Content>
<asp:Content ID="Css1" ContentPlaceHolderID="CssArea" runat="Server">
    <link rel="stylesheet" href="/media/css/rvd.css" type="text/css" media="screen" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ToolbarArea" runat="Server">
    <uc1:ToolBar ID="ToolBar1" BackVisible="true" RvdVisible="true" runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentArea" runat="Server">
    <div id="boxToolsWidgetRVD" class="rvdWaitLoading">
        <!-- ### LOCALIZATION ### -->

        <script language="JavaScript" type="text/JavaScript">

			var rvd_localization = {
				'init1': ' init_rvd ',
				'mouseaction1': ' pressed_button ',
				'mouseaction2': ' holded_button ',
				'buttondesc': {
					'0': ' desc_0 ',
					'1': ' desc_1 ',
					'2': ' desc_2 ',
					'3': ' desc_3 ',
					'4': ' desc_4 ',
					'5': ' desc_5 ',
					'6': ' desc_6 ',
					'7': ' desc_7 ',
					'8': ' desc_8 ',
					'9': ' desc_9 ',
					'10': ' desc_10 ',
					'11': ' desc_11 ',
					'12': ' desc_12 ',
					'13': ' desc_13 ',
					'14': ' desc_14 ',
					'15': ' desc_15 ',
					'16': ' desc_16 ',
					'17': ' desc_17 ',
					'18': ' desc_18 ',
					'19': ' desc_19 ',
					'20': ' desc_20 ',
					'21': ' desc_21 ',
					'22': ' desc_22 ',
					'23': ' desc_23 ',
					'24': ' desc_24 ',
					'25': ' desc_25 ',
					'26': ' desc_26 ',
					'27': ' desc_27 '
				}
				};
        </script>

        <!-- ### WAIT-LOADING ### -->
        <div id="rvdLoader" class="generalmessage updateprogress">
            <p>
                <img src="/media/img/Common/Ajax/Progress.gif" alt="" /><asp:Literal ID="litLoadingInProgress"
                    runat="server" />
            </p>
        </div>
        <div id="boxTitle">
            <p>
                <asp:Label ID="deviceSelected" runat="server" />
            </p>
        </div>
        <div id="boxStage">
            <div id="boxDevice">
                &#160;
                <div id="boxDevSkin">&#160;</div>
                <div id="boxDevButtons">&#160;</div>
                <div id="boxDevDisplay">&#160;</div>
            </div>
            <div id="boxLogger">
                &#160;
                <ul id="logList">
                    <!-- Init DOM list elements -->
                    <li></li>
                </ul>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="PageTitleArea">
    <ucPageTitle:PageTitle id="PageTitle1" runat="server">
    </ucPageTitle:PageTitle>
</asp:Content>