<%@ Control Language="C#" AutoEventWireup="true" Inherits="Eliwell.Go.Presentation.Web.UC.UC_Login" CodeBehind="Login.ascx.cs" %>
<%@ Register Src="~/UC/SySmartElement.ascx" TagName="sySmartElem" TagPrefix="uc1" %>
<div id="boxLogin" onkeypress="javascript:return FireDefaultButton(event, 'LgnSubContent$btnLogin')">
    <table class="wrapper">
        <tr>
            <td id="boxLoginHead">
                <asp:Image ID="televisLogo" runat="server" />
                <asp:Label ID="productVersion" runat="server" />
                <hr />
            </td>
        </tr>
        <tr>
            <td id="boxLoginMonitor">
                <div id="boxLoginMonitorWrap">

                    <script language="JavaScript" type="text/JavaScript">

                        window.addEvent('domready',function() {
                            var lid = ['statusMonitorConnection', 'statusMonitorAcquisition', 'statusMonitorAlarm'];
                            lid.forEach(function(cid) {
                                if ($(cid)) { $(cid).getElement('img').setProperty('alt', $(cid).getElement('span').innerHTML + ' ' + $(cid).getElement('blockquote').innerHTML); }
                            }); $('LgnSubContent$tbUserName').focus();
                        });

		            function FireDefaultButton(event, target)
		            {
		                if (event.keyCode == 13)
		                {
		                    var src = event.srcElement || event.target;
		                    if (!src || (src.tagName.toLowerCase() != "textarea"))
		                    {
		                        var defaultButton = $(target);
		                        if (defaultButton)
		                        {
		                            defaultButton.click();
		                            event.cancelBubble = true;
		                            if (event.stopPropagation) event.stopPropagation();
		                            return false;
		                        }
		                    }
		                }
		                return true;
		            }
                    </script>

                    <table class="imgbtngrp compact" cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <uc1:sySmartElem ID="loginSiteName" runat="server" DivId="statusMonitorPlant"
                                    DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="loginDataAcquisitionStatus" runat="server" DivId="statusMonitorAcquisition"
                                    DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="loginAlarmStatus" runat="server" DivId="statusMonitorAlarm"
                                    DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="loginWarningMessage" runat="server" DivId="statusMonitorMessage"
                                    DivCssClass="imgbtnlnk" />
                            </td>
                            <td>
                                <uc1:sySmartElem ID="loginConnectedUsers" runat="server" DivId="statusMonitorUsers"
                                    DivCssClass="imgbtnlnk" />
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
        <tr>
            <td id="boxLoginInput">
                <table cellspacing="0" cellpadding="1">
                    <tr>
                        <td>
                            <asp:Label ID="username" runat="server" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="tbUserName" runat="server" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="password" runat="server" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="tbPassword" TextMode="Password" runat="server" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="language" runat="server" /></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:DropDownList ID="lstLanguages" runat="server" AutoPostBack="True" OnSelectedIndexChanged="lstLanguages_SelectedIndexChanged" /></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td id="boxLoginStore">
                <table cellspacing="0" cellpadding="1">
                    <tr>
                        <td>
                            <asp:CheckBox ID="rememberMe" runat="server" /></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td id="boxLoginError">
                <asp:Label ID="loginError" runat="server" style="font-weight: bold"/>
            </td>
        </tr>
        <tr>
            <td id="boxLoginSubmt">
                <hr />
                <asp:Button ID="btnLogin" runat="server" OnClick="lblLogin_Click" /></td>
        </tr>
    </table>
</div>