 USE master
ALTER DATABASE Televis SET RECOVERY SIMPLE

USE Televis
SET NOCOUNT ON
    
-- '20161023' is 2016 october the 23.  
-- 112 is the ISO yyyymmdd

DECLARE @OldestDateToKeep DATETIME
SET @OldestDateToKeep = convert(datetime, '$(OLDESTDATETOKEEP)', 112);

DECLARE @deletedRows INT;
SET @deletedRows = 1;

IF EXISTS(SELECT [name] FROM sys.tables WHERE [name] = 'HistoricalDataQuick')
	-- Removing from HistoricalDataQuick
	SET @deletedRows = 1;
	WHILE (@deletedRows > 0)
	BEGIN		
		BEGIN TRANSACTION
			DELETE TOP (10000) FROM dbo.[HistoricalDataQuick] WHERE (Timestamp < @OldestDateToKeep)
			SET @deletedRows = @@ROWCOUNT;
		COMMIT TRANSACTION
		CHECKPOINT        
	END
GO -- IF NOT EXISTS

SET NOCOUNT OFF

USE master
ALTER DATABASE Televis SET RECOVERY FULL
GO
FFFFF8AB