USE Televis
IF NOT EXISTS(SELECT [name] FROM sys.views WHERE [name] = 'ViewOldSequentialData')          
BEGIN 
	DECLARE @sqlCmd nvarchar (4000)
    SELECT @sqlCmd = 'CREATE VIEW [dbo].[ViewOldSequentialData] AS (SELECT ID FROM [Televis].[dbo].[SequentialData] WITH (NOLOCK) WHERE Timestamp < DATEADD(WEEK, -1, GETDATE()))'
	-- Must use "execute SQL command " because otherwise a "IF NOT EXISTS(...) CREATE VIEW" fails as the CREATE VIEW must be the first instruction of a block.
    EXEC sp_executesql @sqlCmd

	IF NOT (SELECT DATABASE_PRINCIPAL_ID('SothisViewer')) IS NULL
		GRANT SELECT ON [dbo].[ViewOldSequentialData] TO SothisViewer
END

DELETE FROM [dbo].[ViewOldSequentialData]
FFFF71CB