-- Trimming SequentialData table
USE master
ALTER DATABASE Televis SET RECOVERY SIMPLE

USE Televis
SET NOCOUNT ON
    
DECLARE @oneWeekAgo DATETIME
DECLARE @deletedRows INT;
SET @deletedRows = 1;
SELECT @oneWeekAgo = DATEADD(WEEK, -1, GETDATE())

WHILE (@deletedRows > 0)
BEGIN		
    BEGIN TRANSACTION
        DELETE TOP (10000) FROM dbo.SequentialData WHERE Timestamp < @oneWeekAgo
        SET @deletedRows = @@ROWCOUNT;
    COMMIT TRANSACTION
    CHECKPOINT        
END

SET NOCOUNT OFF

USE master
ALTER DATABASE Televis SET RECOVERY FULL
GOFFFFDDFF