Use Televis

-------------------------------------------
-- Sothis DB (if it exists): Store last IDs
-------------------------------------------
	declare @idalarmas int, @alarmaFecha datetime, @alarmaInterface int, @alarmaAddress int, @alarmaAddressHigh int, @alarmaAddressLow int, @alarmaResourceId nvarchar(100)
	declare @idestados int, @estadoFecha datetime, @estadoInterface int, @estadoAddress int, @estadoAddressHigh int, @estadoAddressLow int, @estadoResourceId nvarchar(100)
	declare @idmedidas int, @medidaFecha datetime, @medidaInterface int, @medidaAddress int, @medidaAddressHigh int, @medidaAddressLow int, @medidaResourceId nvarchar(100)
	declare @idcomun int, @comunFecha datetime, @comunInterface int, @comunAddress int, @comunAddressHigh int, @comunAddressLow int, @comunResourceId nvarchar(100)
	declare @idbloqueo int, @bloqueoFecha datetime, @bloqueoInterface int, @bloqueoAddress int, @bloqueoAddressHigh int, @bloqueoAddressLow int, @bloqueoResourceId nvarchar(100)
	declare @idExces int, @ExcesFecha datetime, @ExcesInterface int, @ExcesAddress int, @ExcesAddressHigh int, @ExcesAddressLow int, @ExcesResourceId nvarchar(100)
	declare @idServicio int, @ServicioFecha datetime, @ServicioInterface int, @ServicioAddress int, @ServicioAddressHigh int, @ServicioAddressLow int, @ServicioResourceId nvarchar(100)
	declare @idSonda int, @SondaFecha datetime, @SondaInterface int, @SondaAddress int, @SondaAddressHigh int, @SondaAddressLow int, @SondaResourceId nvarchar(100)
	declare @idStan int, @StanFecha datetime, @StanInterface int, @StanAddress int, @StanAddressHigh int, @StanAddressLow int, @StanResourceId nvarchar(100)

-- Guardamos los punteros, ya que al hacer un truncate, los identity se ponen a 0. -----------------------------------------
	IF OBJECT_ID (N'stiDB.dbo.Scada_Aux', N'U') IS NOT NULL 
	begin
		select @idalarmas = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdUltimoHistAlr'
		select @idestados = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdUltimoHistEst'
		select @idmedidas = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdUltimoHistMed'
		select @idcomun = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='UltIdPreAlarmaComunicacion'
		select @idbloqueo = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='UltIdPreAlarmaBloqueo'
		select @idExces = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdHistAlrDescarcheExcesivo'
		select @idServicio = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdHistAlrAltaTempServicio'
		select @idSonda = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdHistAlrAltaSodaCondensacion'
		select @idStan = cast(valordefecto as int) from stiDB.dbo.Scada_Aux where Identificador='IdUltimoHistAlrStandBy'	
	
		select @alarmaFecha = [Timestamp], @alarmaInterface = InterfaceID, @alarmaAddress = [Address], @alarmaAddressHigh = AddressHigh, @alarmaAddressLow = AddressLow, @alarmaResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idalarmas

		select @estadoFecha = [Timestamp], @estadoInterface = InterfaceID, @estadoAddress = [Address], @estadoAddressHigh = AddressHigh, @estadoAddressLow = AddressLow, @estadoResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idestados

		select @medidaFecha = [Timestamp], @medidaInterface = InterfaceID, @medidaAddress = [Address], @medidaAddressHigh = AddressHigh, @medidaAddressLow = AddressLow, @medidaResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idmedidas

		select @comunFecha = [Timestamp], @comunInterface = InterfaceID, @comunAddress = [Address], @comunAddressHigh = AddressHigh, @comunAddressLow = AddressLow, @comunResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idcomun

		select @bloqueoFecha = [Timestamp], @bloqueoInterface = InterfaceID, @bloqueoAddress = [Address], @bloqueoAddressHigh = AddressHigh, @bloqueoAddressLow = AddressLow, @bloqueoResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idbloqueo

		select @ExcesFecha = [Timestamp], @ExcesInterface = InterfaceID, @ExcesAddress = [Address], @ExcesAddressHigh = AddressHigh, @ExcesAddressLow = AddressLow, @ExcesResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idExces

		select @ServicioFecha = [Timestamp], @ServicioInterface = InterfaceID, @ServicioAddress = [Address], @ServicioAddressHigh = AddressHigh, @ServicioAddressLow = AddressLow, @ServicioResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idServicio

		select @SondaFecha = [Timestamp], @SondaInterface = InterfaceID, @SondaAddress = [Address], @SondaAddressHigh = AddressHigh, @SondaAddressLow = AddressLow, @SondaResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idSonda

		select @StanFecha = [Timestamp], @StanInterface = InterfaceID, @StanAddress = [Address], @StanAddressHigh = AddressHigh, @StanAddressLow = AddressLow, @StanResourceId = ResourceId
			from [Televis].[dbo].[SequentialData] where Id = @idStan
	end

--------------------------------------------------------------------
-- Televis DB: Storing the last Sequential Data in a temporary table
--------------------------------------------------------------------
	IF OBJECT_ID('#temporary', 'U') IS NOT NULL 
	DROP TABLE #temporary

	CREATE TABLE #temporary ([Timestamp] datetime, [InterfaceID] int, [Address] int, [AddressHigh] int, [AddressLow] int, [ResourceId] nvarchar(100), [Name] nvarchar(100), [Value] float)

	INSERT INTO #temporary
		SELECT [Timestamp]
		  ,[InterfaceID]
		  ,[Address]
		  ,[AddressHigh]
		  ,[AddressLow]
		  ,cast([ResourceId] as nvarchar(100))
		  ,cast([Name] as nvarchar(100))
		  ,[Value]
		FROM [Televis].[dbo].[SequentialData]
		where [Timestamp] > DATEADD(day, -1, Getdate())

-----------------------------------------------------------------------------
-- Televis DB: Clear Sequential Data table, modify data types and add indexes
-----------------------------------------------------------------------------
	TRUNCATE TABLE [Televis].[dbo].[SequentialData]

	IF('nvarchar(100)' <> (SELECT DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SequentialData' AND COLUMN_NAME = 'Name'))
	ALTER TABLE dbo.SequentialData ALTER COLUMN [Name] nvarchar(100)

	IF('nvarchar(100)' <> (SELECT DATA_TYPE FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SequentialData' AND COLUMN_NAME = 'ResourceId'))
	ALTER TABLE dbo.SequentialData ALTER COLUMN [ResourceId] nvarchar(100)

	IF NOT EXISTS(SELECT * FROM sys.indexes WHERE name='Index_Device' AND object_id = OBJECT_ID('dbo.SequentialData'))
	CREATE NONCLUSTERED INDEX [Index_Device] ON [dbo].[SequentialData]([AddressHigh] ASC, [AddressLow] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)

	IF NOT EXISTS(SELECT * FROM sys.indexes WHERE name='Index_Name' AND object_id = OBJECT_ID('dbo.SequentialData'))
	CREATE NONCLUSTERED INDEX [Index_Name] ON [dbo].[SequentialData]([Name] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)

	IF NOT EXISTS(SELECT * FROM sys.indexes WHERE name='Index_Resource' AND object_id = OBJECT_ID('dbo.SequentialData'))
	CREATE NONCLUSTERED INDEX [Index_Resource] ON [dbo].[SequentialData]([AddressHigh] ASC, [AddressLow] ASC, [ResourceId] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)

-----------------------------------------------------------------------------
-- Televis DB: Restoring data in Sequential Data and removing temporary table
-----------------------------------------------------------------------------
	INSERT INTO [Televis].[dbo].[SequentialData]
		SELECT * FROM #temporary ORDER BY [Timestamp]

	DROP TABLE #temporary

---------------------------------------------
-- Sothis DB (if it exists): Restore last IDs
---------------------------------------------

-- Posicionamos los punteros de los últimos datos leídos. ---------------------------------------------------------------------------
	IF OBJECT_ID (N'stiDB.dbo.Scada_Aux', N'U') IS NOT NULL 
	begin
		select @idalarmas = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @alarmaFecha and  InterfaceId = @alarmaInterface and [Address] = @alarmaAddress and AddressHigh = @alarmaAddressHigh and AddressLow = @alarmaAddressLow and 
				cast(ResourceId as varchar(100)) = @alarmaResourceId 

		select @idestados = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @estadoFecha and  InterfaceId = @estadoInterface and [Address] = @estadoAddress and AddressHigh = @estadoAddressHigh and AddressLow = @estadoAddressLow and 
				cast(ResourceId as varchar(100)) = @estadoResourceId

		select @idmedidas = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @medidaFecha and  InterfaceId = @medidaInterface and [Address] = @medidaAddress and AddressHigh = @medidaAddressHigh and AddressLow = @medidaAddressLow and 
				cast(ResourceId as varchar(100))= @medidaResourceId

		select @idcomun = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @comunFecha and  InterfaceId = @comunInterface and [Address] = @comunAddress and AddressHigh = @comunAddressHigh and AddressLow = @comunAddressLow and 
				cast(ResourceId as varchar(100))= @comunResourceId

		select @idbloqueo = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @bloqueoFecha and  InterfaceId = @bloqueoInterface and [Address] = @bloqueoAddress and AddressHigh = @bloqueoAddressHigh and AddressLow = @bloqueoAddressLow and 
				cast(ResourceId as varchar(100))= @bloqueoResourceId
	
		select @idExces = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @ExcesFecha and  InterfaceId = @ExcesInterface and [Address] = @ExcesAddress and AddressHigh = @ExcesAddressHigh and AddressLow = @ExcesAddressLow and 
				cast(ResourceId as varchar(100))= @ExcesResourceId

		select @idServicio = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @ServicioFecha and  InterfaceId = @ServicioInterface and [Address] = @ServicioAddress and AddressHigh = @ServicioAddressHigh and AddressLow = @ServicioAddressLow and 
				cast(ResourceId as varchar(100))= @ServicioResourceId

		select @idSonda = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @SondaFecha and  InterfaceId = @SondaInterface and [Address] = @SondaAddress and AddressHigh = @SondaAddressHigh and AddressLow = @SondaAddressLow and 
				cast(ResourceId as varchar(100))= @SondaResourceId

		select @idStan = Id
			from [Televis].[dbo].[SequentialData] 
			where [Timestamp] = @StanFecha and  InterfaceId = @StanInterface and [Address] = @StanAddress and AddressHigh = @StanAddressHigh and AddressLow = @StanAddressLow and 
				cast(ResourceId as varchar(100))= @StanResourceId

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idalarmas as varchar(100)) 
			where Identificador='IdUltimoHistAlr'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idestados as varchar(100)) 
			where Identificador='IdUltimoHistEst'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idmedidas as varchar(100)) 
			where Identificador='IdUltimoHistMed'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idcomun as varchar(100)) 
			where Identificador='UltIdPreAlarmaComunicacion'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idbloqueo as varchar(100)) 
			where Identificador='UltIdPreAlarmaBloqueo'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idExces as varchar(100)) 
			where Identificador='IdHistAlrDescarcheExcesivo'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idServicio as varchar(100)) 
			where Identificador='IdHistAlrAltaTempServicio'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idSonda as varchar(100)) 
			where Identificador='IdHistAlrAltaSodaCondensacion'

		update [stiDB].[dbo].[Scada_Aux]
			set ValorDefecto = cast(@idStan as varchar(100)) 
			where Identificador='IdUltimoHistAlrStandBy'
	endFFFF356F